2009-12-14  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* Version 2.2

2009-12-13  Christian Vogelgsang <chris@vogelgsang.org>

	* data/PLUS4/osx_pos.vkm, data/PLUS4/osx_sym.vkm: macosx: fixed
	  plus4 shift on keymap

	* doc/ReadmeMacOSX.txt: fixed typos

	* doc/MacOSX-Build.txt, doc/Makefile.am, doc/ReadmeMacOSX.txt:
	  updated and cleaned up Mac OS X docs for 2.2

2009-12-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128uires.h, src/arch/amigaos/mui/mui.c,
	  src/arch/amigaos/video.c, src/arch/os2/vac++/RESIDDTV.ICC,
	  src/arch/os2/vac++/incl/residdtv.icc, src/socket.c: Build
	  problem fixes, need to generate a new src with these fixes
	  included.

2009-12-12  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* build/Makefile.am, configure.in, doc/Makefile.am,
	  doc/html/Makefile.am, src/Makefile.am,
	  src/arch/sdl/Makefile.am, src/arch/sdl/syllable-files,
	  src/arch/sdl/win64-msvc/Makefile.am, src/arch/sdl/xbox,
	  src/arch/sdl/xbox/Makefile.am,
	  src/arch/unix/macosx/Makefile.am, src/arch/win32/Makefile.am,
	  src/c64dtv/Makefile.am, src/sounddrv/Makefile.am: Make sure to
	  include some files that were missing with 'make dist'.

2009-12-08  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2009-12-05  Christian Vogelgsang <chris@vogelgsang.org>

	* doc/html/macosx.html: fixed links in macosx download page

2009-12-01  Hannu Nuotio <hannu.nuotio@tut.fi>

	* doc/vice.texi, src/info.c: Mention Mikkel's monitor fixes

	* po/da.po: Danish translation updates by Mikkel Holm Olsen

	* doc/html/plain/NEWS: Fix typos, remove empty C64 section

2009-12-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/plain/NEWS: Changed the lightpen entries a bit.

2009-11-30  pottendo <pottendo@aon.at>

	* src/arch/unix/x11/gnome/uiscreenshot.c:
	  arch/unix/x11/gnome/uiscreenshot.c (build_screenshot_dialog):
	  Fixed runtime warning: GtkSpinButton: setting an adjustment
	  with non-zero page size is deprecated

2009-11-30  Christian Vogelgsang <chris@vogelgsang.org>

	* build/macosx/build-allext.sh: macosx: added SDLmain to extlib

	* build/macosx/build-allext.sh, build/macosx/build-gtk.sh,
	  build/macosx/build-inc.sh: macosx: reverted extlib changes.
	  added some more checkings

2009-11-30  pottendo <pottendo@aon.at>

	* src/arch/unix/x11/gnome/TODO: Updated

	* src/arch/unix/x11/gnome/lightpendrv.c: Removed obfuscated
	  cursor handling to get rid of gdk 2.18 dependency.

2009-11-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/info.c: Fixed info.c

	* configure.in: Fixed configure.

	* doc/vice.texi, src/info.c: Updated.

	* doc/html/plain/NEWS: Added some more items.

	* doc/html/plain/NEWS: Changed some items around, added new
	  items and added some more detail.

	* src/arch/sdl/make-bindist_syllable.sh: Corrected some typos.

	* src/arch/os2/vac++/Makefile.am,
	  src/arch/os2/vac++/RESIDDTV.ICC,
	  src/arch/os2/vac++/incl/residdtv.icc,
	  src/arch/os2/vac++/x64dtv/X64DTV.ICC: Added the resid-dtv
	  engine to the os/2 vac++ project files and made x64dtv link
	  with it.

	* Makefile.am, configure.in, src/arch/sdl/Makefile.am,
	  src/arch/sdl/make-bindist_syllable.sh,
	  src/arch/sdl/syllable-files,
	  src/arch/sdl/syllable-files/Makefile.am,
	  src/arch/sdl/syllable-files/README,
	  src/arch/sdl/syllable-files/install.sh,
	  src/arch/sdl/syllable-files/uninstall.sh,
	  src/arch/sdl/syllable-files/x128.sh,
	  src/arch/sdl/syllable-files/x64.sh,
	  src/arch/sdl/syllable-files/x64dtv.sh,
	  src/arch/sdl/syllable-files/xcbm2.sh,
	  src/arch/sdl/syllable-files/xpet.sh,
	  src/arch/sdl/syllable-files/xplus4.sh,
	  src/arch/sdl/syllable-files/xvic.sh: Added syllable make
	  bindist(zip) support.

2009-11-29  Christian Vogelgsang <chris@vogelgsang.org>

	* build/macosx/build-gtk.sh: macosx: updated extlib to gtk+ 2.18

2009-11-29  Antti S. Lankila <alankila@bel.fi>

	* src/sound.h: Add pulse init hook declaration, remove
	  declaration of obsolete test driver.

2009-11-29  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/cbmdos.c: Handle "$", "$0", "$1" and "$pattern" cases
	  correctly. Slightly modified patch by Ingo Korb.

2009-11-29  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/info.c: Update contributor info, patch by Ingo Korb

2009-11-29  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/DriveSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/DriveSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/cocoa/dialog/drivesettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/drivesettingswindowcontroller.m:
	  macosx: adapted more cocoa drive settings for different
	  machines

	* src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xpet.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xpet.nib/keyedobjects.nib:
	  macosx: adapted cocoa drive settings for different machines

	* src/arch/unix/macosx/cocoa/dialog/printersettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/printersettingswindowcontroller.m:
	  macosx: adapted cocoa printer settings for different machines

	* src/arch/unix/macosx/Resources/English.lproj/VideoSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/VideoSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xpet.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xpet.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xplus4.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xplus4.nib/keyedobjects.nib,
	  src/arch/unix/macosx/cocoa/dialog/videosettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/videosettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/menu/viceappcontroller.m: macosx:
	  adapted video settings menu in cocoa

2009-11-29  pottendo <pottendo@aon.at>

	* src/arch/unix/x11/gnome/lightpendrv.c: Removed grabing (as
	  suggested by Alankila), added cursor change.

2009-11-29  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/unix/readline/editline.c,
	  src/arch/unix/readline/editline.h,
	  src/arch/unix/readline/editline2.c: readline: readd SIZE_T
	  define, fix HIST_SIZE ifdef<->ifndef typo, update add_history
	  parameter also in editline2. Fixes bug #2902007.

2009-11-29  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/x128.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x128.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xpet.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xpet.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xplus4.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xplus4.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xvic.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xvic.nib/keyedobjects.nib,
	  src/arch/unix/macosx/cocoa/menu/viceappcontroller.m: macosx:
	  corrected video standards for all machines

	* src/arch/unix/macosx/cocoa/view/controlwindow.m: macosx: keep
	  control panel visible if application deactivates

	* src/arch/unix/macosx/Resources/English.lproj/Makefile.am,
	  src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/SIDSettings.nib,
	  src/arch/unix/macosx/Resources/English.lproj/SIDSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/SIDSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x128.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x128.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/keyedobjects.nib,
	  src/arch/unix/macosx/cocoa/dialog/Makefile.am,
	  src/arch/unix/macosx/cocoa/dialog/sidsettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/sidsettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/menu/viceappcontroller.h,
	  src/arch/unix/macosx/cocoa/menu/viceappcontroller.m: macosx:
	  added cocoa SID settings

	* src/arch/unix/macosx/Resources/English.lproj/SoundSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/SoundSettings.nib/keyedobjects.nib:
	  macosx: updated sound nib

	* src/arch/unix/macosx/Resources/English.lproj/SoundSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/SoundSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/cocoa/dialog/soundsettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/soundsettingswindowcontroller.m:
	  macosx: added ui for sound fragment size

2009-11-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/arch.vcproj: Win64 project files fixes.

	* src/arch/sdl/win64-msvc/arch.vcproj,
	  src/arch/sdl/win64-msvc/vic20.vcproj: SDL win64 project file
	  fixes.

	* doc/html/index.html: Added win64-ia64 sdl vice to the download
	  page.

	* src/arch/win64/arch.vcproj, src/arch/win64/base.vcproj,
	  src/arch/win64/gfxoutputdrv.vcproj,
	  src/arch/win64/plus4.vcproj, src/arch/win64/vic20.vcproj:
	  Fixed win64 project files.

	* src/arch/win32/uidrivec128.c, src/arch/win32/uidrivec64.c,
	  src/arch/win32/uidrivepetcbm2.c,
	  src/arch/win32/uidriveplus4.c, src/arch/win32/uidrivevic20.c:
	  Removed obsolete variables.

	* doc/html/index.html: Added a space to the 'solaris / sunos'
	  download item.

	* src/arch/sdl/make-bindist_skyos.sh,
	  src/arch/unix/skyos/make-bindist.sh: Added danish and turkish
	  po files to the SkyOS bindist.

2009-11-28  Antti S. Lankila <alankila@bel.fi>

	* src/sound.c: Make warp mode work also for drivers that don't
	  implement bufferspace().

	* src/arch/unix/x11/gnome/lightpendrv.c: Drop pointer
	  grabs/ungrabs: forcibly ungrabbing the pointer confuses window
	  manager and makes GTK+ menus hard to dismiss by clicking on
	  desktop outside VICE window. Pottendo can figure out a way to
	  put them back, but it seems to me that there's no point to
	  grab the pointer in the first place.

	* src/arch/unix/readline/editline.h: It seems that HAVE_STDLIB_H
	  and HAVE_STDLIB are both used, and HAVE_STDLIB is even
	  declared in config.h. Thus, I suspect now that my earlier
	  change is bogus.

2009-11-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gp2x/minimal.c, src/arch/unix/gp2x/minimal.h:
	  Fixed for gp2x compile.

	* src/arch/riscos/console.c, src/arch/riscos/ui.c,
	  src/arch/riscos/video.c, src/arch/riscos/vsync.c,
	  src/arch/unix/readline/editline.c,
	  src/arch/unix/readline/editline.h: Fixed for riscos compile.

	* src/arch/os2/dialogs/menubar.c,
	  src/arch/os2/dialogs/menubar.h,
	  src/arch/os2/dialogs/menubar.rc, src/arch/os2/types.h,
	  src/arch/os2/vac++/config.h,
	  src/arch/os2/vac++/incl/mainsrc.icc,
	  src/arch/os2/vac++/incl/sounddrv.icc, src/c64/c64acia1.c,
	  src/cbm2/cbm2acia1.c, src/core/ciacore.c, src/pet/petacia1.c,
	  src/plus4/plus4acia.c, src/vice.h: Fixed for vac++ os/2
	  compile.

	* src/sounddrv/Makefile.am: Added soundpulse.c to the makefile.

2009-11-27  Antti S. Lankila <alankila@bel.fi>

	* doc/html/plain/NEWS: Mention that we now support PulseAudio.

2009-11-27  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_sound.c: Add PulseAudio item to SDL UI

2009-11-27  Antti S. Lankila <alankila@bel.fi>

	* src/resid-fp/filter.h, src/sid/resid-fp.cc: Update
	  intermixing/leaks-parameter and calculation.

	* src/sounddrv/soundpulse.c: tlength is bytes, not samples, so
	  multiply by two.

	* configure.in, src/sound.c, src/sounddrv/soundpulse.c: Add
	  pulseaudio support.

2009-11-25  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/dingoo-files/sdl-vicerc,
	  src/arch/sdl/dingoo-files/sdl-vicerc-cbm5x0: SDL-Dingoo: fix
	  xpet keymap index, default to OSS

2009-11-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/vic20ui.c: Added the FE & MC settings to the
	  msdos ui.

	* doc/html/index.html: Updated the screenshots link, even though
	  the actual screemshots won't get done till after the release
	  of 2.2

	* doc/html/index.html: Added SDL win32/64 download links to the
	  2.2 download page.

2009-11-24  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/fullscrn.c: Disable items in the settings
	  dialog depending on the driver that is used.

2009-11-24  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/dingoo-files/sdl-vicerc,
	  src/arch/sdl/dingoo-files/sdl-vicerc-cbm5x0,
	  src/arch/sdl/dingoo-files/x128.dge,
	  src/arch/sdl/dingoo-files/x64.dge,
	  src/arch/sdl/dingoo-files/x64dtv.dge,
	  src/arch/sdl/dingoo-files/xcbm5x0.dge,
	  src/arch/sdl/dingoo-files/xcbm6x0.dge,
	  src/arch/sdl/dingoo-files/xpet.dge,
	  src/arch/sdl/dingoo-files/xplus4.dge,
	  src/arch/sdl/dingoo-files/xvic.dge: Fix svn properties for
	  SDL-Dingoo files

	* src/video/video-cmdline-options.c: Readd -/+CHIPfull for SDL
	  UI

	* src/arch/sdl/ui.c: SDL UI: added cmdline switches for menukeys
	  and misc. resources. Patch by Peter Edwards.

2009-11-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/incl/vic20.icc,
	  src/arch/os2/vac++/xvic/Xvic.ICC: Fixed the os/2 vac++ project
	  files.

	* src/arch/os2/Makefile.am, src/arch/os2/dialogs/dlg-drive.c,
	  src/arch/os2/dialogs/menubar.c,
	  src/arch/os2/dialogs/menubar.h,
	  src/arch/os2/dialogs/menubar.rc, src/arch/os2/video.c,
	  src/arch/os2/watcom/c128c64.tgt,
	  src/arch/os2/watcom/vic20.tgt, src/arch/os2/watcom/vice.wpj,
	  src/arch/os2/watcom/xvic-maincpu.c,
	  src/arch/os2/watcom/xvic.tgt: Fixed the os/2 watcom project
	  files.

	* src/arch/sdl/dingoo-files/xpet.dge,
	  src/arch/sdl/dingoo-files/xplus4.dge,
	  src/arch/sdl/dingoo-files/xvic.dge: Changed #!/bin/bash to
	  #!/bin/sh

	* src/arch/beos/ui_sid.cc: Changed the beos ui to use the SID
	  engine/model combination method.

	* src/arch/win64/c64c128.vcproj, src/arch/win64/vic20.vcproj,
	  src/arch/win64/xvic.vcproj: Fixed the win64 msvc project
	  files.

	* src/arch/win32/uidrivec128.c, src/arch/win32/uidrivec64.c,
	  src/arch/win32/uidrivepetcbm2.c,
	  src/arch/win32/uidriveplus4.c, src/arch/win32/uidrivevic20.c,
	  src/arch/win32/watcom/c64commonc128.tgt,
	  src/arch/win32/watcom/vic20.tgt,
	  src/arch/win32/watcom/vice.wpj,
	  src/arch/win32/watcom/xvic.tgt: Fixed the win32 watcom project
	  files.

	* src/arch/sdl/archdep_win32.c,
	  src/arch/sdl/win32-watcom/arch.tgt,
	  src/arch/sdl/win32-watcom/vic20.tgt,
	  src/arch/sdl/win32-watcom/vice.wpj,
	  src/arch/sdl/win32-watcom/xvic.tgt: Fixed the sdl win32 watcom
	  project files.

	* src/arch/sdl/win64-msvc/c64c128.vcproj,
	  src/arch/sdl/win64-msvc/vic20.vcproj,
	  src/arch/sdl/win64-msvc/xvic.vcproj: Fixed the sdl win64 msvc
	  project files.

	* src/arch/sdl/win32-msvc/c64c128.dsp,
	  src/arch/sdl/win32-msvc/vic20.dsp,
	  src/arch/sdl/win32-msvc/xvic.dsp: Fixed the sdl win32 msvc
	  project files.

	* src/arch/msdos/menudefs.c: Changed the msdos ui copyright
	  dialog to a scrolling text dialog.

	* src/arch/sdl/make-bindist_dingoo.sh: Added the 5x0 sdl ini
	  file to the dingoo make bindist script.

	* src/arch/sdl/dingoo-files/Makefile.am,
	  src/arch/sdl/dingoo-files/sdl-vicerc-cbm25x0,
	  src/arch/sdl/dingoo-files/sdl-vicerc-cbm5x0,
	  src/arch/sdl/dingoo-files/xcbm5x0.dge: Renamed
	  sdl-vicerc-cbm25x0 to sdl-vicerc-cbm5x0.

	* doc/ReadmeSDL.txt: Corrected a typo.

2009-11-23  Hannu Nuotio <hannu.nuotio@tut.fi>

	* doc/ReadmeSDL.txt, src/arch/sdl/dingoo-files/Makefile.am,
	  src/arch/sdl/dingoo-files/sdl-vicerc,
	  src/arch/sdl/dingoo-files/sdl-vicerc-cbm25x0,
	  src/arch/sdl/dingoo-files/x128.dge,
	  src/arch/sdl/dingoo-files/x64.dge,
	  src/arch/sdl/dingoo-files/x64dtv.dge,
	  src/arch/sdl/dingoo-files/xcbm5x0.dge,
	  src/arch/sdl/dingoo-files/xcbm6x0.dge,
	  src/arch/sdl/dingoo-files/xpet.dge,
	  src/arch/sdl/dingoo-files/xplus4.dge,
	  src/arch/sdl/dingoo-files/xvic.dge: SDL-Dingoo: fix dge files,
	  add default configs, add Dingoo to ReadmeSDL.txt port list

2009-11-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uijoystick.c: Added allow opposite joystick
	  directions to the msdos ui.

	* src/arch/msdos/uisound.c: Added sound fragment size to the
	  msdos ui.

	* src/arch/msdos/uiattach.c: Added autostart settings to the
	  msdos ui.

2009-11-22  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xpet.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xpet.nib/keyedobjects.nib:
	  macosx: fixed keymap indices for new machines

2009-11-22  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/arch/win32/rs232net.c: Fixed a problem making builds fail
	  on mingw32/msys.

2009-11-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* Makefile.am, vice-gtk.spec, vice-mint.spec, vice.spec: Updated
	  xaw and mint spec files and added gtk spec file.

	* src/Makefile.am: Added the new vicesocket.h file to the src
	  Makefile.am file.

	* src/arch/beos/c64dtvui.cc, src/arch/beos/constants.h,
	  src/arch/beos/joy.cc, src/arch/beos/socketimpl.h,
	  src/arch/beos/ui.cc, src/arch/beos/ui_file.cc,
	  src/arch/beos/ui_file.h, src/arch/beos/ui_joystick.cc,
	  src/arch/beos/ui_siddtv.cc, src/arch/beos/ui_sound.cc,
	  src/arch/beos/ui_sound.h, src/arch/beos/ui_vic20.cc,
	  src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc,
	  src/arch/beos/vicewindow.cc, src/cbm2/cbm2.c,
	  src/monitor/monitor_network.c, src/network.c, src/pet/pet.c,
	  src/plus4/plus4.c, src/socket.c, src/socket.h,
	  src/vicesocket.h: Added missing beos ui elements and did some
	  fixes to get the beos compile working again.

2009-11-20  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/PrinterSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/PrinterSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/cocoa/dialog/printersettingswindowcontroller.m:
	  macosx: printer dialog fixes

2009-11-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.c, src/arch/amigaos/intl.txt,
	  src/arch/amigaos/uires.h, src/arch/amigaos/vic20ui.c,
	  src/arch/amigaos/vic20uires.h: Added vic20 cart write-back
	  items to the amiga ui.

2009-11-20  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/dingoo-files,
	  src/arch/sdl/dingoo-files/Makefile.am,
	  src/arch/sdl/dingoo-files/vsid.dge: SDL-Dingoo: remove
	  vsid.dge since a config file is needed, but vsid doesn't
	  support those

	* src/arch/sdl/dingoo-files/Makefile.am,
	  src/arch/sdl/dingoo-files/vsid.dge,
	  src/arch/sdl/dingoo-files/x128.dge,
	  src/arch/sdl/dingoo-files/x64.dge,
	  src/arch/sdl/dingoo-files/x64dtv.dge,
	  src/arch/sdl/dingoo-files/xcbm5x0.dge,
	  src/arch/sdl/dingoo-files/xcbm6x0.dge,
	  src/arch/sdl/dingoo-files/xpet.dge,
	  src/arch/sdl/dingoo-files/xplus4.dge,
	  src/arch/sdl/dingoo-files/xvic.dge: SDL-Dingoo: fix
	  redirection, add vsid launcher

2009-11-19  Antti S. Lankila <alankila@bel.fi>

	* src/resid-fp/filter.cc, src/resid-fp/filter.h,
	  src/resid-fp/sid.cc: Fix ancient bug with kinked_dac,
	  resulting in systematic bias at filter center frequency.
	  Remove a kludge which probably compensated for this bug.

2009-11-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128uires.h, src/arch/amigaos/c64dtvuires.h,
	  src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2uires.h,
	  src/arch/amigaos/intl.c, src/arch/amigaos/intl.txt,
	  src/arch/amigaos/petuires.h, src/arch/amigaos/plus4uires.h,
	  src/arch/amigaos/ui.c, src/arch/amigaos/uires.h,
	  src/arch/amigaos/vic20uires.h: Added the amiga allow opposite
	  joystick directions ui item.

	* po/it.po: Removed obsolete entries.

	* Makefile.am, configure.in, doc/html/index.html,
	  src/arch/sdl/Makefile.am, src/arch/sdl/dingoo-files,
	  src/arch/sdl/dingoo-files/Makefile.am,
	  src/arch/sdl/dingoo-files/sdl-vicerc,
	  src/arch/sdl/dingoo-files/x128.dge,
	  src/arch/sdl/dingoo-files/x64.dge,
	  src/arch/sdl/dingoo-files/x64dtv.dge,
	  src/arch/sdl/dingoo-files/xcbm5x0.dge,
	  src/arch/sdl/dingoo-files/xcbm6x0.dge,
	  src/arch/sdl/dingoo-files/xpet.dge,
	  src/arch/sdl/dingoo-files/xplus4.dge,
	  src/arch/sdl/dingoo-files/xvic.dge,
	  src/arch/sdl/make-bindist_dingoo.sh: Added sdl dingoo bindist
	  generation support.

	* po/it.po, src/arch/amigaos/intl.c, src/arch/amigaos/intl.txt,
	  src/arch/win32/res.rc, src/arch/win32/resautostart.rc,
	  src/arch/win32/resc128.rc, src/arch/win32/resc64dtv.rc,
	  src/arch/win32/reseasyflash.rc, src/arch/win32/reslightpen.rc,
	  src/arch/win32/resmidi.rc, src/arch/win32/ressidcart.rc,
	  src/arch/win32/ressoundexpander.rc,
	  src/arch/win32/resvic20.rc, src/translate.c: Updated the
	  italian translations.

2009-11-18  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/joy.c, src/arch/sdl/ui.c: SDL UI: move keyboard
	  resource init earlier in the init order. Fixes bug with config
	  files without any HotkeyFile specification.

2009-11-17  Antti S. Lankila <alankila@bel.fi>

	* src/resid-fp/filter.cc, src/resid-fp/filter.h,
	  src/resid-fp/sid.cc, src/sid/resid-fp.cc: Remove some old
	  cruft from filter algorithm, use the simplest version that
	  still seems to work. Update SID register fade delay to 34000
	  clocks from about 8000 clocks, as this somewhat improves
	  rendition of Dunn's Theatre Europe. The 6581 chips 3984, 3789,
	  4486, 1986S have been refitted, yielding slightly lighter
	  overall sound.

2009-11-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/it.po: Updated italian po file.

	* src/arch/amigaos/mui/mui.c: Corrected a typo.

	* src/arch/amigaos/mui/uisound.c: Added amiga sound fragment
	  size dialog.

	* src/arch/amigaos/intl.c, src/arch/win32/res.rc,
	  src/arch/win32/resvic20.rc, src/translate.c: Updated the
	  german translations.

2009-11-16  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/xvic_ui.c, src/vic20/vic.h: Disable xvic pixel
	  duplication for Dingux SDL, reposition and resize xvic SDL UI
	  for non-duplicated case

2009-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resvic20.rc: Updated the
	  swedish translations.

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/nl.po,
	  po/pl.po, po/tr.po: Removed obsolete entries.

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/c128uires.h,
	  src/arch/amigaos/c64dtvuires.h, src/arch/amigaos/c64uires.h,
	  src/arch/amigaos/cbm2uires.h, src/arch/amigaos/intl.c,
	  src/arch/amigaos/intl.txt, src/arch/amigaos/mui/uiautostart.c,
	  src/arch/amigaos/mui/uiautostart.h,
	  src/arch/amigaos/petuires.h, src/arch/amigaos/plus4uires.h,
	  src/arch/amigaos/ui.c, src/arch/amigaos/uires.h,
	  src/arch/amigaos/vic20uires.h: Added amiga autostart settings
	  ui elements.

2009-11-15  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/Makefile.am:
	  macosx: fixed Makefile.am

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist:
	  macosx: added missing mouse scale

	* src/arch/unix/macosx/make-bindist.sh: macosx: add VICE.icns to
	  cocoa apps for info dialogs

	* doc/ReadmeSDL.txt, doc/html/plain/NEWS: addded Mac OS X NEWS.
	  added Mac OS X to SDL ports.

2009-11-15  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2009-11-15  Peter Krefting <peter@softwolves.pp.se>

	* po/sv.po: Update Swedish translation (2912t0f0u).

2009-11-15  Christian Vogelgsang <chris@vogelgsang.org>

	* doc/MacOSX-ResourceTree.txt,
	  src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x128-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/xcbm2-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/xpet-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/xplus4-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/xvic-ResourceTree.plist,
	  src/arch/unix/macosx/analyze-vicerc.pl,
	  src/arch/unix/macosx/cocoa/dialog/resourcetreeitem.h,
	  src/arch/unix/macosx/cocoa/dialog/resourcetreeitem.m,
	  src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.m,
	  src/arch/unix/macosx/make-bindist.sh: macosx: unified
	  resources into a single resource tree for all machines. added
	  a lot of machine resources.

2009-11-15  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/win32/vic20ui.c: Added missing includes system.h and
	  resources.h

	* src/plus4/ted-mem.c: Commented out unused variable and
	  calculation.

	* Version 2.1.20

2009-11-15  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2009-11-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resmenu.txt, src/arch/win32/resstrings.txt,
	  src/arch/win32/resvic20.rc, src/arch/win32/vic20ui.c: Added
	  the vic20 FE & MC win32 write-back ui elements.

	* src/arch/win32/res.rc, src/arch/win32/resdialogs.txt,
	  src/arch/win32/resstrings.txt, src/arch/win32/uisound.c: Added
	  a sound fragment size element to the win32 ui.

	* src/arch/amigaos/intl.c, src/arch/win32/res.rc,
	  src/arch/win32/resautostart.rc, src/arch/win32/resc128.rc,
	  src/arch/win32/resc64dtv.rc, src/arch/win32/reseasyflash.rc,
	  src/arch/win32/reslightpen.rc, src/arch/win32/resmidi.rc,
	  src/arch/win32/ressidcart.rc,
	  src/arch/win32/ressoundexpander.rc,
	  src/arch/win32/resvic20.rc, src/translate.c: Updated turkish
	  translations.

	* data/C64/Makefile.am, data/C64/win_sym_it.vkm: Added italian
	  x64 win32 vkm file as provided by Thomas Mazzi.

	* Makefile.am: 'Fixed' the tar and more than 99 chars issue.

2009-11-14  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/info.c: Added (some) new contributors, updated own info

	* README: Update the other version number too

2009-11-13  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/video.m,
	  src/arch/unix/macosx/cocoa/view/viceglview.m: macosx: fixed
	  reconfiguring of multiple canvases

	* src/arch/unix/macosx/cocoa/menu/viceappcontroller.m,
	  src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.h,
	  src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.m,
	  src/arch/unix/macosx/cocoa/vicemachinenotifier.h,
	  src/arch/unix/macosx/cocoa/vicemachinenotifier.m,
	  src/arch/unix/macosx/cocoa/vicenotifications.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.m: macosx: added
	  lightpen support

2009-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.c, src/arch/win32/res.rc,
	  src/arch/win32/resautostart.rc, src/arch/win32/resc64dtv.rc,
	  src/arch/win32/reseasyflash.rc, src/arch/win32/reslightpen.rc,
	  src/arch/win32/resmidi.rc, src/arch/win32/ressoundexpander.rc,
	  src/translate.c: Updated the swedish translations.

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	  src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	  src/arch/win32/petui.c, src/arch/win32/plus4ui.c,
	  src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	  src/arch/win32/resc64.rc, src/arch/win32/resc64dtv.rc,
	  src/arch/win32/rescbm2.rc, src/arch/win32/resmenu.txt,
	  src/arch/win32/respet.rc, src/arch/win32/resplus4.rc,
	  src/arch/win32/resstrings.txt, src/arch/win32/resvic20.rc,
	  src/arch/win32/ui.c, src/arch/win32/vic20ui.c: Added the allow
	  opposite joystick directions menu item to the win32 ui.

	* po/tr.po: Updated tr.po file.

2009-11-13  Antti S. Lankila <alankila@bel.fi>

	* src/resid-fp/filter.cc: Reduce resonance control from 10 dB to
	  about 8 dB. The control range is tricky to see because of the
	  simultaneous 6 dB adjustment between lp and hp.

2009-11-12  Antti S. Lankila <alankila@bel.fi>

	* src/resid-fp/filter.cc, src/resid-fp/filter.h,
	  src/sid/resid-fp.cc: Tom Roger (SLC) convinced me to change
	  the output amp clipping slightly and to reinstate the
	  distortion threshold. These changes seem to fix the
	  problematic songs. The changes necessiate a parameter tweak in
	  reduction of nonlinearity that had similar effects as
	  adjusting the distortion threshold.

2009-11-12  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/vsyncarch.c: Fix a freeze-after-some-hours bug

2009-11-12  Peter Krefting <peter@softwolves.pp.se>

	* po/sv.po: Update Swedish translation to 2.2 (2904t0f0u).

2009-11-11  Andreas Matthies <andreas.matthies@gmx.net>

	* src/gfxoutputdrv/ffmpegdrv.c: Fixed restart of movie recording
	  when a snapshot/history is loaded. This was introduced with
	  the soundmovie abstraction layer.

2009-11-11  Antti S. Lankila <alankila@bel.fi>

	* src/resid-fp/filter.h: SLC reported excessive distortion on
	  some filterless tunes. I agree.

2009-11-10  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/c64/cart/easyflash.c: EasyFlash: clean up unused debug
	  code, improved CHIP header handling. Patch by ALeX Kazik.

	* src/vic20/cart/finalexpansion.c, src/vic20/cart/megacart.c,
	  src/vic20/cart/vic20cart.c, src/vic20/cart/vic20cart.h:
	  Disable FE3/Mega-Cart write back if cartridge was from a
	  snapshot, cast away few 64bit-only warnings

2009-11-10  Andreas Matthies <andreas.matthies@gmx.net>

	* doc/html/plain/NEWS: Updated NEWS with DX9 stuff.

2009-11-09  Spiro Trikaliotis  <spiro.trikaliotis@gmx.de>

	* Version 2.1.19

2009-11-08  Christian Vogelgsang <chris@vogelgsang.org>

	* data/CBM-II/Makefile.am, data/CBM-II/osx_pos_uk.vkm,
	  data/CBM-II/osx_sym_uk.vkm, data/PET/Makefile.am,
	  data/PET/osx_sym_gr.vkm, data/PET/osx_sym_uk.vkm,
	  data/PLUS4/Makefile.am, data/PLUS4/osx_pos.vkm,
	  data/PLUS4/osx_sym.vkm, data/VIC20/osx_pos.vkm,
	  data/VIC20/osx_sym.vkm,
	  src/arch/unix/macosx/Resources/English.lproj/Makefile.am,
	  src/arch/unix/macosx/Resources/English.lproj/xcbm2-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xpet-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/xpet.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xpet.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xpet.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xplus4-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/xplus4.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xplus4.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xplus4.nib/keyedobjects.nib,
	  src/arch/unix/macosx/cocoa/kbd.h,
	  src/arch/unix/macosx/cocoa/menu/Makefile.am,
	  src/arch/unix/macosx/cocoa/menu/cbm2controller.h,
	  src/arch/unix/macosx/cocoa/menu/cbm2controller.m,
	  src/arch/unix/macosx/cocoa/menu/cbm2machinecontroller.h,
	  src/arch/unix/macosx/cocoa/menu/cbm2machinecontroller.m,
	  src/arch/unix/macosx/cocoa/menu/cbm2ui.m,
	  src/arch/unix/macosx/cocoa/menu/petcontroller.h,
	  src/arch/unix/macosx/cocoa/menu/petcontroller.m,
	  src/arch/unix/macosx/cocoa/menu/petmachinecontroller.h,
	  src/arch/unix/macosx/cocoa/menu/petmachinecontroller.m,
	  src/arch/unix/macosx/cocoa/menu/petui.m,
	  src/arch/unix/macosx/cocoa/menu/plus4controller.h,
	  src/arch/unix/macosx/cocoa/menu/plus4controller.m,
	  src/arch/unix/macosx/cocoa/menu/plus4machinecontroller.h,
	  src/arch/unix/macosx/cocoa/menu/plus4machinecontroller.m,
	  src/arch/unix/macosx/cocoa/menu/plus4ui.m: macosx: added cocoa
	  xcbm2, xpet and xplus4

2009-11-08  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/info.c: Updated with some recent additions. (xvic
	  cartridges + resid-dtv)

	* doc/html/plain/NEWS: Added an entry about half-char splits in
	  xvic.

2009-11-08  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/video-dx9.c: Fixed calculation of
	  shrinked_width in fixed aspect ratio mode.

2009-11-06  Hannu Nuotio <hannu.nuotio@tut.fi>

	* po/POTFILES.in, src/arch/unix/gui/Makefile.am,
	  src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	  src/arch/unix/gui/c64ui.c, src/arch/unix/gui/cbm2ui.c,
	  src/arch/unix/gui/petui.c, src/arch/unix/gui/plus4ui.c,
	  src/arch/unix/gui/uisid.c, src/arch/unix/gui/uisid.h,
	  src/arch/unix/gui/uisidcart.c, src/arch/unix/gui/uisidcart.h,
	  src/arch/unix/gui/vic20ui.c: SID engine/model menu combination
	  for *nix UI

2009-11-05  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/unix/gui/vic20ui.c: Add xvic cartridge extra options
	  to *nix UIs

2009-11-04  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/uimediafile.c: Fixed handling of the ffmpeg
	  controls again.

	* src/gfxoutputdrv/ffmpegdrv.c: Enable H264 codec and fix some
	  parameters for the FFV1 codec.

2009-11-04  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_sid.c: SID engine/model menu combination for
	  SDL UI

2009-11-04  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/plus4/ted-mem.c, src/sid/sid-cmdline-options.c,
	  src/sid/sid-resources.c: Remove some Visual Studio warnings

2009-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uisidcart.c,
	  src/arch/amigaos/mui/uisiddtv.c, src/arch/msdos/uisid.c,
	  src/arch/msdos/uisidcart.c, src/arch/msdos/uisiddtv.c: Changed
	  the sid dialogs of the msdos ui to the engine/model
	  combination type, only valid combinations are shown in the ui.

	* src/arch/amigaos/mui/uisid.c, src/arch/win32/uisid.c,
	  src/arch/win32/uisidcart.c, src/arch/win32/uisiddtv.c,
	  src/sid/sid.h: Added definitions for the parsid, hardsid and
	  cw engine/models and made the win32 and amiga ui use them.

	* src/arch/msdos/c64ui.c, src/arch/msdos/tuifs.c,
	  src/arch/msdos/tuimenu.c, src/arch/msdos/uic64dtv.c,
	  src/arch/msdos/uidqbb.c: Fixed some errors.

	* src/arch/amigaos/mui/mui.c: Fixed the amiga ui to use the new
	  sid engine/model setting function.

2009-11-03  Andreas Matthies <andreas.matthies@gmx.net>

	* src/gfxoutputdrv/ffmpegdrv.c: Fixed for viewports not a
	  multiple of 16.

	* src/arch/win32/uimediafile.c: Fill FFMPEG settings controls
	  even if FFMPEG driver is not selected.

	* src/monitor/monitor.c: Fixed memory leak.

	* src/arch/win32/video-dx9.c, src/arch/win32/videoarch.h: Keep
	  aspect ratio implemented for fullscreen mode.

2009-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.c, src/arch/amigaos/intl.txt,
	  src/arch/amigaos/mui/mui.c, src/arch/amigaos/mui/mui.h,
	  src/arch/amigaos/mui/uic64dtv.c, src/arch/amigaos/mui/uisid.c,
	  src/arch/amigaos/mui/uisidcart.c,
	  src/arch/amigaos/mui/uisiddtv.c, src/arch/amigaos/video.c:
	  Changed the amiga ui sid dialogs to the engine/model
	  combination type, only valid combinations are shown in the ui,
	  and fixed some errors.

	* configure.in: Changed the xaw lib checking to where configure
	  will stop with an error if needed X11 libs are missing.

	* src/arch/win32/intl.c, src/arch/win32/res.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/ressid.rc,
	  src/arch/win32/ressidcart.rc, src/arch/win32/ressiddtv.rc,
	  src/arch/win32/uisid.c, src/arch/win32/uisidcart.c,
	  src/arch/win32/uisiddtv.c, src/sid/sid-resources.h,
	  src/sid/sid.h: Changed the sid dialogs to the engine/model
	  combination type, only valid combinations are shown in the ui.

	* configure.in: Fixed the commctrl.h shlobj.h winioctl.h header
	  checks.

2009-11-02  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/resid-fp/filter.cc: Changed constant from type double to
	  float to prevent warning.

2009-11-02  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/vic20/cart/finalexpansion.c: Fix FE3 snapshot by moving
	  flash040 module handling after closing the main FE3 module and
	  shortening the flash040 module name

2009-11-02  Antti S. Lankila <alankila@bel.fi>

	* src/resid-fp/filter.cc: Reduce clearly excessive filter
	  resonance on 6581 side.

2009-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/ted.c: Applied plus4 ted patch as contributed by
	  Attila Grosz.

	* src/arch/unix/gp2x/gpe-files/x128.gpe,
	  src/arch/unix/gp2x/gpe-files/x64.gpe,
	  src/arch/unix/gp2x/gpe-files/x64dtv.gpe,
	  src/arch/unix/gp2x/gpe-files/xcbm2.gpe: Fixed the sid
	  engine/model selection command line of the gp2x .gpe files.

2009-11-02  Antti S. Lankila <alankila@bel.fi>

	* src/resid-fp/filter.cc, src/resid-fp/filter.h,
	  src/resid-fp/sid.cc, src/resid-fp/wave.cc,
	  src/resid-fp/wave.h, src/sid/resid-fp.cc: New analog filter
	  based on slightly nonlinear amplifier simulation. The filter
	  is a bit glitchy right now, but the glitches can probably be
	  tweaked away. Updated combined waveforms after some
	  modifications to fitting algorithm and the calculation
	  algorithm yielded improved fitness. Made the SID sound
	  slightly louder. Reduced 8580 resonance.

2009-11-01  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/drive/iec/iecrom.c: Fixed 1541 drive ROM checksum for
	  901229-05 ROM.

2009-11-01  Christian Vogelgsang <chris@vogelgsang.org>

	* data/VIC20/Makefile.am, data/VIC20/osx_pos.vkm,
	  data/VIC20/osx_sym.vkm,
	  src/arch/unix/macosx/Resources/English.lproj/KeyboardSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/KeyboardSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/Makefile.am,
	  src/arch/unix/macosx/Resources/English.lproj/x128.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x128.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xvic-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/xvic.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xvic.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/xvic.nib/keyedobjects.nib,
	  src/arch/unix/macosx/cocoa/dialog/keyboardsettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/keyboardsettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/menu/Makefile.am,
	  src/arch/unix/macosx/cocoa/menu/c64controller.h,
	  src/arch/unix/macosx/cocoa/menu/c64controller.m,
	  src/arch/unix/macosx/cocoa/menu/vic20controller.h,
	  src/arch/unix/macosx/cocoa/menu/vic20controller.m,
	  src/arch/unix/macosx/cocoa/menu/vic20machinecontroller.h,
	  src/arch/unix/macosx/cocoa/menu/vic20machinecontroller.m,
	  src/arch/unix/macosx/cocoa/menu/vic20ui.m,
	  src/arch/unix/macosx/cocoa/menu/viceappcontroller.h,
	  src/arch/unix/macosx/cocoa/menu/viceappcontroller.m,
	  src/arch/unix/macosx/cocoa/menu/vicefilepanel.h,
	  src/arch/unix/macosx/cocoa/menu/vicefilepanel.m,
	  src/arch/unix/macosx/x11-launcher.sh: macosx: added cocoa xvic

2009-11-01  pottendo <pottendo@aon.at>

	* src/arch/unix/x11/gnome/uiarch.h,
	  src/arch/unix/x11/gnome/x11ui.c: made `ui_cached_video_canvas'
	  static again.

2009-11-01  Christian Vogelgsang <chris@vogelgsang.org>

	* build/macosx/build-vice-dist.sh: macosx: fixed references of
	  embedded libraries

2009-11-01  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/win32/uimon.c: Allow settings breakpoints in monitor
	  when TDE is off. Patch by iAN_CooG. (#2865640)

2009-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/cartconv.txt: Updated cartconv.txt.

	* README, build/xbox-sdl/build.sh, doc/html/Makefile.am,
	  doc/html/amigaos.html, doc/html/beos.html, doc/html/hpux.html,
	  doc/html/index.html, doc/html/macosx.html, doc/html/qnx.html,
	  doc/html/sco.html, doc/html/solaris.html, doc/vice.texi,
	  po/da.po, po/fr.po, po/hu.po, po/it.po, po/nl.po, po/pl.po,
	  po/sv.po, po/tr.po, vice-mint.spec, vice.spec: Changed the
	  html pages and some other files in preparation of the 2.2
	  release.

	* src/sid/sid-resources.c: Fixed the DTVSID command-line
	  selection.

	* src/sid/sid-cmdline-options.c, src/sid/sid-resources.c,
	  src/sid/sid-resources.h, src/sid/sid.h, src/translate.c,
	  src/translate.txt: Changed the sid engine and model
	  command-line selection to a combined SID engine/model
	  selection, that way only valid combinations can be used from
	  the command line.

2009-10-31  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/core/flash040core.c, src/flash040.h,
	  src/vic20/cart/finalexpansion.c,
	  src/vic20/cart/finalexpansion.h, src/vic20/cart/generic.c,
	  src/vic20/cart/generic.h, src/vic20/cart/megacart.c,
	  src/vic20/cart/megacart.h, src/vic20/cart/vic20cart.c,
	  src/vic20/cart/vic20cart.h, src/vic20/vic20-snapshot.c,
	  src/vic20/vic20memsnapshot.c: Implement xvic cart snapshots
	  (including flash040), bump xvic snapshot revision number

2009-10-29  pottendo <pottendo@aon.at>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64ui.c,
	  src/arch/unix/gui/vic20ui.c, src/arch/unix/vsyncarch.c,
	  src/arch/unix/x11/gnome/lightpendrv.c,
	  src/arch/unix/x11/gnome/lightpendrv.h,
	  src/arch/unix/x11/gnome/videoarch.h,
	  src/arch/unix/x11/gnome/x11ui.c: * arch/unix/x11/gnome/x11ui.c
	  (ui_open_canvas_window): remember app_shell index for
	  distinction of canvas for lightpen. (ui_open_canvas_window):
	  Remember offx correction offset. (enter_window_callback):
	  update canvas to use for lightpendrv.
	  
	  * arch/unix/x11/gnome/videoarch.h (struct video_canvas_s): new
	  fields `offx' and `app_shell' to make lightpendrv happy.
	  `offx' is a kludge to pass over the correction offset to the
	  lightpendrv.
	  
	  * arch/unix/x11/gnome/lightpendrv.c (gtk_lightpen_update):
	  Reworked to handle multi-canvas and add kludge to correct
	  x-size of screen.
	  
	  * arch/unix/vsyncarch.c (vsyncarch_presync): fixed typo.
	  
	  * arch/unix/gui/vic20ui.c: Added lightpen menu.
	  
	  * arch/unix/gui/c128ui.c (io_extensions_submenu): Lightpen
	  only for GTK gui. * arch/unix/gui/c64ui.c: Likewise.

2009-10-29  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/vic20/vic.c, src/vic20/vic.h: Add extra bit to xvic
	  lightpen x resolution

2009-10-29  pottendo <pottendo@aon.at>

	* src/info.c: Removed `/Glance' from Emirs credits on request.

2009-10-29  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/view/viceglview.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.m: macosx: hold
	  flicker fixed frame if emulator is paused

2009-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/z80.c, src/c128/z80.h, src/c128/z80mem.c,
	  src/c128/z80mem.h: Did some more code cleanups.

2009-10-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128-resources.c, src/c128/c128-snapshot.c,
	  src/c128/c128-snapshot.h, src/c128/c128memlimit.h,
	  src/c128/c128memrom.c, src/c128/c128memrom.h,
	  src/c128/c128memsnapshot.h, src/c128/c128mmu.c,
	  src/c128/c128mmu.h, src/c128/c128rom.c, src/c128/c128romset.c,
	  src/c128/c128video.c, src/c128/daa.c, src/c128/daa.h,
	  src/c128/functionrom.h, src/c64/c64-cmdline-options.c: Did
	  some more code cleanups.

	* src/c128/c128-cmdline-options.h, src/c128/c128.c,
	  src/c128/c128.h, src/c128/c128cia1.c, src/c128/c128cpu.c,
	  src/c128/c128drive.c, src/c128/c128embedded.c,
	  src/c128/c128fastiec.c, src/c128/c128fastiec.h,
	  src/c128/c128mem.c, src/c128/c128mem.h,
	  src/c128/c128meminit.c, src/c128/c128meminit.h,
	  src/c128/c128memlimit.c, src/c64/tfearch.h: Did some more code
	  cleanups.

	* src/arch/sdl/archdep_xbox.c: Changed the xbox
	  archdep_require_vkbd() to return 1.

	* src/plus4/ted-badline.c: Corrected a memset that was supposed
	  to be a memcpy.

2009-10-26  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/menu/viceappcontroller.m: macosx:
	  fixed missing return value

2009-10-26  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/archdep.h, src/arch/sdl/archdep_amiga.c,
	  src/arch/sdl/archdep_beos.c, src/arch/sdl/archdep_cegcc.c,
	  src/arch/sdl/archdep_riscos.c, src/arch/sdl/archdep_unix.c,
	  src/arch/sdl/archdep_win32.c, src/arch/sdl/archdep_xbox.c,
	  src/arch/sdl/uimenu.c: Improved path handling for Dingoo/GP2X,
	  added archdep vkbd preference for UI text input dialogs. Patch
	  provided by Peter Edwards.

2009-10-26  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/view/viceglview.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.m: macosx: improved
	  OpenGL locking

2009-10-26  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2009-10-25  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/vic20/vic-draw.c, src/vic20/vic-mem.c, src/vic20/vic.c,
	  src/vic20/vic.h: Implemented rendering of half char splits for
	  foreground colors and reverse mode.

2009-10-25  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/x128-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv-ResourceTree.plist,
	  src/arch/unix/macosx/cocoa/mousedrv.m,
	  src/arch/unix/macosx/cocoa/view/viceglview.m: macosx: improved
	  mouse handling and corrected y flip

	* src/arch/unix/macosx/Resources/English.lproj/x128-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv-ResourceTree.plist,
	  src/arch/unix/macosx/cocoa/video.m,
	  src/arch/unix/macosx/cocoa/videoparam.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.m: macosx: added
	  flicker fixer to sync draw

2009-10-25  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/vic20/vic-mem.c: Corrected the timing of auxiliary color
	  changes. (was one cycle early)

2009-10-25  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/monitor.h, src/monitor/monitor.c: mon_ioreg_add_list() now
	  has ints as 3rd and 4th parameter (instead of WORD),
	  eliminating warnings.

2009-10-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/ted-badline.c, src/plus4/ted-fetch.c,
	  src/plus4/ted-mem.c, src/plus4/ted.c, src/plus4/tedtypes.h:
	  Applied plus4 ted patches as contributed by Attila Grosz.

	* po/de.po, src/arch/win32/res.rc,
	  src/arch/win32/resautostart.rc, src/arch/win32/resc64dtv.rc,
	  src/arch/win32/reseasyflash.rc, src/arch/win32/reslightpen.rc,
	  src/arch/win32/resmidi.rc, src/arch/win32/ressoundexpander.rc:
	  Updated german translations.

2009-10-24  Hannu Nuotio <hannu.nuotio@tut.fi>

	* doc/html/plain/NEWS: Updated.

	* src/arch/sdl/uimenu.c, src/arch/sdl/uimenu.h,
	  src/arch/sdl/uimon.c: Always use escaped_is_null in
	  sdl_ui_readline, remove as redundant. Fixes canceling text
	  input dialogs.

	* src/arch/sdl/menu_common.c, src/arch/sdl/ui.c: Fix small SDL
	  UI monitor bugs

2009-10-24  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/make-bindist.sh: macosx: added CBM font
	  to cocoa releases

2009-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uiplus4mem.c: Fixed the win32 plus4 memory
	  settings dialog.

	* src/c64/patchrom.c, src/c64/patchrom.h, src/c64/plus256k.c,
	  src/c64/plus60k.c, src/c64/psid.c, src/c64/psid.h,
	  src/c64/psiddrv.h, src/c64/ramcart.c, src/c64/reloc65.c,
	  src/c64/reu.c, src/c64/reu.h, src/c64/sfx_soundexpander.c,
	  src/c64/sfx_soundsampler.c, src/c64/tfe.c: Did some more code
	  cleanups.

2009-10-23  pottendo <pottendo@aon.at>

	* src/arch/unix/gui/Makefile.am, src/arch/unix/gui/c128ui.c,
	  src/arch/unix/gui/c64ui.c, src/arch/unix/gui/uilightpen.c,
	  src/arch/unix/gui/uilightpen.h, src/arch/unix/vsyncarch.c,
	  src/arch/unix/x11/gnome/Makefile.am,
	  src/arch/unix/x11/gnome/TODO,
	  src/arch/unix/x11/gnome/lightpendrv.c,
	  src/arch/unix/x11/gnome/lightpendrv.h,
	  src/arch/unix/x11/gnome/uiarch.h,
	  src/arch/unix/x11/gnome/x11ui.c,
	  src/arch/unix/x11/xaw/uiarch.h, src/gfxoutputdrv/ffmpegdrv.c:
	  * arch/unix/x11/gnome/x11ui.c (mouse_handler): hook lightpen.
	  (ui_open_canvas_window): Likewise.
	  
	  * arch/unix/x11/gnome/uiarch.h (enum ui_keysym_s): Added
	  KEYSYM_g as shortcut for lightpen toggle. made
	  `ui_cached_video_canvas' global (this is a hack and should be
	  fixed one day).
	  
	  * arch/unix/x11/xaw/uiarch.h (enum ui_keysym_s): Added
	  KEYSYM_g as shortcut for lightpen toggle.
	  
	  * arch/unix/x11/gnome/lightpendrv.[ch]: new files.
	  
	  * arch/unix/vsyncarch.c (vsyncarch_presync): hook lightpen
	  update.
	  
	  * arch/unix/gui/uilightpen.[ch]: new files.
	  
	  * arch/unix/x11/gnome/Makefile.am (libgnomeui_a_SOURCES):
	  Added `lightpen*'. * arch/unix/gui/Makefile.am
	  (libarchgui_a_SOURCES): Likewise.
	  
	  * gfxoutputdrv/ffmpegdrv.c (ffmpegdrv_close_video): check
	  `picture' and `tmp_picture' before freeing.

	* po/de.po: Updated.

2009-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/fmopl.h, src/c64/georam.c, src/c64/georam.h,
	  src/c64/isepic.c, src/c64/mmc64.c: Did some more code
	  cleanups.

2009-10-22  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/win32/c64c128.dsp, src/c64/c64io.c: Added missing
	  includes and missing include directory src/c64/cart

	* src/arch/win32/uisidcart.c: Removed unused variable.

2009-10-21  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/FilePanelImageContents.nib,
	  src/arch/unix/macosx/Resources/English.lproj/FilePanelImageContents.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/FilePanelImageContents.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/Makefile.am,
	  src/arch/unix/macosx/cocoa/dialog/iecdrivesettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/keyboardsettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/recordhistorywindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/recordmediawindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/resourcetreeitem.m,
	  src/arch/unix/macosx/cocoa/dialog/viceresourcewindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/viceresourcewindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/videosettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/menu/Makefile.am,
	  src/arch/unix/macosx/cocoa/menu/c64controller.m,
	  src/arch/unix/macosx/cocoa/menu/viceappcontroller.h,
	  src/arch/unix/macosx/cocoa/menu/viceappcontroller.m,
	  src/arch/unix/macosx/cocoa/menu/vicefilepanel.h,
	  src/arch/unix/macosx/cocoa/menu/vicefilepanel.m,
	  src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.h,
	  src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.m,
	  src/arch/unix/macosx/cocoa/viceapplication.m,
	  src/arch/unix/macosx/cocoa/view/viceglview.m: macosx: added
	  disk/tape image contents preview in open panel.

	* src/log.c, src/log.h: added log_enable() to temporarly
	  disable/enable logging

	* src/c64/c64io.c: added missing HAVE_TFE

2009-10-21  Andreas Matthies <andreas.matthies@gmx.net>

	* src/core/viacore.c: This should fix the timer wrap bug.

2009-10-21  Spiro Trikaliotis  <spiro.trikaliotis@gmx.de>

	* Version 2.1.18

2009-10-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64-cmdline-options.h, src/c64/c64-midi.c,
	  src/c64/c64-midi.h, src/c64/c64-resources.c,
	  src/c64/c64-resources.h, src/c64/c64-snapshot.c,
	  src/c64/c64-snapshot.h, src/c64/c64acia1.c, src/c64/c64bus.c,
	  src/c64/c64cart.h, src/c64/c64cia.h, src/c64/c64cia1.c,
	  src/c64/c64cia2.c, src/c64/c64datasette.c, src/c64/c64drive.c,
	  src/c64/c64embedded.c, src/c64/c64export.c,
	  src/c64/c64export.h, src/c64/c64fastiec.c,
	  src/c64/c64fastiec.h, src/c64/c64iec.c, src/c64/c64iec.h,
	  src/c64/c64io.h, src/c64/c64keyboard.c, src/c64/c64keyboard.h,
	  src/c64/c64mem.c, src/c64/c64mem.h, src/c64/c64meminit.c,
	  src/c64/c64meminit.h, src/c64/c64memlimit.c,
	  src/c64/c64memrom.c, src/c64/c64memrom.h,
	  src/c64/c64memsnapshot.c, src/c64/c64memsnapshot.h,
	  src/c64/c64parallel.c, src/c64/c64parallel.h,
	  src/c64/c64pla.c, src/c64/c64pla.h, src/c64/c64printer.c,
	  src/c64/c64rom.c, src/c64/c64rom.h, src/c64/c64romset.c,
	  src/c64/c64rsuser.c, src/c64/c64rsuser.h, src/c64/c64sound.c,
	  src/c64/c64tpi.c, src/c64/c64tpi.h, src/c64/c64video.c,
	  src/c64/digimax.c, src/c64/dqbb.c, src/c64/fmopl.c: Did some
	  more code cleanups.

	* src/c64/c64io.c, src/c64/cart/actionreplay.c,
	  src/c64/cart/actionreplay.h, src/c64/cart/actionreplay3.c,
	  src/c64/cart/actionreplay3.h, src/c64/cart/actionreplay4.c,
	  src/c64/cart/actionreplay4.h, src/c64/cart/ide64.c,
	  src/c64/cart/ide64.h, src/c64/cart/retroreplay.c,
	  src/c64/cart/retroreplay.h: Added more I/O devices to the
	  monitor I/O list.

2009-10-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64.c, src/c64/c64.h, src/c64/c64_256k.c,
	  src/c64/cart/atomicpower.c, src/c64/cart/atomicpower.h,
	  src/c64/cart/c64cart.c, src/c64/cart/c64cartmem.c,
	  src/c64/cart/c64cartmem.h, src/c64/cart/comal80.c,
	  src/c64/cart/crt.c, src/c64/cart/crt.h,
	  src/c64/cart/delaep256.c, src/c64/cart/delaep64.c,
	  src/c64/cart/delaep64.h, src/c64/cart/delaep7x8.c,
	  src/c64/cart/easyflash.c, src/c64/cart/epyxfastload.c,
	  src/c64/cart/epyxfastload.h, src/c64/cart/expert.c,
	  src/c64/cart/expert.h, src/c64/cart/final.c,
	  src/c64/cart/final.h, src/c64/cart/generic.c,
	  src/c64/cart/generic.h, src/c64/cart/ide64.c,
	  src/c64/cart/ide64.h, src/c64/cart/kcs.c, src/c64/cart/kcs.h,
	  src/c64/cart/magicformel.c, src/c64/cart/magicformel.h,
	  src/c64/cart/mikroass.c, src/c64/cart/retroreplay.c,
	  src/c64/cart/retroreplay.h, src/c64/cart/rexep256.c,
	  src/c64/cart/ross.c, src/c64/cart/stardos.c,
	  src/c64/cart/stb.c, src/c64/cart/supergames.c,
	  src/c64/cart/supergames.h, src/c64/cart/supersnapshot.c,
	  src/c64/cart/supersnapshot.h, src/c64/cart/zaxxon.c,
	  src/c64/cart/zaxxon.h: Did some more code cleanups.

2009-10-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uisnapshot.c, src/arch/win32/uisnapshot.h,
	  src/arch/win32/uisound.c, src/arch/win32/uisoundexpander.c,
	  src/arch/win32/uispeed.c, src/arch/win32/uispeed.h,
	  src/arch/win32/uitfe.c, src/arch/win32/uitfe.h,
	  src/arch/win32/uivicii.c, src/arch/win32/uivicset.c,
	  src/arch/win32/uivideo.c, src/arch/win32/uivideo.h,
	  src/arch/win32/vic20ui.c, src/arch/win32/video-ddraw.c,
	  src/arch/win32/video-dx9.c, src/arch/win32/video.c,
	  src/arch/win32/videoarch.h, src/arch/win32/vsidui.c,
	  src/arch/win32/vsyncarch.c, src/arch/win32/winlong.h,
	  src/arch/win32/winmain.c, src/arch/win32/winmain.h,
	  src/c64/cart/actionreplay.c, src/c64/cart/actionreplay.h,
	  src/c64/cart/actionreplay3.c, src/c64/cart/actionreplay3.h,
	  src/c64/cart/actionreplay4.c: Did some more code cleanups.

2009-10-18  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/Makefile.am:
	  adapted Makefile.am to resource changes

	* src/arch/unix/macosx/Resources/English.lproj/DriveSettings.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/DriveSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/DriveSettings.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/DriveSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/IECDriveSettings.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/IECDriveSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/IECDriveSettings.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/IECDriveSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/KeyboardSettings.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/KeyboardSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/KeyboardSettings.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/KeyboardSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/NetplayControl.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/NetplayControl.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/NetplayControl.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/NetplayControl.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/PrinterSettings.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/PrinterSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/PrinterSettings.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/PrinterSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/RecordHistory.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/RecordHistory.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/RecordHistory.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/RecordHistory.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/RecordMedia.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/RecordMedia.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/RecordMedia.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/RecordMedia.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/ResourceEditor.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/ResourceEditor.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/ResourceEditor.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/ResourceEditor.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/SoundSettings.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/SoundSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/SoundSettings.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/SoundSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/VICEInformation.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/VICEInformation.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/VICEInformation.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/VICEInformation.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/VideoSettings.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/VideoSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/VideoSettings.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/VideoSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x128.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x128.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x128.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x128.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv.nib/keyedobjects.nib:
	  macosx: converted all nib resources to xml

	* src/arch/unix/macosx/Resources/English.lproj/JoystickSettings.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/JoystickSettings.nib/designable.nib,
	  src/arch/unix/macosx/Resources/English.lproj/JoystickSettings.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/JoystickSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.m,
	  src/arch/unix/macosx/make-bindist.sh: macosx: joykeys now
	  support N/A in editor. added clear button to clear whole
	  keyset

	* src/joystick.c: joykeys are now preset to the keboard NONE
	  symbol

	* build/macosx/build-hidutils.sh: macosx: fixed HID utitilies
	  for macos 10.6

	* data/C128/osx_pos.vkm, data/C128/osx_sym.vkm,
	  data/C64/osx_pos.vkm, data/C64/osx_sym_de.vkm,
	  data/C64/osx_sym_us.vkm, src/arch/unix/archdep.h: macosx:
	  fixed shifted cursor movement in x64

	* src/arch/unix/macosx/cocoa/video.m,
	  src/arch/unix/macosx/cocoa/view/viceglview.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.m: macosx: improved
	  multi buffer blending

2009-10-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc/Readme.txt: Added some info about the
	  'make bindist' batch file in the win32 sdl dir to the readme
	  file.

	* src/arch/win32/res.rc, src/arch/win32/ui-resources.c,
	  src/arch/win32/uimonmsg.h, src/arch/win32/uimouse.c,
	  src/arch/win32/uimouse.h, src/arch/win32/uinetwork.c,
	  src/arch/win32/uiperipheral.c, src/arch/win32/uiperipheral.h,
	  src/arch/win32/uipetreu.c, src/arch/win32/uipetset.c,
	  src/arch/win32/uiplus256k.c, src/arch/win32/uiplus4cart.c,
	  src/arch/win32/uiplus4cart.h, src/arch/win32/uiplus4mem.c,
	  src/arch/win32/uiplus60k.c, src/arch/win32/uiquicksnapshot.c,
	  src/arch/win32/uiquicksnapshot.h, src/arch/win32/uiram.c,
	  src/arch/win32/uiram.h, src/arch/win32/uiramcart.c,
	  src/arch/win32/uiramcart.h, src/arch/win32/uireu.c,
	  src/arch/win32/uireu.h, src/arch/win32/uirom.c,
	  src/arch/win32/uirs232.c, src/arch/win32/uirs232.h,
	  src/arch/win32/uirs232user.c, src/arch/win32/uirs232user.h,
	  src/arch/win32/uisid.c, src/arch/win32/uisid.h,
	  src/arch/win32/uisidcart.c, src/arch/win32/uisiddtv.c: Did
	  some more code cleanups.

2009-10-17  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/fullscrn.c, src/arch/win32/res.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/resstrings.txt:
	  Added aspect ratio control to the video settings UI.

2009-10-17  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/view/viceglview.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.m: cocoa: make gl
	  context only current if its required. fixes problems on ppc

	* src/arch/unix/macosx/cocoa/video.m,
	  src/arch/unix/macosx/cocoa/view/viceglview.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.m: macosx: added
	  experimental multi buffer temporal filtering for graphics
	  output

	* src/video/render1x1pal.c, src/video/render2x2pal.c,
	  src/video/video-color.c, src/video/video-color.h: added
	  optional alpha value support for PAL emulation rendering in 32
	  bit RGBA

2009-10-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uikeyboard.h, src/arch/win32/uilib.c,
	  src/arch/win32/uilib.h, src/arch/win32/uilightpen.c,
	  src/arch/win32/uimediafile.c, src/arch/win32/uimidi.c,
	  src/arch/win32/uimmc64.c, src/arch/win32/uimon.c: Did some
	  more code cleanups.

2009-10-16  Christian Vogelgsang <chris@vogelgsang.org>

	* configure.in,
	  src/arch/unix/macosx/Resources/English.lproj/x128-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv-ResourceTree.plist,
	  src/arch/unix/macosx/cocoa/Makefile.am,
	  src/arch/unix/macosx/cocoa/viceapplication.m,
	  src/arch/unix/macosx/cocoa/viceapplicationprotocol.h,
	  src/arch/unix/macosx/cocoa/vicemachine.m,
	  src/arch/unix/macosx/cocoa/video.m,
	  src/arch/unix/macosx/cocoa/videoarch.h,
	  src/arch/unix/macosx/cocoa/videoparam.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.m,
	  src/arch/unix/macosx/cocoa/view/vicewindow.m: macosx: more
	  graphics output rewriting. added sync draw mode.

2009-10-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/intl.c, src/arch/win32/res.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/respet.rc,
	  src/arch/win32/respetreu.rc, src/arch/win32/resplus256k.rc,
	  src/arch/win32/resplus4.rc, src/arch/win32/resplus60k.rc,
	  src/arch/win32/resramcart.rc, src/arch/win32/resreu.rc,
	  src/arch/win32/resrs232user.rc, src/arch/win32/ressid.rc,
	  src/arch/win32/ressidcart.rc, src/arch/win32/ressiddtv.rc,
	  src/arch/win32/ressoundexpander.rc,
	  src/arch/win32/resstrings.txt, src/arch/win32/restfe.rc,
	  src/arch/win32/resvic20.rc, src/arch/win32/resvicii.rc,
	  src/arch/win32/rs232.c, src/arch/win32/rs232dev.c,
	  src/arch/win32/rs232dev.h, src/arch/win32/rs232net.c,
	  src/arch/win32/rs232net.h, src/arch/win32/signals.c,
	  src/arch/win32/statusbar.c, src/arch/win32/statusbar.h,
	  src/arch/win32/system.c, src/arch/win32/tfearch.c,
	  src/arch/win32/ui.c, src/arch/win32/ui.h,
	  src/arch/win32/uiacia.c, src/arch/win32/uiacia.h,
	  src/arch/win32/uiattach.c, src/arch/win32/uiattach.h,
	  src/arch/win32/uiautostart.c, src/arch/win32/uic128.c,
	  src/arch/win32/uic128.h, src/arch/win32/uic64_256k.c,
	  src/arch/win32/uic64cart.c, src/arch/win32/uic64cart.h,
	  src/arch/win32/uic64dtv.c, src/arch/win32/uicart.c,
	  src/arch/win32/uicart.h, src/arch/win32/uicbm2set.c,
	  src/arch/win32/uicmdline.c, src/arch/win32/uiconsole.c,
	  src/arch/win32/uidatasette.c, src/arch/win32/uidatasette.h,
	  src/arch/win32/uidigimax.c, src/arch/win32/uidqbb.c,
	  src/arch/win32/uidrivec128.c, src/arch/win32/uidrivec128.h,
	  src/arch/win32/uidrivec64.c, src/arch/win32/uidrivec64.h,
	  src/arch/win32/uidrivepetcbm2.c,
	  src/arch/win32/uidrivepetcbm2.h,
	  src/arch/win32/uidriveplus4.c, src/arch/win32/uidriveplus4.h,
	  src/arch/win32/uidrivevic20.c, src/arch/win32/uidrivevic20.h,
	  src/arch/win32/uieasyflash.c, src/arch/win32/uievent.c,
	  src/arch/win32/uievent.h, src/arch/win32/uifliplist.c,
	  src/arch/win32/uifliplist.h, src/arch/win32/uigeoram.c,
	  src/arch/win32/uigeoram.h, src/arch/win32/uihelp.c,
	  src/arch/win32/uihelp.h, src/arch/win32/uiide64.c,
	  src/arch/win32/uiide64.h, src/arch/win32/uiisepic.c,
	  src/arch/win32/uijoystick.c, src/arch/win32/uikeyboard.c,
	  src/arch/win32/uipetset.c, src/arch/win32/uiplus4mem.c,
	  src/arch/win32/uisidcart.c, src/arch/win32/uivicset.c: Did
	  some more code cleanups.

2009-10-14  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/ui-resources.c, src/arch/win32/ui.c: Handle
	  changes of aspect ratio resources and canvas resizing.

2009-10-14  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/viceapplication.m,
	  src/arch/unix/macosx/cocoa/viceapplicationprotocol.h,
	  src/arch/unix/macosx/cocoa/vicemachine.h,
	  src/arch/unix/macosx/cocoa/vicemachine.m,
	  src/arch/unix/macosx/cocoa/video.m,
	  src/arch/unix/macosx/cocoa/videoarch.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.m,
	  src/arch/unix/macosx/cocoa/view/vicewindow.h,
	  src/arch/unix/macosx/cocoa/view/vicewindow.m: macosx: graphics
	  output code clean ups

2009-10-13  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/win32/uic64dtv.c, src/arch/win32/uipetset.c: Removed
	  (now) unused variables.

	* src/arch/win32/uimon.c: Fixed warnings.

2009-10-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/intl.c, src/arch/win32/res.rc,
	  src/arch/win32/resc64_256k.rc, src/arch/win32/resc64dtv.rc,
	  src/arch/win32/rescbm2.rc, src/arch/win32/rescommon.h,
	  src/arch/win32/resdialogs.txt, src/arch/win32/resdigimax.rc,
	  src/arch/win32/resdqbb.rc, src/arch/win32/resdrivec128.rc,
	  src/arch/win32/resdrivec64.rc,
	  src/arch/win32/resdrivepetcbm2.rc,
	  src/arch/win32/resdriveplus4.rc,
	  src/arch/win32/resdrivevic20.rc,
	  src/arch/win32/reseasyflash.rc, src/arch/win32/resgeoram.rc,
	  src/arch/win32/reside64.rc, src/arch/win32/resisepic.rc,
	  src/arch/win32/reslightpen.rc, src/arch/win32/resmidi.rc,
	  src/arch/win32/resmmc64.rc, src/arch/win32/resmouse.rc,
	  src/arch/win32/respet.rc, src/arch/win32/resstrings.txt,
	  src/arch/win32/uic64dtv.c, src/arch/win32/uicbm2set.c,
	  src/arch/win32/uidqbb.c, src/arch/win32/uidrivec128.c,
	  src/arch/win32/uidrivec64.c, src/arch/win32/uidrivepetcbm2.c,
	  src/arch/win32/uidriveplus4.c, src/arch/win32/uidrivevic20.c,
	  src/arch/win32/uieasyflash.c, src/arch/win32/uigeoram.c,
	  src/arch/win32/uiisepic.c, src/arch/win32/uimidi.c,
	  src/arch/win32/uimmc64.c, src/arch/win32/uimouse.c,
	  src/arch/win32/uipetset.c: Made some more dialogs
	  auto-(re)sizing.

2009-10-12  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/ui-resources.c, src/arch/win32/ui.c:
	  Implemented fixed aspect ratio (not yet complete).

2009-10-12  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/vic20/cart/finalexpansion.c: Disabled emulation of the FE
	  V3.2 pre-release Super ROM bug.

2009-10-11  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/6510dtvcore.c: Skip interrupt sequence dummy cycles on
	  skip cycle

2009-10-10  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2009-10-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resc64dtv.rc, src/arch/win32/resdialogs.txt,
	  src/arch/win32/resstrings.txt, src/arch/win32/uic64dtv.c: Made
	  some more dialogs auto-(re)sizing.

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	  src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	  src/arch/win32/intl.c, src/arch/win32/petui.c,
	  src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	  src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	  src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/respet.rc,
	  src/arch/win32/resplus4.rc, src/arch/win32/resstrings.txt,
	  src/arch/win32/resvic20.rc, src/arch/win32/uic64dtv.c,
	  src/arch/win32/uikeyboard.c, src/arch/win32/uikeyboard.h,
	  src/arch/win32/vic20ui.c: Made some more dialogs
	  auto-(re)sizing.

2009-10-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/intl.c, src/arch/win32/resc128.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/resstrings.txt,
	  src/arch/win32/uic128.c: Made some more dialogs
	  auto-(re)sizing.

	* src/arch/win32/intl.c, src/arch/win32/resc128.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/resstrings.txt,
	  src/arch/win32/uic128.c: Made some more dialogs
	  auto-(re)sizing.

	* src/arch/win32/intl.c, src/arch/win32/resc128.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/resstrings.txt,
	  src/arch/win32/uic128.c: Made some more dialogs
	  auto-(re)sizing.

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	  src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	  src/arch/win32/intl.c, src/arch/win32/petui.c,
	  src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	  src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	  src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/respet.rc,
	  src/arch/win32/resplus4.rc, src/arch/win32/resstrings.txt,
	  src/arch/win32/resvic20.rc, src/arch/win32/uilib.h,
	  src/arch/win32/uirom.c, src/arch/win32/uirom.h,
	  src/arch/win32/vic20ui.c: Made some more dialogs
	  auto-(re)sizing.

2009-10-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	  src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	  src/arch/win32/intl.c, src/arch/win32/petui.c,
	  src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	  src/arch/win32/resacia.rc, src/arch/win32/resautostart.rc,
	  src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	  src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/respet.rc,
	  src/arch/win32/resplus4.rc, src/arch/win32/resstrings.txt,
	  src/arch/win32/resvic20.rc, src/arch/win32/uirom.c,
	  src/arch/win32/uirom.h, src/arch/win32/uisound.c,
	  src/arch/win32/vic20ui.c: Made some more dialogs
	  auto-(re)sizing.

2009-10-07  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/win32/uidatasette.c, src/arch/win32/uilib.c,
	  src/core/viacore.c: Removed unused variables.

2009-10-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resdialogs.txt,
	  src/arch/win32/uilib.c: Made some more dialogs
	  auto-(re)sizing.

	* src/arch/win32/intl.c, src/arch/win32/res.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/resstrings.txt,
	  src/arch/win32/uilib.c, src/arch/win32/uimediafile.c: Made
	  some more dialogs auto-(re)sizing.

2009-10-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/intl.c, src/arch/win32/res.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/resstrings.txt,
	  src/arch/win32/uiconsole.c, src/arch/win32/uilib.c,
	  src/arch/win32/uilib.h, src/arch/win32/uinetwork.c,
	  src/arch/win32/uiperipheral.c, src/arch/win32/uirom.c,
	  src/arch/win32/uirs232.c, src/arch/win32/uispeed.c: Made some
	  more dialogs auto-(re)sizing.

2009-10-05  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/video.m: macosx: reverted graphics
	  update strategy

2009-10-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/fullscrn.c, src/arch/win32/intl.c,
	  src/arch/win32/res.rc, src/arch/win32/resdialogs.txt,
	  src/arch/win32/resstrings.txt, src/arch/win32/uiram.c,
	  src/arch/win32/uivideo.c: Made some more dialogs
	  auto-(re)sizing.

2009-10-04  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_joystick.c: Add missing joystick 1 mapping
	  submenu to xvic SDL UI

2009-10-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/intl.c, src/arch/win32/res.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/resstrings.txt,
	  src/arch/win32/uidatasette.c, src/arch/win32/uijoystick.c,
	  src/arch/win32/uilib.c, src/arch/win32/uilib.h,
	  src/arch/win32/uisnapshot.c, src/arch/win32/uisound.c: Made
	  some more dialogs auto-(re)sizing and added a button centering
	  routine.

2009-10-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/intl.c, src/arch/win32/res.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/resstrings.txt,
	  src/arch/win32/uijoystick.c, src/arch/win32/uilib.c,
	  src/arch/win32/uilib.h, src/arch/win32/uiperipheral.c: Turned
	  the joystick and disk device settings dialog into a dynamic
	  size ones.

2009-10-02  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/win32/uimon.c, src/monitor/mon_ui.c,
	  src/monitor/mon_ui.h, src/monitor/mon_util.c,
	  src/monitor/mon_util.h: Add memory window to Win32 monitor.
	  Original patch by Martin Piper, but massively refactored.

	* src/monitor.h: Add processor regs into CPU history. Patch
	  provided by Martin Piper. (missing patch).

	* src/6510core.c, src/6510dtvcore.c, src/monitor/monitor.c,
	  src/monitor/montypes.h: Add processor regs into CPU history.
	  Patch provided by Martin Piper.

2009-10-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uidatasette.c: Added some comments to show how
	  the dynamic resizing of the datasetter dialog works.

	* src/arch/win32/uidatasette.c, src/arch/win32/uilib.c,
	  src/arch/win32/uilib.h: Added some extra win32 dynamic size
	  routines and 'groupified' the datasette dialog routine.

2009-10-01  Hannu Nuotio <hannu.nuotio@tut.fi>

	* doc/ReadmeSDL.txt: SDL UI slider control documentation,
	  contributed by Peter Edwards (slightly edited)

2009-10-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/intl.c, src/arch/win32/res.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/resstrings.txt,
	  src/arch/win32/uidatasette.c: Turned the datasette settings
	  dialog into a dynamic size one.

2009-09-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Added some more win32 arch code
	  cleanups.

2009-09-29  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/viceapplication.m,
	  src/arch/unix/macosx/cocoa/video.m,
	  src/arch/unix/macosx/cocoa/view/viceglview.h,
	  src/arch/unix/macosx/cocoa/view/viceglview.m,
	  src/arch/unix/macosx/cocoa/view/vicewindow.h,
	  src/arch/unix/macosx/cocoa/view/vicewindow.m: macosx: draw
	  with machine thread if not warp enabled

2009-09-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.c, src/arch/win32/archdep.h,
	  src/arch/win32/blockdev.c, src/arch/win32/c128ui.c,
	  src/arch/win32/c64dtvui.c, src/arch/win32/c64ui.c,
	  src/arch/win32/catweaselmkiii.c, src/arch/win32/cbm2ui.c,
	  src/arch/win32/console.c, src/arch/win32/dinput_handle.c,
	  src/arch/win32/dinput_handle.h, src/arch/win32/dirent.c,
	  src/arch/win32/evc/system.c, src/arch/win32/evc/system.h,
	  src/arch/win32/fullscrn-ddraw.c,
	  src/arch/win32/fullscrn-dx9.c, src/arch/win32/fullscrn.c,
	  src/arch/win32/fullscrn.h, src/arch/win32/gifdrv.c,
	  src/arch/win32/hardsid.c, src/arch/win32/intl.c,
	  src/arch/win32/joy.c, src/arch/win32/joy.h,
	  src/arch/win32/kbd.c, src/arch/win32/kbd.h,
	  src/arch/win32/lightpendrv.c, src/arch/win32/mididrv.c,
	  src/arch/win32/mingw32/system.h, src/arch/win32/mousedrv.c,
	  src/arch/win32/mousedrv.h, src/arch/win32/msvc/dirent.h,
	  src/arch/win32/msvc/inttypes.h,
	  src/arch/win32/msvc/siddefs-fp.h,
	  src/arch/win32/msvc/siddefs.h, src/arch/win32/msvc/stdint.h,
	  src/arch/win32/msvc/system.h,
	  src/arch/win32/msvc/wpcap/ip6_misc.h,
	  src/arch/win32/msvc/wpcap/net/bpf.h,
	  src/arch/win32/msvc/wpcap/pcap-stdinc.h,
	  src/arch/win32/msvc/wpcap/pcap.h, src/arch/win32/parsid.c,
	  src/arch/win32/petui.c, src/arch/win32/plus4ui.c,
	  src/arch/win32/utils/genmsvcver.c,
	  src/arch/win32/utils/gentranslate.c,
	  src/arch/win32/utils/genwinres.c: Started on the win32 arch
	  code cleanups.

2009-09-28  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/core/viacore.c: Fix broken clock overflow handling in VIA
	  core

2009-09-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/archdep.c, src/arch/unix/archdep.h,
	  src/arch/unix/blockdev.c, src/arch/unix/catweaselmkiii.c,
	  src/arch/unix/console.c, src/arch/unix/coproc.c,
	  src/arch/unix/coproc.h, src/arch/unix/dynlib.c,
	  src/arch/unix/fullscreenarch.h, src/arch/unix/hardsid.c,
	  src/arch/unix/icon.h, src/arch/unix/joy.c,
	  src/arch/unix/joy.h, src/arch/unix/joy_usb.c,
	  src/arch/unix/kbd.h, src/arch/unix/mididrv.c,
	  src/arch/unix/mousedrv.c, src/arch/unix/mousedrv.h,
	  src/arch/unix/openGL_sync.h, src/arch/unix/parsid.c,
	  src/arch/unix/rs232.c, src/arch/unix/signals.c,
	  src/arch/unix/socketimpl.h, src/arch/unix/tfearch.c,
	  src/arch/unix/ui.h, src/arch/unix/unixmain.c,
	  src/arch/unix/videoarch.h, src/arch/unix/vmstermios.h,
	  src/arch/unix/vsiduiunix.h, src/arch/unix/vsyncarch.c,
	  src/arch/unix/x11/c128icon.c, src/arch/unix/x11/c64dtvicon.c,
	  src/arch/unix/x11/c64icon.c, src/arch/unix/x11/cbm2icon.c,
	  src/arch/unix/x11/fullscreen.c,
	  src/arch/unix/x11/openGL_sync.c, src/arch/unix/x11/peticon.c,
	  src/arch/unix/x11/plus4icon.c, src/arch/unix/x11/qnxipc.h,
	  src/arch/unix/x11/qnxshm.c, src/arch/unix/x11/qnxshm.h,
	  src/arch/unix/x11/renderxv.c, src/arch/unix/x11/renderxv.h,
	  src/arch/unix/x11/ui-cmdline-options.c,
	  src/arch/unix/x11/ui-resources.c,
	  src/arch/unix/x11/vic20icon.c, src/arch/unix/x11/vidmode.c,
	  src/arch/unix/x11/vidmode.h, src/arch/unix/x11/x11menu.h,
	  src/arch/unix/x11/x11ui.h, src/arch/unix/x11/xrandr.c,
	  src/arch/unix/x11/xrandr.h: Finished the unix arch code
	  cleanups.

2009-09-27  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/vic20/cart/finalexpansion.c: Refactored Blk0 handling in
	  the Final Expansion implementation.

	* src/vic20/cart/finalexpansion.c: Implemented Final Expansion
	  v3.2 features. Passes the current fe3diag.prg (which only
	  tests the v3.1 subset).

2009-09-27  Christian Vogelgsang <chris@vogelgsang.org>

	* build/macosx/build-vice-dist.sh,
	  build/macosx/build-vice-release.sh,
	  src/arch/unix/macosx/make-bindist.sh: macosx: updated build
	  system to support clang compiler and x86_64 builds

	* src/gfxoutputdrv/ffmpegdrv.c: removed obsolete format
	  specifier in ffmpegdrv

	* src/arch/unix/x11/gnome/uiscreenshot.c: added missing brace

	* build/macosx/build-allext.sh,
	  build/macosx/build-ffmpeglame.sh, build/macosx/build-gtk.sh,
	  build/macosx/build-hidutils.sh, build/macosx/build-inc.sh,
	  build/macosx/build-pcaplibnet.sh,
	  build/macosx/build-sdlmain.sh: macosx: added extlib support
	  for x86_64 and clang

2009-09-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gp2x/uicmdline.c, src/arch/unix/x11/xaw/about.c,
	  src/arch/unix/x11/xaw/uiarch.h,
	  src/arch/unix/x11/xaw/uicartridge.c,
	  src/arch/unix/x11/xaw/uicolor.c,
	  src/arch/unix/x11/xaw/uiedisk.c,
	  src/arch/unix/x11/xaw/uimenu.c,
	  src/arch/unix/x11/xaw/uimenu.h,
	  src/arch/unix/x11/xaw/uiscreenshot.c,
	  src/arch/unix/x11/xaw/uisnapshot.c,
	  src/arch/unix/x11/xaw/uivsidcontrol.c,
	  src/arch/unix/x11/xaw/videoarch.h,
	  src/arch/unix/x11/xaw/widgets/Canvas.c,
	  src/arch/unix/x11/xaw/widgets/Canvas.h,
	  src/arch/unix/x11/xaw/widgets/CanvasP.h,
	  src/arch/unix/x11/xaw/widgets/DirMgr.c,
	  src/arch/unix/x11/xaw/widgets/DirMgr.h,
	  src/arch/unix/x11/xaw/widgets/Directory.c,
	  src/arch/unix/x11/xaw/widgets/Directory.h,
	  src/arch/unix/x11/xaw/widgets/DrawImageString.c,
	  src/arch/unix/x11/xaw/widgets/DrawString.c,
	  src/arch/unix/x11/xaw/widgets/FileSel.c,
	  src/arch/unix/x11/xaw/widgets/FileSel.h,
	  src/arch/unix/x11/xaw/widgets/FileSelP.h,
	  src/arch/unix/x11/xaw/widgets/MultiList.c,
	  src/arch/unix/x11/xaw/widgets/MultiList.h,
	  src/arch/unix/x11/xaw/widgets/MultiListP.h,
	  src/arch/unix/x11/xaw/widgets/RegExp.c,
	  src/arch/unix/x11/xaw/widgets/RegExp.h,
	  src/arch/unix/x11/xaw/widgets/ScrList.c,
	  src/arch/unix/x11/xaw/widgets/ScrList.h,
	  src/arch/unix/x11/xaw/widgets/ScrListP.h,
	  src/arch/unix/x11/xaw/widgets/TabString.h,
	  src/arch/unix/x11/xaw/widgets/Tablist2Tabs.c,
	  src/arch/unix/x11/xaw/widgets/TextField.c,
	  src/arch/unix/x11/xaw/widgets/TextField.h,
	  src/arch/unix/x11/xaw/widgets/TextFieldP.h,
	  src/arch/unix/x11/xaw/widgets/TextWidth.c,
	  src/arch/unix/x11/xaw/widgets/strnchr.c,
	  src/arch/unix/x11/xaw/x11kbd.c, src/arch/unix/x11/xaw/x11ui.c,
	  src/arch/unix/x11/xaw/x11video.c: Added some more xaw arch
	  code cleanups.

	* po/POTFILES.in: Updated.

2009-09-26  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/vic20/cart/finalexpansion.c: Refactored mode names
	  according to Final Expansion v3.2 nomenclature.

2009-09-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.m,
	  src/arch/unix/x11/gnome/uimenu.c,
	  src/arch/unix/x11/gnome/uimenu.h,
	  src/arch/unix/x11/gnome/uinetplay.c,
	  src/arch/unix/x11/gnome/uipalcontrol.c,
	  src/arch/unix/x11/gnome/uiscreenshot.c,
	  src/arch/unix/x11/gnome/uisnapshot.c,
	  src/arch/unix/x11/gnome/uivsidcontrol.c,
	  src/arch/unix/x11/gnome/videoarch.h,
	  src/arch/unix/x11/gnome/x11ui.c: Finished the gnomeui arch
	  code cleanups.

2009-09-24  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/console.m,
	  src/arch/unix/macosx/cocoa/menu/viceappcontroller.m,
	  src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.m,
	  src/arch/unix/macosx/cocoa/ui.m,
	  src/arch/unix/macosx/cocoa/viceapplication.m,
	  src/arch/unix/macosx/cocoa/view/consolewindow.m,
	  src/arch/unix/macosx/cocoa/view/fullscreenwindow.h,
	  src/arch/unix/macosx/cocoa/view/fullscreenwindow.m,
	  src/arch/unix/macosx/cocoa/view/viceglview.m,
	  src/arch/unix/macosx/cocoa/view/vicewindow.h,
	  src/arch/unix/macosx/cocoa/view/vicewindow.m: macosx: fixed
	  warnings and leaks

2009-09-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/gnome/about.c,
	  src/arch/unix/x11/gnome/gnomekbd.c,
	  src/arch/unix/x11/gnome/gnomevideo.c,
	  src/arch/unix/x11/gnome/uiarch.h,
	  src/arch/unix/x11/gnome/uicartridge.c,
	  src/arch/unix/x11/gnome/uicolor.c,
	  src/arch/unix/x11/gnome/uiedisk.c,
	  src/arch/unix/x11/gnome/uifileentry.c,
	  src/arch/unix/x11/gnome/uifileentry.h,
	  src/arch/unix/x11/gnome/uijoystickkeys.c: Started on the
	  gnomeui arch code cleanups.

	* src/arch/unix/qnx6/getlibs.c, src/arch/unix/qnx6/getsize.c,
	  src/arch/unix/readline/complete.c,
	  src/arch/unix/readline/editline.c,
	  src/arch/unix/readline/editline.h,
	  src/arch/unix/readline/editline2.c,
	  src/arch/unix/readline/sysunix.c,
	  src/arch/unix/readline/testit.c,
	  src/arch/unix/readline/unix.h,
	  src/arch/unix/readline/version.c,
	  src/arch/unix/sco_sol/convertprototype.c: Added some more unix
	  arch code cleanups.

	* src/arch/unix/macosx/joy.h, src/arch/unix/macosx/mididrv.c:
	  Finished the macosx arch code cleanups.

2009-09-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/macosx/joy.c: Added some more macosx arch code
	  cleanups.

	* src/arch/unix/macosx/cocoa/dialog/drivesettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/drivesettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/iecdrivesettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/iecdrivesettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/keyboardsettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/netplaycontrolwindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/netplaycontrolwindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/printersettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/printersettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/recordhistorywindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/recordmediawindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/recordmediawindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/resourceeditorcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/resourcetreeitem.m,
	  src/arch/unix/macosx/cocoa/dialog/soundsettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/soundsettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/viceresourcewindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/videosettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/videosettingswindowcontroller.m:
	  Started on the macosx arch code cleanup.

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	  src/arch/unix/gui/c64ui.c, src/arch/unix/gui/cbm2ui.c,
	  src/arch/unix/gui/petui.c, src/arch/unix/gui/plus4ui.c,
	  src/arch/unix/gui/ui.c, src/arch/unix/gui/uiacia1.c,
	  src/arch/unix/gui/uiacia1.h, src/arch/unix/gui/uiattach.c,
	  src/arch/unix/gui/uiattach.h, src/arch/unix/gui/uiautostart.c,
	  src/arch/unix/gui/uiautostart.h,
	  src/arch/unix/gui/uic64_256k.c, src/arch/unix/gui/uic64cart.c,
	  src/arch/unix/gui/uic64cart.h, src/arch/unix/gui/uic64dtv.c,
	  src/arch/unix/gui/uicartridge.h,
	  src/arch/unix/gui/uicmdline.c, src/arch/unix/gui/uicommands.c,
	  src/arch/unix/gui/uicommands.h, src/arch/unix/gui/uicrtc.c,
	  src/arch/unix/gui/uicrtc.h, src/arch/unix/gui/uidatasette.c,
	  src/arch/unix/gui/uidatasette.h,
	  src/arch/unix/gui/uidigimax.c, src/arch/unix/gui/uidqbb.c,
	  src/arch/unix/gui/uidrive.c, src/arch/unix/gui/uidrive.h,
	  src/arch/unix/gui/uidrivec128.c,
	  src/arch/unix/gui/uidrivec128.h,
	  src/arch/unix/gui/uidrivec64.c,
	  src/arch/unix/gui/uidrivec64.h,
	  src/arch/unix/gui/uidrivec64c128.c,
	  src/arch/unix/gui/uidrivec64c128.h,
	  src/arch/unix/gui/uidrivec64dtv.c,
	  src/arch/unix/gui/uidrivec64dtv.h,
	  src/arch/unix/gui/uidrivec64vic20.c,
	  src/arch/unix/gui/uidrivec64vic20.h,
	  src/arch/unix/gui/uidriveiec.c,
	  src/arch/unix/gui/uidriveiec.h,
	  src/arch/unix/gui/uidrivepetcbm2.c,
	  src/arch/unix/gui/uidrivepetcbm2.h,
	  src/arch/unix/gui/uidriveplus4.c,
	  src/arch/unix/gui/uidriveplus4.h,
	  src/arch/unix/gui/uidrivevic20.c,
	  src/arch/unix/gui/uidrivevic20.h,
	  src/arch/unix/gui/uieasyflash.c, src/arch/unix/gui/uiedisk.h,
	  src/arch/unix/gui/uifliplist.c,
	  src/arch/unix/gui/uifliplist.h,
	  src/arch/unix/gui/uifullscreen-menu.h,
	  src/arch/unix/gui/uigeoram.c, src/arch/unix/gui/uigeoram.h,
	  src/arch/unix/gui/uihotkey.h, src/arch/unix/gui/uiide64.c,
	  src/arch/unix/gui/uiide64.h, src/arch/unix/gui/uiisepic.c,
	  src/arch/unix/gui/uijoystick2.c,
	  src/arch/unix/gui/uijoystick2.h,
	  src/arch/unix/gui/uikeyboard.c,
	  src/arch/unix/gui/uikeyboard.h, src/arch/unix/gui/uilib.c,
	  src/arch/unix/gui/uilib.h, src/arch/unix/gui/uimidi.c,
	  src/arch/unix/gui/uimidi.h, src/arch/unix/gui/uimmc64.c,
	  src/arch/unix/gui/uimmc64.h, src/arch/unix/gui/uimon.c,
	  src/arch/unix/gui/uimouse.c, src/arch/unix/gui/uimouse.h,
	  src/arch/unix/gui/uinetplay.c, src/arch/unix/gui/uinetplay.h,
	  src/arch/unix/gui/uipalemu.c, src/arch/unix/gui/uipalemu.h,
	  src/arch/unix/gui/uipalette.c, src/arch/unix/gui/uipalette.h,
	  src/arch/unix/gui/uiperipheral.c,
	  src/arch/unix/gui/uiperipheral.h,
	  src/arch/unix/gui/uiperipheralieee.c,
	  src/arch/unix/gui/uiperipheralieee.h,
	  src/arch/unix/gui/uipetreu.c, src/arch/unix/gui/uiplus256k.c,
	  src/arch/unix/gui/uiplus60k.c, src/arch/unix/gui/uiplus60k.h,
	  src/arch/unix/gui/uiprinter.c,
	  src/arch/unix/gui/uiprinteriec.c,
	  src/arch/unix/gui/uiprinteriec.h,
	  src/arch/unix/gui/uiprinteriecplus4.c,
	  src/arch/unix/gui/uiprinterieee.c,
	  src/arch/unix/gui/uiprinterieee.h,
	  src/arch/unix/gui/uips2mouse.c, src/arch/unix/gui/uiramcart.c,
	  src/arch/unix/gui/uiramcart.h, src/arch/unix/gui/uireu.c,
	  src/arch/unix/gui/uireu.h, src/arch/unix/gui/uiromset.c,
	  src/arch/unix/gui/uiromset.h, src/arch/unix/gui/uirs232.c,
	  src/arch/unix/gui/uirs232.h,
	  src/arch/unix/gui/uirs232c64c128.c,
	  src/arch/unix/gui/uirs232c64c128.h,
	  src/arch/unix/gui/uirs232petplus4cbm2.c,
	  src/arch/unix/gui/uirs232petplus4cbm2.h,
	  src/arch/unix/gui/uirs232user.c,
	  src/arch/unix/gui/uirs232user.h,
	  src/arch/unix/gui/uiscreenshot.h,
	  src/arch/unix/gui/uisettings.c,
	  src/arch/unix/gui/uisettings.h, src/arch/unix/gui/uisid.c,
	  src/arch/unix/gui/uisid.h, src/arch/unix/gui/uisnapshot.h,
	  src/arch/unix/gui/uisound.c, src/arch/unix/gui/uisound.h,
	  src/arch/unix/gui/uited.c, src/arch/unix/gui/uited.h,
	  src/arch/unix/gui/uitfe.c, src/arch/unix/gui/uitfe.h,
	  src/arch/unix/gui/uivdc.c, src/arch/unix/gui/uivdc.h,
	  src/arch/unix/gui/uivic.c, src/arch/unix/gui/uivic.h,
	  src/arch/unix/gui/uivicii.c, src/arch/unix/gui/vic20ui.c,
	  src/arch/unix/gui/vsidui.c: Started on the unix arch code
	  cleanup.

	* src/arch/unix/gp2x/minimal.c, src/arch/unix/gp2x/minimal.h,
	  src/arch/unix/gp2x/prefs_gp2x.c, src/arch/unix/gp2x/ui_gp2x.c,
	  src/arch/unix/gp2x/uiarch.h, src/arch/unix/gp2x/uicmdline.c,
	  src/arch/unix/gp2x/uimenu.h, src/arch/unix/gp2x/uimon.c,
	  src/arch/unix/gp2x/uitext_gp2x.c,
	  src/arch/unix/gp2x/uitext_gp2x.h,
	  src/arch/unix/gp2x/vic20ui.c, src/arch/unix/gp2x/video.c,
	  src/arch/unix/gp2x/vkeyboard_gp2x.c,
	  src/arch/unix/gp2x/vkeyboard_gp2x.h,
	  src/arch/unix/gp2x/vsidui.c: Finished up the gp2x arch code
	  cleanup.

	* src/arch/riscos/c128ui.c, src/arch/riscos/c64ui.c,
	  src/arch/riscos/cbm2ui.c, src/arch/riscos/joy.c,
	  src/arch/riscos/kbd.c, src/arch/riscos/kbd.h,
	  src/arch/riscos/petui.c, src/arch/riscos/plus4ui.c,
	  src/arch/riscos/rs232.c, src/arch/riscos/spritedrv.c,
	  src/arch/riscos/ui.c, src/arch/riscos/uiconfig.c,
	  src/arch/riscos/uiconfig.h, src/arch/riscos/uihelp.c,
	  src/arch/riscos/uimsgwin.c, src/arch/riscos/uisharedef.h,
	  src/arch/riscos/vic20ui.c, src/arch/riscos/video.c,
	  src/arch/riscos/vsidui.c, src/arch/riscos/vsync.c: Added
	  spaces to struct definitions in the riscos arch.

2009-09-22  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/uistatusbar.c: Style fixes

2009-09-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dialogs.c,
	  src/arch/os2/dialogs/dlg-create.c,
	  src/arch/os2/dialogs/dlg-emulator.c,
	  src/arch/os2/dialogs/dlg-fileio.c,
	  src/arch/os2/dialogs/menubar.c, src/arch/os2/joy.c,
	  src/arch/os2/joy.h, src/arch/os2/kbd.c,
	  src/arch/os2/kbd/kmap-pet.c, src/arch/os2/kbd/kmap.c,
	  src/arch/os2/mousedrv.c, src/arch/os2/rs232.c,
	  src/arch/os2/siddefs.h, src/arch/os2/snippets/filedlg.h,
	  src/arch/os2/snippets/isatty.c,
	  src/arch/os2/snippets/pmwin2.c, src/arch/os2/ui.c,
	  src/arch/os2/video.c, src/arch/os2/videoarch.h: Added spaces
	  to struct definitions in the os/2 arch.

2009-09-21  Christian Vogelgsang <chris@vogelgsang.org>

	* configure.in, src/sounddrv/soundcoreaudio.c: macosx: rewrote
	  CoreAudio driver to support AudioUnit and fixed sample rate
	  issues

2009-09-21  Spiro Trikaliotis  <spiro.trikaliotis@gmx.de>

	* Version 2.1.17

2009-09-21  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/unix/gui/uic64dtv.c: Added a cast to fix a warning.

	* src/vic20/cart/finalexpansion.c: Include string.h so memset()
	  has a visible prototype.

2009-09-19  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_common.c, src/arch/sdl/menu_common.h,
	  src/arch/sdl/menu_joystick.c, src/arch/sdl/menu_video.c: Add
	  general slider callback to SDL UI, adapt several menu items to
	  use it

	* src/arch/sdl/menu_sound.c, src/arch/sdl/uimenu.c,
	  src/arch/sdl/uimenu.h: Add slider to SDL UI and use it for
	  volume control. Patch provided by Peter Edwards.

	* src/arch/sdl/uistatusbar.c: Limit SDL UI statusbar location to
	  visible part of screen; fixes visibility in cases where the
	  window is smaller than the emulated screen

2009-09-19  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/vic20/cart/finalexpansion.c: Added handling of Final
	  Expansion 3 images of non 512Kb size.

2009-09-18  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/vic20/cart/finalexpansion.c: Only write back Final
	  Expansion 3 image if flash is dirty.

2009-09-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c128ui.c, src/arch/msdos/c64dtvui.c,
	  src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	  src/arch/msdos/joy.c, src/arch/msdos/menudefs.c,
	  src/arch/msdos/petui.c, src/arch/msdos/plus4ui.c,
	  src/arch/msdos/statusbar.c, src/arch/msdos/statusbar.h,
	  src/arch/msdos/tfearch.c, src/arch/msdos/ui.c,
	  src/arch/msdos/uiattach.c, src/arch/msdos/uic64_256k.c,
	  src/arch/msdos/uic64cart.c, src/arch/msdos/uic64dtv.c,
	  src/arch/msdos/uidigimax.c, src/arch/msdos/uidqbb.c,
	  src/arch/msdos/uidrive.c, src/arch/msdos/uieasyflash.c,
	  src/arch/msdos/uigeoram.c, src/arch/msdos/uiisepic.c,
	  src/arch/msdos/uijoystick.c, src/arch/msdos/uilightpen.c,
	  src/arch/msdos/uimmc64.c, src/arch/msdos/uinetplay.c,
	  src/arch/msdos/uiperipherial.c, src/arch/msdos/uipetreu.c,
	  src/arch/msdos/uiplus256k.c, src/arch/msdos/uiplus60k.c,
	  src/arch/msdos/uiprinter.c, src/arch/msdos/uiramcart.c,
	  src/arch/msdos/uireu.c, src/arch/msdos/uiscreenshot.c,
	  src/arch/msdos/uisid.c, src/arch/msdos/uisidcart.c,
	  src/arch/msdos/uisiddtv.c, src/arch/msdos/uisnapshot.c,
	  src/arch/msdos/uisound.c, src/arch/msdos/uisoundexpander.c,
	  src/arch/msdos/uitfe.c, src/arch/msdos/vic20ui.c,
	  src/arch/msdos/video.c, src/arch/msdos/videoarch.h,
	  src/arch/msdos/vsync.c: Added spaces to struct definitions in
	  the msdos arch.

	* src/arch/beos/archdep.h, src/arch/beos/c128ui.cc,
	  src/arch/beos/c64dtvui.cc, src/arch/beos/c64ui.cc,
	  src/arch/beos/cbm2ui.cc, src/arch/beos/joy.cc,
	  src/arch/beos/kbd.c, src/arch/beos/petui.cc,
	  src/arch/beos/plus4ui.cc, src/arch/beos/socketimpl.h,
	  src/arch/beos/statusbar.cc, src/arch/beos/ui.cc,
	  src/arch/beos/ui_cbm2.cc, src/arch/beos/ui_drive.cc,
	  src/arch/beos/ui_joystick.cc, src/arch/beos/ui_pet.cc,
	  src/arch/beos/ui_ram.cc, src/arch/beos/ui_sid.cc,
	  src/arch/beos/ui_video.cc, src/arch/beos/vic20ui.cc,
	  src/arch/beos/video.cc: Added spaces to struct definitions in
	  the beos arch.

2009-09-17  Hannu Nuotio <hannu.nuotio@tut.fi>

	* configure.in: Add UNIX_{WIZ,DINGUX}_COMPILE to non-unix parts,
	  fixes autogen.sh on non-unix

2009-09-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/ahi.c, src/arch/amigaos/c128ui.c,
	  src/arch/amigaos/c64dtvui.c, src/arch/amigaos/c64ui.c,
	  src/arch/amigaos/cbm2ui.c, src/arch/amigaos/fixdeps.c,
	  src/arch/amigaos/intl.c, src/arch/amigaos/joy.c,
	  src/arch/amigaos/joy.h, src/arch/amigaos/joyai.c,
	  src/arch/amigaos/joyll.c, src/arch/amigaos/joyll.h,
	  src/arch/amigaos/petui.c, src/arch/amigaos/plus4ui.c,
	  src/arch/amigaos/pointer.c, src/arch/amigaos/screen-shot.c,
	  src/arch/amigaos/statusbar.c, src/arch/amigaos/tfearch.c,
	  src/arch/amigaos/ui.c, src/arch/amigaos/uiapi.c,
	  src/arch/amigaos/uic64cart.c, src/arch/amigaos/uilib.c,
	  src/arch/amigaos/uires.h, src/arch/amigaos/vic20ui.c,
	  src/arch/amigaos/video.c: Finished adding spaces to struct
	  definitions in the amigaos arch.

	* src/arch/amigaos/mui/filereq.c, src/arch/amigaos/mui/uiacia.c,
	  src/arch/amigaos/mui/uic128settings.c,
	  src/arch/amigaos/mui/uic64_256k.c,
	  src/arch/amigaos/mui/uic64dtv.c,
	  src/arch/amigaos/mui/uicbm2settings.c,
	  src/arch/amigaos/mui/uidatasette.c,
	  src/arch/amigaos/mui/uidigimax.c,
	  src/arch/amigaos/mui/uidqbb.c,
	  src/arch/amigaos/mui/uidrivec128.c,
	  src/arch/amigaos/mui/uidrivec64vic20.c,
	  src/arch/amigaos/mui/uidrivepetcbm2.c,
	  src/arch/amigaos/mui/uidriveplus4.c,
	  src/arch/amigaos/mui/uieasyflash.c,
	  src/arch/amigaos/mui/uigeoram.c,
	  src/arch/amigaos/mui/uiide64.c,
	  src/arch/amigaos/mui/uiisepic.c,
	  src/arch/amigaos/mui/uijoystick.c,
	  src/arch/amigaos/mui/uijoystickll.c,
	  src/arch/amigaos/mui/uimmc64.c,
	  src/arch/amigaos/mui/uimouse.c,
	  src/arch/amigaos/mui/uinetwork.c,
	  src/arch/amigaos/mui/uipetreu.c,
	  src/arch/amigaos/mui/uipetsettings.c,
	  src/arch/amigaos/mui/uiplus256k.c,
	  src/arch/amigaos/mui/uiplus60k.c,
	  src/arch/amigaos/mui/uiram.c,
	  src/arch/amigaos/mui/uiramcart.c,
	  src/arch/amigaos/mui/uireu.c,
	  src/arch/amigaos/mui/uiromc128settings.c,
	  src/arch/amigaos/mui/uiromc64vic20settings.c,
	  src/arch/amigaos/mui/uiromcbm2settings.c,
	  src/arch/amigaos/mui/uirompetsettings.c,
	  src/arch/amigaos/mui/uiromplus4settings.c,
	  src/arch/amigaos/mui/uirs232user.c,
	  src/arch/amigaos/mui/uisid.c,
	  src/arch/amigaos/mui/uisidcart.c,
	  src/arch/amigaos/mui/uisiddtv.c,
	  src/arch/amigaos/mui/uisnapshot.c,
	  src/arch/amigaos/mui/uisound.c,
	  src/arch/amigaos/mui/uisoundexpander.c,
	  src/arch/amigaos/mui/uivic20mem.c,
	  src/arch/amigaos/mui/uivicii.c,
	  src/arch/amigaos/mui/uivideoc128.c,
	  src/arch/amigaos/mui/uivideoc64plus4vic20.c,
	  src/arch/amigaos/mui/uivideocbm2pet.c: Started adding spaces
	  to struct definitions in the amigaos arch.

	* src/arch/unix/gp2x/prefs_gp2x.c,
	  src/arch/unix/gp2x/prefs_gp2x.h, src/arch/unix/gp2x/ui.c,
	  src/arch/unix/gp2x/ui_gp2x.c: Added some more gp2x arch code
	  cleanups.

2009-09-16  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/joy.c, src/arch/sdl/kbd.c,
	  src/arch/sdl/menu_c128hw.c,
	  src/arch/sdl/menu_c64_common_expansions.c,
	  src/arch/sdl/menu_c64_expansions.c,
	  src/arch/sdl/menu_c64cart.c, src/arch/sdl/menu_c64dtvhw.c,
	  src/arch/sdl/menu_c64hw.c, src/arch/sdl/menu_cbm2cart.c,
	  src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_common.h,
	  src/arch/sdl/menu_debug.c, src/arch/sdl/menu_drive.c,
	  src/arch/sdl/menu_drive_rom.c, src/arch/sdl/menu_help.c,
	  src/arch/sdl/menu_joystick.c, src/arch/sdl/menu_lightpen.c,
	  src/arch/sdl/menu_midi.c, src/arch/sdl/menu_mouse.c,
	  src/arch/sdl/menu_network.c, src/arch/sdl/menu_petcart.c,
	  src/arch/sdl/menu_pethw.c, src/arch/sdl/menu_plus4cart.c,
	  src/arch/sdl/menu_plus4hw.c, src/arch/sdl/menu_ram.c,
	  src/arch/sdl/menu_reset.c, src/arch/sdl/menu_rom.c,
	  src/arch/sdl/menu_rs232.c, src/arch/sdl/menu_screenshot.c,
	  src/arch/sdl/menu_settings.c, src/arch/sdl/menu_sid.c,
	  src/arch/sdl/menu_snapshot.c, src/arch/sdl/menu_sound.c,
	  src/arch/sdl/menu_speed.c, src/arch/sdl/menu_tape.c,
	  src/arch/sdl/menu_tfe.c, src/arch/sdl/menu_vic20cart.c,
	  src/arch/sdl/menu_vic20hw.c, src/arch/sdl/menu_video.c,
	  src/arch/sdl/ui.c, src/arch/sdl/uifilereq.c,
	  src/arch/sdl/video.c, src/arch/sdl/vkbd.c,
	  src/arch/sdl/vsidui.c, src/arch/sdl/x128_ui.c,
	  src/arch/sdl/x64_ui.c, src/arch/sdl/x64dtv_ui.c,
	  src/arch/sdl/xcbm2_ui.c, src/arch/sdl/xpet_ui.c,
	  src/arch/sdl/xplus4_ui.c, src/arch/sdl/xvic_ui.c: Restore
	  spaces to structs, fix JEPG typo, fix incorrect (yet harmless)
	  int cast

2009-09-15  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_snapshot.c, src/vic20/vic-snapshot.c,
	  src/vic20/vic20memsnapshot.c: Fix xvic snapshots (except cart
	  specific parts) and SDL UI quickload/save snapshot menu items

2009-09-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Added --enable-wiz and --enable-dingux to
	  configure.in, for dingux this will cause some dingux specific
	  compile options/optimizations to be used, also added wiz and
	  dingux toolchain recognition to configure.in

	* src/arch/sdl/vsidui.c: Added some more sdl arch code cleanups.

2009-09-14  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/vic20/cart/megacart.c: Include <string.h>, not "string.h".

2009-09-14  Christian Vogelgsang <chris@vogelgsang.org>

	* src/sounddrv/soundcoreaudio.c: macosx: fixed stereo sid output

2009-09-14  Hannu Nuotio <hannu.nuotio@tut.fi>

	* doc/ReadmeSDL.txt, src/arch/sdl/vsidui.c, src/c64/c64.c,
	  src/init.c, src/machine.h, src/main.c,
	  src/raster/raster-canvas.c, src/raster/raster.c,
	  src/video/video-canvas.c, src/video/video-color.c,
	  src/video/video-viewport.c: Add new variable
	  video_disabled_mode to replace vsid/console_mode testing in
	  raster/ and video/, add initial SDL UI vsid implementation

2009-09-14  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/sdl/uifilereq.c: Changed the string generation in
	  sdl_ui_file_selector_redraw() to use lib_msprintf() instead of
	  the unsafe malloc()/sprintf() combination.

	* src/video/render2x2pal.c: Make sure the pragmas are only used
	  with MSVC.

	* src/video/render2x2pal.c: Explicitly disable warning 4244 on
	  MSVC builds.

	* src/vic20/cart/megacart.c: Include string.h so strcmp() has a
	  visible prototype.

2009-09-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_vic20cart.c, src/translate.c,
	  src/translate.txt, src/vic20/cart/finalexpansion.c,
	  src/vic20/cart/finalexpansion.h, src/vic20/cart/generic.c,
	  src/vic20/cart/megacart.c, src/vic20/cart/megacart.h,
	  src/vic20/cart/vic20cart.c, src/vic20/cart/vic20cartmem.c,
	  src/vic20/cart/vic20cartmem.h, src/vic20/vic20.c: Rewritten cart
	  handling, and added vic20 carts.

	* src/Makefile.am, src/arch/Makefile.am, src/arch/platform.h,
	  src/arch/platform_aix_version.h, src/arch/platform_cpu_type.h,
	  src/arch/platform_freebsd_version.h,
	  src/arch/platform_netbsd_version.h,
	  src/arch/platform_openbsd_version.h,
	  src/arch/platform_qnx6_version.h, src/platform.h,
	  src/platform_aix_version.h, src/platform_cpu_type.h,
	  src/platform_freebsd_version.h, src/platform_netbsd_version.h,
	  src/platform_openbsd_version.h, src/platform_qnx6_version.h:
	  Moved the platform discovery files to the src/arch dir.

	* src/arch/unix/gp2x/input_gp2x.c,
	  src/arch/unix/gp2x/input_gp2x.h,
	  src/arch/unix/gp2x/keycodes.h, src/arch/unix/gp2x/minimal.c,
	  src/arch/unix/gp2x/minimal.h,
	  src/arch/unix/gp2x/minimal_940t.h, src/arch/unix/gp2x/petui.c,
	  src/arch/unix/gp2x/plus4ui.c: Added some more gp2x arch code
	  cleanups.

	* src/arch/amigaos/ui.c, src/arch/beos/vicemenu.cc,
	  src/arch/msdos/tuifs.c, src/arch/sdl/menu_help.c,
	  src/arch/sdl/uifilereq.c, src/arch/unix/gp2x/minimal.c,
	  src/arch/unix/gp2x/minimal.h,
	  src/arch/unix/gp2x/minimal_940t.h,
	  src/arch/unix/gp2x/prefs_gp2x.c,
	  src/arch/unix/macosx/cocoa/dialog/resourcetreeitem.m,
	  src/arch/unix/macosx/cocoa/dialog/videosettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/vicemachine.m,
	  src/arch/unix/mididrv.c,
	  src/arch/unix/x11/xaw/widgets/Directory.c,
	  src/arch/win32/statusbar.c, src/arch/win32/vsidui.c,
	  src/autostart-prg.c, src/autostart.c, src/c1541.c,
	  src/c64/reloc65.c, src/c64dtv/c64dtvcpu.c,
	  src/core/ciatimer.h, src/lib.c,
	  src/lib/libffmpeg/libavformat/avformat.h,
	  src/lib/libffmpeg/libavutil/common.h, src/lib/lpng/pngwrite.c,
	  src/libm_math.c, src/monitor/mon_file.c,
	  src/monitor/mon_lex.c, src/monitor/monitor.c, src/petcat.c,
	  src/printerdrv/drv-nl10.c, src/rs232drv/rsuser.c,
	  src/socket.c, src/sysfile.c, src/tape/tap.c,
	  src/vdrive/vdrive-rel.c, src/vic20/vic20cpu.c: Did some global
	  'while(....)' -> 'while (....)' cleanups.

2009-09-13  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/uifilereq.c: Allocate one more byte for the
	  terminating zero

2009-09-13  Errol Smith <strobe@kludgesoft.com>

	* src/vdc/vdc.c: Initialise the VDC's internal ram at power up.

2009-09-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-monitor.c, src/arch/os2/tfearch.c,
	  src/arch/sdl/uistatusbar.c, src/arch/sdl/vkbd.c,
	  src/arch/unix/gp2x/minimal.c, src/arch/unix/gp2x/prefs_gp2x.c,
	  src/arch/unix/gp2x/uitext_gp2x.c, src/arch/unix/gp2x/video.c,
	  src/arch/unix/gp2x/vkeyboard_gp2x.c, src/arch/unix/joy.c,
	  src/arch/unix/macosx/cocoa/dialog/drivesettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/iecdrivesettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/netplaycontrolwindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/recordmediawindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/resourcetreeitem.m,
	  src/arch/unix/macosx/cocoa/menu/c64controller.m,
	  src/arch/unix/macosx/cocoa/menu/viceappcontroller.m,
	  src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.m,
	  src/arch/unix/macosx/cocoa/viceapplication.m,
	  src/arch/unix/macosx/cocoa/vicemachine.m,
	  src/arch/unix/macosx/cocoa/vicemachinenotifier.m,
	  src/arch/unix/macosx/cocoa/view/controlwindow.m,
	  src/arch/unix/macosx/cocoa/view/driveview.m,
	  src/arch/unix/macosx/cocoa/view/joystickview.m,
	  src/arch/unix/macosx/cocoa/view/tapeview.m,
	  src/arch/unix/macosx/cocoa/view/viceglview.m,
	  src/arch/unix/macosx/joy.c, src/arch/unix/macosx/mididrv.c,
	  src/arch/unix/x11/gnome/uijoystickkeys.c,
	  src/arch/unix/x11/xaw/widgets/Canvas.c,
	  src/arch/win32/catweaselmkiii.c, src/arch/win32/vsidui.c,
	  src/autostart-prg.c, src/c64/fmopl.c, src/c64/patchrom.c,
	  src/c64/tfe.c, src/c64dtv/c64dtvflash.c, src/findpath.c,
	  src/gcr.c, src/gfxoutputdrv/ffmpegdrv.c,
	  src/gfxoutputdrv/quicktimedrv.c, src/lib/lpng/pngpread.c,
	  src/lib/lpng/pngread.c, src/lib/lpng/pngrutil.c,
	  src/monitor/mon_memory.c, src/monitor/monitor.c,
	  src/printerdrv/drv-nl10.c, src/serial/serial-iec-device.c,
	  src/tape/tap.c, src/vic20/vic20mem.c, src/vic20/vic20sound.c,
	  src/vicii/vicii.c: Did some global 'for(....)' -> 'for (....)'
	  cleanups.

	* src/Makefile.am, src/platform.h, src/platform_cpu_type.h,
	  src/platform_qnx6_version.h: Continued work on the platform
	  discovery macros.

	* src/arch/unix/gp2x/Char_ROM.h,
	  src/arch/unix/gp2x/audio_gp2x.c, src/arch/unix/gp2x/c128ui.c,
	  src/arch/unix/gp2x/c64ui.c, src/arch/unix/gp2x/cbm2ui.c,
	  src/arch/unix/gp2x/fullscreenarch.h: Started on the GP2X code
	  cleanup.

	* src/Makefile.am, src/platform.h, src/platform_aix_version.h,
	  src/platform_cpu_type.h, src/platform_freebsd_version.h,
	  src/platform_netbsd_version.h, src/platform_openbsd_version.h:
	  Continued work on the platform discovery macros.

2009-09-12  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/x11-launcher.sh: macosx: fixed gtk
	  launcher in 10.6

	* src/arch/unix/macosx/make-bindist.sh: macosx: updated bundling
	  for current platypus releases

2009-09-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/6510core.c, src/6510dtvcore.c, src/arch/amigaos/tfearch.c,
	  src/arch/sdl/video.c, src/arch/sdl/vkbd.c,
	  src/arch/unix/archdep.c, src/arch/unix/gp2x/c128ui.c,
	  src/arch/unix/gp2x/cbm2ui.c, src/arch/unix/gp2x/minimal.c,
	  src/arch/unix/gp2x/prefs_gp2x.c,
	  src/arch/unix/gp2x/uitext_gp2x.c,
	  src/arch/unix/gp2x/vic20ui.c,
	  src/arch/unix/macosx/cocoa/console.m,
	  src/arch/unix/macosx/cocoa/dialog/drivesettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/iecdrivesettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/keyboardsettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/netplaycontrolwindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/printersettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/recordhistorywindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/recordmediawindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/resourceeditorcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/resourcetreeitem.m,
	  src/arch/unix/macosx/cocoa/dialog/soundsettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/viceresourcewindowcontroller.m,
	  src/arch/unix/macosx/cocoa/dialog/videosettingswindowcontroller.m,
	  src/arch/unix/macosx/cocoa/main.m,
	  src/arch/unix/macosx/cocoa/menu/c64controller.m,
	  src/arch/unix/macosx/cocoa/menu/viceappcontroller.m,
	  src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.m,
	  src/arch/unix/macosx/cocoa/mousedrv.m,
	  src/arch/unix/macosx/cocoa/ui.m,
	  src/arch/unix/macosx/cocoa/uimon.m,
	  src/arch/unix/macosx/cocoa/viceapplication.m,
	  src/arch/unix/macosx/cocoa/vicemachine.m,
	  src/arch/unix/macosx/cocoa/vicemachinenotifier.m,
	  src/arch/unix/macosx/cocoa/view/consolewindow.m,
	  src/arch/unix/macosx/cocoa/view/controlwindow.m,
	  src/arch/unix/macosx/cocoa/view/driveview.m,
	  src/arch/unix/macosx/cocoa/view/fullscreenwindow.m,
	  src/arch/unix/macosx/cocoa/view/joystickview.m,
	  src/arch/unix/macosx/cocoa/view/keypressview.m,
	  src/arch/unix/macosx/cocoa/view/logview.m,
	  src/arch/unix/macosx/cocoa/view/soundview.m,
	  src/arch/unix/macosx/cocoa/view/statusview.m,
	  src/arch/unix/macosx/cocoa/view/tapeview.m,
	  src/arch/unix/macosx/cocoa/view/viceglview.m,
	  src/arch/unix/macosx/cocoa/view/vicewindow.m,
	  src/arch/unix/macosx/joy.c, src/arch/unix/macosx/mididrv.c,
	  src/arch/unix/mididrv.c, src/arch/unix/tfearch.c,
	  src/arch/unix/x11/gnome/about.c,
	  src/arch/unix/x11/gnome/uimenu.c,
	  src/arch/unix/x11/gnome/x11ui.c, src/arch/unix/x11/vidmode.c,
	  src/arch/unix/x11/xaw/widgets/FileSel.c,
	  src/arch/unix/x11/xaw/x11ui.c,
	  src/arch/win32/catweaselmkiii.c, src/arch/win32/dynlib.c,
	  src/arch/win32/mididrv.c, src/arch/win32/parsid.c,
	  src/arch/win32/tfearch.c, src/arch/win32/uidrivec128.c,
	  src/arch/win32/uidriveplus4.c, src/arch/win32/uikeyboard.c,
	  src/arch/win32/uilib.c, src/arch/win32/uimediafile.c,
	  src/arch/win32/uiram.c, src/arch/win32/vsidui.c,
	  src/autostart-prg.c, src/autostart.c, src/c64/c64io.c,
	  src/c64/c64mem.c, src/c64/cart/stardos.c,
	  src/c64/cart/supersnapshot.c, src/c64/fmopl.c, src/c64/psid.c,
	  src/c64/reloc65.c, src/c64/reu.c, src/c64/tfe.c,
	  src/c64dtv/c64dtvblitter.c, src/c64dtv/c64dtvcpu.c,
	  src/c64dtv/c64dtvdma.c, src/c64dtv/c64dtvflash.c,
	  src/c64dtv/c64dtvmem.c, src/c64dtv/c64dtvmemrom.c,
	  src/c64dtv/hummeradc.c, src/core/ciacore.c,
	  src/core/viacore.c, src/drive/ieee/fdc.c, src/findpath.c,
	  src/fsdevice/fsdevice-open.c, src/gcr.c,
	  src/gfxoutputdrv/ffmpegdrv.c, src/gfxoutputdrv/ffmpeglib.c,
	  src/gfxoutputdrv/gfxoutput.c, src/gfxoutputdrv/quicktimedrv.c,
	  src/iecbus/iecbus.c, src/imagecontents/tapecontents.c,
	  src/joystick.c, src/keyboard.c,
	  src/lib/libffmpeg/libavutil/common.h,
	  src/lib/libffmpeg/libavutil/rational.h, src/lib/lpng/png.c,
	  src/lib/lpng/pngerror.c, src/lib/lpng/pngget.c,
	  src/lib/lpng/pngmem.c, src/lib/lpng/pngpread.c,
	  src/lib/lpng/pngread.c, src/lib/lpng/pngrio.c,
	  src/lib/lpng/pngrtran.c, src/lib/lpng/pngrutil.c,
	  src/lib/lpng/pngset.c, src/lib/lpng/pngtrans.c,
	  src/lib/lpng/pngwio.c, src/lib/lpng/pngwrite.c,
	  src/lib/lpng/pngwtran.c, src/lib/lpng/pngwutil.c,
	  src/lib/zlib/zutil.h, src/libm_math.c, src/maincpu.c,
	  src/midi.c, src/monitor/mon_file.c, src/monitor/mon_lex.c,
	  src/monitor/mon_memory.c, src/monitor/monitor.c, src/mouse.c,
	  src/parallel.h, src/parallel/parallel.c, src/pet/petvia.c,
	  src/petcat.c, src/piacore.c, src/printerdrv/drv-nl10.c,
	  src/printerdrv/output-graphics.c, src/ps2mouse.c,
	  src/raster/raster-resources.c, src/rs232drv/rsuser.c,
	  src/serial/fsdrive.c, src/serial/serial-iec-device.c,
	  src/sid/sid-resources.c, src/sounddrv/lamelib.c,
	  src/sounddrv/soundcoreaudio.c, src/sounddrv/soundmovie.c,
	  src/sounddrv/soundmp3.c, src/sounddrv/sounduss.c,
	  src/tape/tap.c, src/usleep.c, src/vdrive/vdrive-rel.c,
	  src/vic20/vic20ieeevia2.c, src/vic20/vic20mem.c,
	  src/vic20/vic20sound.c, src/vicii/vicii-fetch.c,
	  src/vicii/vicii.c: Did some global 'if(....)' -> 'if (....)'
	  cleanups.

	* src/Makefile.am, src/platform.h: Added a header to deal with
	  determining the platform, cpu and version of the os that is
	  being compiled for, for future inclusion in the about dialog
	  of the various ports.

	* src/arch/sdl/uimenu.c, src/arch/sdl/uimon.c,
	  src/arch/sdl/uimsgbox.h, src/arch/sdl/uipause.c,
	  src/arch/sdl/uipoll.c, src/arch/sdl/uipoll.h,
	  src/arch/sdl/uistatusbar.c, src/arch/sdl/uistatusbar.h,
	  src/arch/sdl/video.c, src/arch/sdl/videoarch.h,
	  src/arch/sdl/vkbd.c, src/arch/sdl/vsidui.c,
	  src/arch/sdl/vsyncarch.c, src/arch/sdl/x128_ui.c,
	  src/arch/sdl/x64_ui.c, src/arch/sdl/x64dtv_ui.c,
	  src/arch/sdl/xcbm2_ui.c, src/arch/sdl/xpet_ui.c,
	  src/arch/sdl/xplus4_ui.c, src/arch/sdl/xvic_ui.c: Added some
	  more sdl arch code cleanups.

2009-09-11  Christian Vogelgsang <chris@vogelgsang.org>

	* build/Makefile.am, build/macosx/build-vice-release.sh: macosx:
	  fixed source tarball generation

2009-09-11  Errol Smith <strobe@kludgesoft.com>

	* src/vdc/vdc.c: Revert the interlace mode changes until a
	  better implementation is developed.

2009-09-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, doc/GP2X-Howto.txt: Added a --enable-gp2x
	  configure option for non-open2x toolchains, this eliminates
	  the need to rename or make links for the toolchain tools.

	* configure.in: Added some ui enable conflict/sanity checks to
	  the configure script.

	* src/arch/amigaos/catweaselmkiii.c, src/arch/sdl/archdep.c,
	  src/arch/sdl/blockdev.c, src/arch/sdl/joy.c,
	  src/arch/sdl/kbd.c, src/arch/sdl/menu_plus4cart.c,
	  src/arch/sdl/menu_reset.c, src/arch/sdl/menu_sound.c,
	  src/arch/sdl/menu_speed.c: Added some more sdl arch code
	  cleanups.

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64cart.c,
	  src/arch/sdl/menu_c64dtvhw.c, src/arch/sdl/menu_c64hw.c,
	  src/arch/sdl/menu_cbm2cart.c, src/arch/sdl/menu_cbm2hw.c,
	  src/arch/sdl/menu_common.c, src/arch/sdl/menu_common.h,
	  src/arch/sdl/menu_debug.c, src/arch/sdl/menu_drive.c,
	  src/arch/sdl/menu_drive_rom.c, src/arch/sdl/menu_help.c,
	  src/arch/sdl/menu_joystick.c, src/arch/sdl/menu_lightpen.c,
	  src/arch/sdl/menu_midi.c, src/arch/sdl/menu_mouse.c,
	  src/arch/sdl/menu_network.c, src/arch/sdl/menu_petcart.c,
	  src/arch/sdl/menu_pethw.c, src/arch/sdl/menu_plus4cart.c,
	  src/arch/sdl/menu_plus4hw.c, src/arch/sdl/menu_ram.c,
	  src/arch/sdl/menu_reset.c, src/arch/sdl/menu_rom.c,
	  src/arch/sdl/menu_rs232.c, src/arch/sdl/menu_screenshot.c,
	  src/arch/sdl/menu_settings.c, src/arch/sdl/menu_sid.c,
	  src/arch/sdl/menu_snapshot.c, src/arch/sdl/menu_sound.c,
	  src/arch/sdl/menu_speed.c, src/arch/sdl/menu_tape.c,
	  src/arch/sdl/menu_tfe.c, src/arch/sdl/menu_vic20cart.c,
	  src/arch/sdl/menu_vic20hw.c, src/arch/sdl/menu_video.c,
	  src/arch/sdl/mousedrv.c, src/arch/sdl/mousedrv.h,
	  src/arch/sdl/sdlmain.c, src/arch/sdl/signals.c,
	  src/arch/sdl/ui.c, src/arch/sdl/ui.h,
	  src/arch/sdl/uicmdline.c, src/arch/sdl/uifilereq.c,
	  src/arch/sdl/uifilereq.h, src/arch/sdl/uihotkey.c: Added some
	  more sdl arch code cleanups.

2009-09-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_unix.c, src/arch/sdl/archdep_unix.h,
	  src/arch/sdl/archdep_win32.c, src/arch/sdl/archdep_win32.h,
	  src/arch/sdl/archdep_xbox.c, src/arch/sdl/archdep_xbox.h,
	  src/arch/sdl/blockdev.c, src/arch/sdl/console.c,
	  src/arch/sdl/fullscreen.c, src/arch/sdl/fullscreenarch.h,
	  src/arch/sdl/joy.c, src/arch/sdl/joy.h, src/arch/sdl/kbd.c,
	  src/arch/sdl/kbd.h, src/arch/sdl/lightpendrv.c,
	  src/arch/sdl/menu_c64_common_expansions.c,
	  src/arch/sdl/menu_c64_expansions.c: Added some more sdl arch
	  code cleanups.

2009-09-09  Christian Vogelgsang <chris@vogelgsang.org>

	* build/macosx/build-allext.sh,
	  build/macosx/build-ffmpeglame.sh, build/macosx/build-inc.sh,
	  build/macosx/build-readline.sh: macosx: added support for 10.6
	  hosted extlib build

	* build/macosx/build-vice-dist.sh,
	  build/macosx/build-vice-release.sh,
	  src/arch/unix/macosx/make-bindist.sh: macosx: added support
	  for 10.6 hosted build

2009-09-09  Errol Smith <strobe@kludgesoft.com>

	* src/vdc/vdc.c: First go at interlace (50 row) support. Text
	  mode OK, bitmap mode still needs work.

2009-09-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_amiga.c, src/arch/sdl/archdep_amiga.h,
	  src/arch/sdl/archdep_beos.c, src/arch/sdl/archdep_beos.h,
	  src/arch/sdl/archdep_cegcc.c, src/arch/sdl/archdep_cegcc.h,
	  src/arch/sdl/archdep_riscos.c, src/arch/sdl/archdep_riscos.h,
	  src/arch/sdl/win32-msvc/config.h,
	  src/arch/sdl/win32-msvc/dirent.h,
	  src/arch/sdl/win32-msvc/siddefs-fp.h,
	  src/arch/sdl/win32-msvc/siddefs.h,
	  src/arch/sdl/win32-watcom/config.h,
	  src/arch/sdl/win64-msvc/config.h,
	  src/arch/sdl/win64-msvc/dirent.h,
	  src/arch/sdl/win64-msvc/siddefs-fp.h,
	  src/arch/sdl/win64-msvc/siddefs.h, src/arch/sdl/xbox/config.h:
	  Started the sdl arch code cleanup.

2009-09-09  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/vic20/vic20memsnapshot.c: Remove obsolete chargen
	  wraparound hacks in xvic snapshot handling

2009-09-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/riscos/video.c, src/arch/riscos/videoarch.h,
	  src/arch/riscos/vsidarch.h, src/arch/riscos/vsidui.c,
	  src/arch/riscos/vsync.c: Finished the riscos arch code
	  cleanup.

2009-09-09  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/vic20/vic20-resources.c: Change default xvic memory
	  configuration to unexpanded

2009-09-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Added a test for in6addr_any to configure.in

	* src/arch/riscos/archdep.c, src/arch/riscos/archdep.h,
	  src/arch/riscos/blockdev.c, src/arch/riscos/c128ui.c,
	  src/arch/riscos/c64c128ui.c, src/arch/riscos/c64ui.c,
	  src/arch/riscos/cbm2ui.c, src/arch/riscos/config.h,
	  src/arch/riscos/console.c, src/arch/riscos/joy.c,
	  src/arch/riscos/joy.h, src/arch/riscos/kbd.c,
	  src/arch/riscos/kbd.h, src/arch/riscos/mousedrv.c,
	  src/arch/riscos/mousedrv.h, src/arch/riscos/petui.c,
	  src/arch/riscos/plus4ui.c, src/arch/riscos/riscosmain.c,
	  src/arch/riscos/rs232.c, src/arch/riscos/signals.c,
	  src/arch/riscos/spritedrv.c, src/arch/riscos/ui.c,
	  src/arch/riscos/ui.h, src/arch/riscos/uicmdline.c,
	  src/arch/riscos/uiconfig.c, src/arch/riscos/uiconfig.h,
	  src/arch/riscos/uihelp.c, src/arch/riscos/uihelp.h,
	  src/arch/riscos/uiimage.c, src/arch/riscos/uiimage.h,
	  src/arch/riscos/uimon.c, src/arch/riscos/uimsgwin.c,
	  src/arch/riscos/uimsgwin.h, src/arch/riscos/uisharedef.h,
	  src/arch/riscos/vic20ui.c: Added some riscos arch code
	  cleanups.

2009-09-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resid-dtv/configure.in, src/resid/configure.in: Fixed some
	  errors.

	* src/arch/os2/ui.c, src/arch/os2/ui_status.h,
	  src/arch/os2/uicmdline.c, src/arch/os2/uimon.c,
	  src/arch/os2/video.c, src/arch/os2/videoarch.h,
	  src/arch/os2/vsidui.c, src/arch/os2/vsyncarch.c: Finished the
	  os/2 arch code cleanup.

2009-09-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/archdep.c, src/arch/os2/archdep.h,
	  src/arch/os2/blockdev.c, src/arch/os2/console.c,
	  src/arch/os2/fullscr.c, src/arch/os2/fullscr.h,
	  src/arch/os2/fullscros2.h, src/arch/os2/gradd.h,
	  src/arch/os2/joy.c, src/arch/os2/joy.h, src/arch/os2/kbd.c,
	  src/arch/os2/kbd.h, src/arch/os2/mousedrv.c,
	  src/arch/os2/mousedrv.h, src/arch/os2/os2main.c,
	  src/arch/os2/rs232.c, src/arch/os2/siddefs.h,
	  src/arch/os2/signals.c, src/arch/os2/sounddrv.c,
	  src/arch/os2/tfearch.c, src/arch/os2/types.h: Added some more
	  os/2 arch code cleanups.

2009-09-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/fonts/bdf2fnt.cc,
	  src/arch/os2/fonts/chargen2fnt.cc,
	  src/arch/os2/fonts/mps2chargen.cc,
	  src/arch/os2/fonts/vice2.rc, src/arch/os2/kbd/kbd-c64.c,
	  src/arch/os2/kbd/kbd-c64dtv.c, src/arch/os2/kbd/kbd-pet.c,
	  src/arch/os2/kbd/kmap-pet.c, src/arch/os2/kbd/kmap.c,
	  src/arch/os2/kbd/parse.c, src/arch/os2/kbd/proc.c,
	  src/arch/os2/kbd/proc.h, src/arch/os2/snippets/dirport.c,
	  src/arch/os2/snippets/dirport.h,
	  src/arch/os2/snippets/filedlg.c,
	  src/arch/os2/snippets/pmwin2.c,
	  src/arch/os2/snippets/pmwin2.h,
	  src/arch/os2/vac++/cbm2-pet-dummy.c,
	  src/arch/os2/vac++/config.h: Added some more os/2 arch code
	  cleanups.

	* src/arch/win32/watcom/config.h: Fixed the 64bit defines for
	  watcom.

	* src/arch/win32/watcom/arch.tgt,
	  src/arch/win32/watcom/vice.wpj: Updated win32 watcom project
	  files.

	* src/arch/os2/dialogs/dlg-vsid.h,
	  src/arch/os2/dialogs/dlg-vsid.rc,
	  src/arch/os2/dialogs/dragndrop.c,
	  src/arch/os2/dialogs/menubar.c,
	  src/arch/os2/dialogs/menubar.h,
	  src/arch/os2/dialogs/menubar.rc: Added some more os/2 arch
	  code cleanups.

	* src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	  src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	  src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	  src/arch/win32/petui.c, src/arch/win32/plus4ui.c,
	  src/arch/win32/res.rc, src/arch/win32/resautostart.rc,
	  src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	  src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	  src/arch/win32/resdialogs.txt, src/arch/win32/resmenu.txt,
	  src/arch/win32/respet.rc, src/arch/win32/resplus4.rc,
	  src/arch/win32/resstrings.txt, src/arch/win32/resvic20.rc,
	  src/arch/win32/ui.c, src/arch/win32/uiautostart.c,
	  src/arch/win32/uiautostart.h, src/arch/win32/vic20ui.c,
	  src/arch/win32/x128.dsp, src/arch/win32/x64.dsp,
	  src/arch/win32/x64dtv.dsp, src/arch/win32/xcbm2.dsp,
	  src/arch/win32/xpet.dsp, src/arch/win32/xplus4.dsp,
	  src/arch/win32/xvic.dsp, src/arch/win64/arch.vcproj,
	  src/arch/win64/x128.vcproj, src/arch/win64/x64.vcproj,
	  src/arch/win64/x64dtv.vcproj, src/arch/win64/xcbm2.vcproj,
	  src/arch/win64/xpet.vcproj, src/arch/win64/xplus4.vcproj,
	  src/arch/win64/xvic.vcproj: Added new autostart ui elements to
	  the win32/64 ports and updated the msvc project files.

2009-09-03  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/cartconv.c: Removed unused variable 'length' in
	  load_easyflash_crt().

2009-09-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-fileio.rc,
	  src/arch/os2/dialogs/dlg-joystick.c,
	  src/arch/os2/dialogs/dlg-joystick.h,
	  src/arch/os2/dialogs/dlg-joystick.rc,
	  src/arch/os2/dialogs/dlg-monitor.c,
	  src/arch/os2/dialogs/dlg-monitor.h,
	  src/arch/os2/dialogs/dlg-monitor.rc,
	  src/arch/os2/dialogs/dlg-reset.c,
	  src/arch/os2/dialogs/dlg-vsid.c: Added some more os/2 arch
	  code cleanups.

2009-09-02  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/c64dtv/c64dtv-cmdline-options.c: Remove obsolete EmuID and
	  Hummer userport cmdline options, readd hummeradc

2009-09-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dialogs.c,
	  src/arch/os2/dialogs/dialogs.h,
	  src/arch/os2/dialogs/dialogs.rc,
	  src/arch/os2/dialogs/dlg-cmdopt.c,
	  src/arch/os2/dialogs/dlg-color.c,
	  src/arch/os2/dialogs/dlg-color.h,
	  src/arch/os2/dialogs/dlg-color.rc,
	  src/arch/os2/dialogs/dlg-create.c,
	  src/arch/os2/dialogs/dlg-datasette.c,
	  src/arch/os2/dialogs/dlg-datasette.h,
	  src/arch/os2/dialogs/dlg-datasette.rc,
	  src/arch/os2/dialogs/dlg-drive.c,
	  src/arch/os2/dialogs/dlg-drive.h,
	  src/arch/os2/dialogs/dlg-drive.rc,
	  src/arch/os2/dialogs/dlg-emulator.c,
	  src/arch/os2/dialogs/dlg-emulator.h,
	  src/arch/os2/dialogs/dlg-emulator.rc,
	  src/arch/os2/dialogs/dlg-fileio.c,
	  src/arch/os2/dialogs/dlg-fileio.h: Added some os/2 arch code
	  cleanups.

2009-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uisiddtv.c, src/arch/msdos/uisiddtv.h,
	  src/arch/msdos/uisnapshot.c, src/arch/msdos/uisnapshot.h,
	  src/arch/msdos/uisound.c, src/arch/msdos/uisound.h,
	  src/arch/msdos/uisoundexpander.c, src/arch/msdos/uitfe.c,
	  src/arch/msdos/vic20ui.c, src/arch/msdos/video.c,
	  src/arch/msdos/vmidas.c, src/arch/msdos/vmidas.h,
	  src/arch/msdos/vsidui.c, src/arch/msdos/vsync.c: Finished the
	  msdos arch code cleanups.

2009-08-31  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/lightpen.c: Fix misleading comment

2009-08-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resid/configure.in: Added testing for -mmmx to the resid
	  configure.in

	* src/arch/msdos/uiperipherial.c,
	  src/arch/msdos/uiperipherial.h, src/arch/msdos/uipetreu.c,
	  src/arch/msdos/uiplus256k.c, src/arch/msdos/uiplus60k.c,
	  src/arch/msdos/uiprinter.c, src/arch/msdos/uiprinter.h,
	  src/arch/msdos/uiramcart.c, src/arch/msdos/uiramcart.h,
	  src/arch/msdos/uireu.c, src/arch/msdos/uireu.h,
	  src/arch/msdos/uiscreenshot.c, src/arch/msdos/uisid.c,
	  src/arch/msdos/uisid.h, src/arch/msdos/uisidcart.c: Added more
	  msdos arch code cleanups.

	* src/resid-dtv/configure.in: Added testing for -mmmx to the
	  resid-dtv configure.in

2009-08-30  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/serial/serial-iec-device.c: Fix incorrect response of the
	  high-level IEC device emulation to addresses 16-30. Patch by
	  Ingo Korb.

2009-08-29  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/mainviccpu.c: Fix xvic memmap zero page bug, remove some
	  unused defines

	* src/c64/c64mem.c, src/c64/cart/easyflash.c: EasyFlash: enable
	  ROML stores only on Ultimax mode, remove obsolete
	  mem_store_without_ultimax calls, remove misleading comment

2009-08-29  Errol Smith <strobe@kludgesoft.com>

	* data/C128/vdc_deft.vpl: Fix VDC brown so that it is actually
	  brown.

2009-08-27  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/archdep_riscos.c: Fix buffer overflow (bug
	  2844740)

2009-08-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiattach.h, src/arch/msdos/uic64_256k.c,
	  src/arch/msdos/uic64cart.c, src/arch/msdos/uic64cart.h,
	  src/arch/msdos/uic64dtv.c, src/arch/msdos/uicmdline.c,
	  src/arch/msdos/uidigimax.c, src/arch/msdos/uidqbb.c,
	  src/arch/msdos/uidrive.c, src/arch/msdos/uidrive.h,
	  src/arch/msdos/uieasyflash.c, src/arch/msdos/uigeoram.c,
	  src/arch/msdos/uigeoram.h, src/arch/msdos/uiisepic.c,
	  src/arch/msdos/uijoystick.c, src/arch/msdos/uijoystick.h,
	  src/arch/msdos/uilightpen.c, src/arch/msdos/uimmc64.c,
	  src/arch/msdos/uimon.c, src/arch/msdos/uinetplay.c: Added more
	  msdos arch code cleanups.

	* src/cartconv.c: Added EasyFlash support to cartconv.

2009-08-25  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_c64dtvhw.c, src/arch/unix/gui/uic64dtv.c,
	  src/c64dtv/c64dtv-resources.c, src/c64dtv/c64dtv-resources.h,
	  src/c64dtv/c64dtvcia1.c, src/c64dtv/c64dtvcia2.c: Remove
	  obsolete HummerUserportDevice and HummerUserportJoyPort
	  resources, readd HummerADC resource, fix SDL and *nix menus

2009-08-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/plus4ui.c, src/arch/msdos/signals.c,
	  src/arch/msdos/socketimpl.h, src/arch/msdos/statusbar.c,
	  src/arch/msdos/statusbar.h, src/arch/msdos/tfearch.c,
	  src/arch/msdos/tui.c, src/arch/msdos/tui.h,
	  src/arch/msdos/tui_backend.c, src/arch/msdos/tui_backend.h,
	  src/arch/msdos/tuicharset.c, src/arch/msdos/tuicharset.h,
	  src/arch/msdos/tuifs.c, src/arch/msdos/tuifs.h,
	  src/arch/msdos/tuiimagebrowser.c,
	  src/arch/msdos/tuiimagebrowser.h, src/arch/msdos/tuimenu.c,
	  src/arch/msdos/tuimenu.h, src/arch/msdos/tuiview.c,
	  src/arch/msdos/tuiview.h, src/arch/msdos/ui.c,
	  src/arch/msdos/uiattach.c: Added more msdos arch code
	  cleanups.

2009-08-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/kbd.h, src/arch/msdos/menudefs.c,
	  src/arch/msdos/menudefs.h, src/arch/msdos/mousedrv.c,
	  src/arch/msdos/mousedrv.h, src/arch/msdos/msdosmain.c,
	  src/arch/msdos/parsid.c, src/arch/msdos/petui.c: Added more
	  msdos arch code cleanups.

2009-08-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/archdep.c, src/arch/msdos/archdep.h,
	  src/arch/msdos/c128ui.c, src/arch/msdos/c64dtvui.c,
	  src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	  src/arch/msdos/cbmcharsets.c, src/arch/msdos/cbmcharsets.h,
	  src/arch/msdos/console.c, src/arch/msdos/grabkey.c,
	  src/arch/msdos/grabkey.h, src/arch/msdos/joy.c,
	  src/arch/msdos/joy.h, src/arch/msdos/kbd.c: Started on the
	  msdos arch code cleanup.

2009-08-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/vicemenu.cc, src/arch/beos/vicewindow.cc,
	  src/arch/beos/vicewindow.h, src/arch/beos/video.cc,
	  src/arch/beos/videoarch.h, src/arch/beos/vsidui.cc,
	  src/arch/beos/vsyncarch.c: Finished the beos arch cleanup.

2009-08-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/vice.h: Fixed the previously added 64bit
	  defines.

2009-08-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_vic20.cc, src/arch/beos/ui_vic20.h,
	  src/arch/beos/ui_vicii.cc, src/arch/beos/ui_vicii.h,
	  src/arch/beos/ui_video.cc, src/arch/beos/ui_video.h,
	  src/arch/beos/uicmdline.c, src/arch/beos/uimon.c,
	  src/arch/beos/vic20ui.cc, src/arch/beos/viceapp.cc,
	  src/arch/beos/viceapp.h: Added some more beos arch code
	  cleanups.

	* src/arch/beos/ui_ram.h, src/arch/beos/ui_sid.cc,
	  src/arch/beos/ui_sid.h, src/arch/beos/ui_siddtv.cc,
	  src/arch/beos/ui_siddtv.h, src/arch/beos/ui_sound.cc,
	  src/arch/beos/ui_sound.h: Added some more beos arch code
	  cleanups.

2009-08-19  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* configure.in: Added macros int64_t_C() and uint64_t_C() to
	  make WinVICE compile again with MinGW.

2009-08-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_netplay.h, src/arch/beos/ui_pet.cc,
	  src/arch/beos/ui_pet.h, src/arch/beos/ui_ram.cc: Added some
	  more beos arch code cleanups.

	* configure.in, src/arch/amigaos/mousedrv.c: Removed powerup,
	  warpos and amithlon support from the amiga port.

	* build/Makefile.am, build/amigaos/build-vbcc.sh,
	  src/arch/amigaos/Makefile.am, src/arch/amigaos/config.h.vbcc,
	  src/arch/amigaos/console.c, src/arch/amigaos/screen-shot.c,
	  src/arch/amigaos/socketimpl.c, src/arch/amigaos/timer.h,
	  src/arch/amigaos/uilib.c, src/arch/amigaos/video.c: Removed
	  vbcc support from the amiga port.

	* src/arch/beos/ui.cc, src/arch/beos/ui_cbm2.cc,
	  src/arch/beos/ui_cbm2.h, src/arch/beos/ui_datasette.cc,
	  src/arch/beos/ui_datasette.h, src/arch/beos/ui_device.cc,
	  src/arch/beos/ui_device.h, src/arch/beos/ui_drive.cc,
	  src/arch/beos/ui_drive.h, src/arch/beos/ui_file.cc,
	  src/arch/beos/ui_file.h, src/arch/beos/ui_joystick.cc,
	  src/arch/beos/ui_joystick.h, src/arch/beos/ui_netplay.cc:
	  Added some more beos arch code cleanups.

2009-08-16  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/mainviccpu.c, src/vic20/vic20mem.c: Route zero page
	  operations via mem_read/write_tab_ptr in xvic, fixes zero page
	  watchpoints

	* src/core/flash040core.c, src/flash040.h: Add flash_dirty flag
	  (set on byte program and erase)

2009-08-16  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/win32/msvc/config.h, src/arch/win32/vsyncarch.c: Use
	  macro uint64_t_C for 64 bit unsigned constant.

	* src/arch/sdl/win32-msvc/arch.dsp: Removed menu_c128cart.c and
	  menu_c64cart_common.c that do not exist anymore, fixing MSVC
	  compile of SDL.

2009-08-16  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_drive.c: Allow changing fsdevice options in
	  SDL UI regardless of drive type

2009-08-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/archdep.c, src/arch/beos/archdep.h,
	  src/arch/beos/c128ui.cc, src/arch/beos/c64dtvui.cc,
	  src/arch/beos/c64ui.cc, src/arch/beos/cbm2ui.cc,
	  src/arch/beos/console.c, src/arch/beos/constants.h,
	  src/arch/beos/joy.cc, src/arch/beos/kbd.c,
	  src/arch/beos/mousedrv.cc, src/arch/beos/mousedrv.h,
	  src/arch/beos/petui.cc, src/arch/beos/plus4ui.cc,
	  src/arch/beos/signals.c, src/arch/beos/statusbar.cc,
	  src/arch/beos/statusbar.h: Started on the beos arch code
	  cleanup.

	* src/arch/amigaos/timer.c, src/arch/amigaos/ui.c,
	  src/arch/amigaos/uiapi.c, src/arch/amigaos/uiattach.c,
	  src/arch/amigaos/uic64cart.c, src/arch/amigaos/uicart.c,
	  src/arch/amigaos/uicmdline.c, src/arch/amigaos/uicolor.c,
	  src/arch/amigaos/uilib.c, src/arch/amigaos/uimon.c,
	  src/arch/amigaos/uires.h, src/arch/amigaos/vic20ui.c,
	  src/arch/amigaos/vic20uires.h, src/arch/amigaos/video.c,
	  src/arch/amigaos/videoarch.h, src/arch/amigaos/vsidui.c,
	  src/arch/amigaos/vsyncapi.c, src/arch/amigaos/x128ns.c,
	  src/arch/amigaos/x64dtvns.c, src/arch/amigaos/x64ns.c,
	  src/arch/amigaos/xcbm2ns.c, src/arch/amigaos/xpetns.c,
	  src/arch/amigaos/xplus4ns.c, src/arch/amigaos/xvicns.c:
	  Finished up the amiga arch code cleanup.

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/nl.po,
	  po/pl.po, po/sv.po, po/tr.po: Removed obsolete entries.

	* src/arch/amigaos/intl.c, src/arch/win32/resvic20.rc,
	  src/translate.c: Updated swedish translations.

	* src/arch/amigaos/intl.c, src/arch/win32/res.rc,
	  src/arch/win32/resc128.rc, src/arch/win32/resc64_256k.rc,
	  src/arch/win32/resdqbb.rc, src/arch/win32/resgeoram.rc,
	  src/arch/win32/reside64.rc, src/arch/win32/respetreu.rc,
	  src/arch/win32/resplus256k.rc, src/arch/win32/resplus60k.rc,
	  src/arch/win32/resramcart.rc, src/arch/win32/resreu.rc,
	  src/arch/win32/resvic20.rc, src/translate.c: Updated german
	  translations.

2009-08-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64cartmem.c: Removed the non-ultimax memory
	  write hooks from the easyflash emulation to make the emulation
	  behave like the real thing.

2009-08-14  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_joystick.c, src/arch/unix/gui/uijoystick2.c,
	  src/joystick.c: Added option to allow opposite joystick
	  directions and the menu items for SDL and *nix UIs

2009-08-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/ahi.c, src/arch/amigaos/ahi.h,
	  src/arch/amigaos/amigamain.c, src/arch/amigaos/archdep.c,
	  src/arch/amigaos/archdep.h, src/arch/amigaos/blockdev.c,
	  src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	  src/arch/amigaos/c64dtvui.c, src/arch/amigaos/c64dtvuires.h,
	  src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	  src/arch/amigaos/catweaselmkiii.c, src/arch/amigaos/cbm2ui.c,
	  src/arch/amigaos/cbm2uires.h, src/arch/amigaos/console.c,
	  src/arch/amigaos/expansionbase.h, src/arch/amigaos/fixdeps.c,
	  src/arch/amigaos/fullscreen.c,
	  src/arch/amigaos/fullscreenarch.h, src/arch/amigaos/hardsid.c,
	  src/arch/amigaos/intl.c, src/arch/amigaos/joy.c,
	  src/arch/amigaos/joyai.c, src/arch/amigaos/joyll.c,
	  src/arch/amigaos/kbd.c, src/arch/amigaos/mousedrv.c,
	  src/arch/amigaos/noinlineargs.c, src/arch/amigaos/petui.c,
	  src/arch/amigaos/petuires.h, src/arch/amigaos/plus4ui.c,
	  src/arch/amigaos/plus4uires.h, src/arch/amigaos/pointer.c,
	  src/arch/amigaos/private.h, src/arch/amigaos/rs232.c,
	  src/arch/amigaos/screen-shot.c, src/arch/amigaos/signals.c,
	  src/arch/amigaos/statusbar.c: Added more amiga arch code
	  cleanups.

	* src/arch/amigaos/mui/uisid.c,
	  src/arch/amigaos/mui/uisidcart.c,
	  src/arch/amigaos/mui/uisiddtv.c,
	  src/arch/amigaos/mui/uisnapshot.c,
	  src/arch/amigaos/mui/uisound.c,
	  src/arch/amigaos/mui/uisoundexpander.c,
	  src/arch/amigaos/mui/uivic20mem.c,
	  src/arch/amigaos/mui/uivicii.c,
	  src/arch/amigaos/mui/uivideoc128.c,
	  src/arch/amigaos/mui/uivideoc64plus4vic20.c,
	  src/arch/amigaos/mui/uivideocbm2pet.c: Added more amiga arch
	  code cleanups.

2009-08-12  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/win32/statusbar.c: Some small "beautification" for
	  the LED patch.

2009-08-12  Errol Smith <strobe@kludgesoft.com>

	* src/vdc/vdc-cmdline-options.c, src/vdc/vdc-resources.c: Fix
	  "missing initializer" warnings from gcc -Wextra.

2009-08-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/statusbar.c: Removed a missed #if 0.

	* src/arch/win32/statusbar.c, src/arch/win32/statusbar.h: Fixed
	  drive led pwm handling, slightly altered version of a patch
	  provided by Spiro.

	* src/cartconv.c: Extended the cartconv file buffer by 16 bytes.

2009-08-11  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/core/flash040core.c, src/flash040.h: Handle byte
	  programming errors

2009-08-10  pottendo <pottendo@aon.at>

	* po/de.po: updated.

2009-08-10  Peter Krefting <peter@softwolves.pp.se>

	* po/sv.po: Update Swedish translation to 2.1.16 (2810t0f0u).

2009-08-10  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/mouse.c: Invert paddle Y-axis

2009-08-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uiromc128settings.c,
	  src/arch/amigaos/mui/uiromplus4settings.c,
	  src/arch/amigaos/mui/uirs232user.c: Added some more code
	  cleanups.

	* src/arch/amigaos/mui/uinetwork.c,
	  src/arch/amigaos/mui/uipetreu.c,
	  src/arch/amigaos/mui/uipetsettings.c,
	  src/arch/amigaos/mui/uiplus256k.c,
	  src/arch/amigaos/mui/uiplus4settings.c,
	  src/arch/amigaos/mui/uiplus60k.c,
	  src/arch/amigaos/mui/uiram.c,
	  src/arch/amigaos/mui/uiramcart.c,
	  src/arch/amigaos/mui/uireu.c,
	  src/arch/amigaos/mui/uiromc64vic20settings.c,
	  src/arch/amigaos/mui/uiromcbm2settings.c,
	  src/arch/amigaos/mui/uirompetsettings.c: Added some more code
	  cleanups.

	* src/arch/amigaos/mui/filereq.c, src/arch/amigaos/mui/mui.c,
	  src/arch/amigaos/mui/uiacia.c,
	  src/arch/amigaos/mui/uic128settings.c,
	  src/arch/amigaos/mui/uic64_256k.c,
	  src/arch/amigaos/mui/uic64dtv.c,
	  src/arch/amigaos/mui/uicbm2settings.c,
	  src/arch/amigaos/mui/uidatasette.c,
	  src/arch/amigaos/mui/uidigimax.c,
	  src/arch/amigaos/mui/uidqbb.c,
	  src/arch/amigaos/mui/uidrivec128.c,
	  src/arch/amigaos/mui/uidrivec64vic20.c,
	  src/arch/amigaos/mui/uidrivepetcbm2.c,
	  src/arch/amigaos/mui/uidriveplus4.c,
	  src/arch/amigaos/mui/uieasyflash.c,
	  src/arch/amigaos/mui/uigeoram.c,
	  src/arch/amigaos/mui/uiide64.c,
	  src/arch/amigaos/mui/uiisepic.c,
	  src/arch/amigaos/mui/uijoystick.c,
	  src/arch/amigaos/mui/uijoystickll.c,
	  src/arch/amigaos/mui/uimmc64.c,
	  src/arch/amigaos/mui/uimouse.c: Added some more code cleanups.

	* src/arch/amigaos/mui/filereq.c,
	  src/arch/amigaos/mui/filereq.h, src/arch/amigaos/mui/mui.c,
	  src/arch/amigaos/mui/mui.h, src/arch/amigaos/mui/uiacia.c,
	  src/arch/amigaos/mui/uic128settings.c,
	  src/arch/amigaos/mui/uic64_256k.c,
	  src/arch/amigaos/mui/uic64dtv.c,
	  src/arch/amigaos/mui/uicbm2settings.c,
	  src/arch/amigaos/mui/uidatasette.c,
	  src/arch/amigaos/mui/uidigimax.c,
	  src/arch/amigaos/mui/uidqbb.c,
	  src/arch/amigaos/mui/uidrivec128.c,
	  src/arch/amigaos/mui/uidrivec64vic20.c,
	  src/arch/amigaos/mui/uidrivepetcbm2.c,
	  src/arch/amigaos/mui/uidriveplus4.c,
	  src/arch/amigaos/mui/uieasyflash.c,
	  src/arch/amigaos/mui/uifliplist.c,
	  src/arch/amigaos/mui/uigeoram.c,
	  src/arch/amigaos/mui/uiide64.c,
	  src/arch/amigaos/mui/uiisepic.c,
	  src/arch/amigaos/mui/uijoystick.c: Started on coding style
	  cleanup (starting with src/arc/amigaos).

	* src/arch/win32/res.rc: Fixed a copy/paste mistake.

2009-08-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* AUTHORS, doc/html/index.html, doc/vice.texi,
	  src/arch/amigaos/mui/mui.c, src/arch/beos/ui.cc,
	  src/arch/msdos/menudefs.c, src/arch/os2/dialogs/dialogs.rc,
	  src/arch/unix/macosx/Resources/Credits.html,
	  src/arch/win32/res.rc: Added Antti S. Lankila to the files
	  which show members of the core team.

2009-08-08  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/6510core.c, src/6510dtvcore.c, src/debug.h: Added
	  STATIC_ASSERT() macro, and use it to ensure that TRAP_OPCODE
	  matches the right opcode (in 6510core.c and 6510dtvcore.c).

2009-08-08  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/6510core.c, src/6510dtvcore.c, src/drive/drivecpu.c,
	  src/drive/driverom.c, src/drive/iec/iec-resources.c,
	  src/traps.c, src/traps.h: Move traps from BRK to JAM (0x02).
	  Patch provided by Ingo Korb.

	* src/arch/sdl/Makefile.am, src/arch/sdl/menu_c128cart.c,
	  src/arch/sdl/menu_c128cart.h, src/arch/sdl/menu_c64cart.c,
	  src/arch/sdl/menu_c64cart.h,
	  src/arch/sdl/menu_c64cart_common.c,
	  src/arch/sdl/menu_c64cart_common.h, src/arch/sdl/menu_rom.c,
	  src/arch/sdl/x128_ui.c: SDL UI: move x128 function ROM
	  settings to ROM settings, use common cartridge menu for x64
	  and x128, move raw image items to a submenu

2009-08-07  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/win32/mousedrv.c: Remove a warning from MinGW
	  compilation

2009-08-07  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/mainviccpu.c: Handle vic_cycle also on JAM continue

2009-08-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vsyncarch.c: Made a 64bit constant used in the
	  win32 arch unsigned.

	* src/arch/win32/vsyncarch.c, src/arch/win32/watcom/arch.tgt,
	  src/arch/win32/watcom/vice.wpj: Fixed a win32 watcom project
	  file.

2009-08-07  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/amigaos/archdep.h, src/arch/beos/archdep.h,
	  src/arch/msdos/archdep.h, src/arch/os2/archdep.h,
	  src/arch/riscos/archdep.h, src/arch/sdl/archdep_amiga.h,
	  src/arch/sdl/archdep_beos.h, src/arch/sdl/archdep_cegcc.h,
	  src/arch/sdl/archdep_riscos.h, src/arch/sdl/archdep_unix.h,
	  src/arch/sdl/archdep_win32.h, src/arch/sdl/archdep_xbox.h,
	  src/arch/sdl/menu_sound.c, src/arch/unix/archdep.h,
	  src/arch/unix/gui/uisound.c, src/arch/win32/archdep.h,
	  src/sound.c, src/sound.h: Make sound fragment size switchable
	  (with archdep defaults), SDL and *nix UI menus updated

2009-08-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.c: Fixed another win32 warning.

	* src/arch/win32/dinput_handle.c, src/arch/win32/fullscrn-dx9.c,
	  src/arch/win32/uilib.c, src/arch/win32/video-dx9.c,
	  src/arch/win32/vsyncarch.c, src/gfxoutputdrv/ffmpegdrv.c,
	  src/resid-fp/sid.cc: Fixed some win32 warnings.

	* src/arch/amigaos/ahi.c, src/arch/amigaos/mousedrv.c,
	  src/arch/amigaos/timer.c, src/arch/amigaos/uiapi.c,
	  src/arch/amigaos/video.c, src/c64/plus256k.c,
	  src/c64/plus60k.c, src/c64/ramcart.c, src/monitor/monitor.c,
	  src/pet/petreu.c, src/plus4/plus4memcsory256k.c,
	  src/plus4/plus4memhannes256k.c, src/vdrive/vdrive-rel.c:
	  Finished up the lib_*alloc() cleanups.

	* src/arch/msdos/tuifs.c,
	  src/arch/unix/macosx/cocoa/view/viceglview.m,
	  src/arch/unix/x11/xaw/uimenu.c, src/c64/c64_256k.c,
	  src/c64/georam.c, src/cmdline.c, src/interrupt.c,
	  src/ioutil.c, src/keyboard.c, src/log.c,
	  src/raster/raster-resources.c, src/romset.c,
	  src/sid/fastsid.c, src/sounddrv/soundcoreaudio.c,
	  src/sounddrv/soundmmos2.c, src/tape/tape.c, src/util.c,
	  src/vdrive/vdrive-dir.c, src/vdrive/vdrive-iec.c,
	  src/vdrive/vdrive-internal.c, src/vdrive/vdrive-rel.c,
	  src/video/video-canvas.c: Added some more lib_*alloc()
	  cleanups.

	* src/arch/os2/unused/pm_cmdline.c,
	  src/arch/os2/unused/video_gpi.c, src/arch/sdl/video.c,
	  src/arch/unix/gui/uisound.c,
	  src/arch/unix/x11/gnome/gnomevideo.c,
	  src/arch/unix/x11/vidmode.c, src/arch/unix/x11/xaw/x11video.c,
	  src/arch/unix/x11/xrandr.c, src/arch/win32/uikeyboard.c,
	  src/attach.c, src/c1541.c, src/cbmdos.c,
	  src/diskimage/fsimage.c, src/diskimage/rawimage.c,
	  src/event.c, src/fsdevice/fsdevice.c, src/interrupt.c,
	  src/raster/raster-changes.c, src/screenshot.c,
	  src/vicii/vicii.c, src/video/video-color.c,
	  src/video/video-resources.c: Added some more lib_*alloc()
	  cleanups.

2009-08-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/mon_register6502.c,
	  src/monitor/mon_register6502dtv.c,
	  src/monitor/mon_registerz80.c, src/printerdrv/driver-select.c,
	  src/printerdrv/output-graphics.c,
	  src/printerdrv/output-select.c, src/raster/raster-canvas.c,
	  src/raster/raster-changes.c, src/raster/raster-modes.c,
	  src/raster/raster-sprite-cache.c,
	  src/raster/raster-sprite-status.c, src/raster/raster.c,
	  src/sounddrv/soundacorn.c, src/sounddrv/soundaix.c,
	  src/sounddrv/sounddx.c, src/sounddrv/soundwmm.c,
	  src/tape/tape-internal.c, src/vdrive/vdrive-command.c,
	  src/vdrive/vdrive-iec.c, src/vdrive/vdrive-internal.c,
	  src/vdrive/vdrive-rel.c, src/vdrive/vdrive.c: Added some more
	  lib_malloc() cleanups.

	* src/fsdevice/fsdevice-cmdline-options.c,
	  src/fsdevice/fsdevice-flush.c, src/fsdevice/fsdevice-open.c,
	  src/fsdevice/fsdevice-read.c, src/gfxoutputdrv/bmpdrv.c,
	  src/gfxoutputdrv/ffmpegdrv.c, src/gfxoutputdrv/gfxoutput.c,
	  src/gfxoutputdrv/gifdrv.c, src/gfxoutputdrv/iffdrv.c,
	  src/gfxoutputdrv/jpegdrv.c, src/gfxoutputdrv/pcxdrv.c,
	  src/gfxoutputdrv/pngdrv.c, src/gfxoutputdrv/ppmdrv.c,
	  src/imagecontents/diskcontents-block.c,
	  src/imagecontents/diskcontents-iec.c,
	  src/imagecontents/imagecontents.c,
	  src/imagecontents/tapecontents.c,
	  src/monitor/mon_breakpoint.c, src/monitor/mon_memory.c,
	  src/monitor/mon_parse.c, src/monitor/mon_parse.y,
	  src/monitor/monitor.c: Added some more lib_malloc() cleanups.

	* src/arch/unix/console.c,
	  src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.m,
	  src/arch/unix/macosx/cocoa/view/viceglview.m,
	  src/arch/unix/x11/gnome/uimenu.c,
	  src/arch/unix/x11/gnome/x11ui.c,
	  src/arch/unix/x11/xaw/uicolor.c,
	  src/arch/unix/x11/xaw/uiscreenshot.c,
	  src/arch/unix/x11/xaw/widgets/DirMgr.c,
	  src/arch/unix/x11/xaw/widgets/FileSel.c,
	  src/arch/unix/x11/xaw/widgets/MultiList.c,
	  src/arch/unix/x11/xaw/x11ui.c,
	  src/arch/unix/x11/xaw/x11video.c, src/arch/win32/gifdrv.c,
	  src/arch/win32/uiperipheral.c, src/c64/dqbb.c,
	  src/c64/isepic.c, src/c64/sfx_soundexpander.c,
	  src/core/ciacore.c, src/diskimage/fsimage-create.c,
	  src/drive/drive-snapshot.c, src/fileio/cbmfile.c,
	  src/fileio/p00.c: Added some more lib_malloc() cleanups.

	* src/arch/beos/console.c, src/arch/beos/kbd.c,
	  src/arch/beos/ui.cc, src/arch/beos/vicewindow.cc,
	  src/arch/msdos/console.c, src/arch/msdos/tuifs.c,
	  src/arch/msdos/tuimenu.c, src/arch/riscos/archdep.c,
	  src/arch/riscos/console.c, src/arch/riscos/spritedrv.c,
	  src/arch/riscos/ui.c, src/arch/riscos/uihelp.c,
	  src/arch/riscos/uiimage.c, src/arch/riscos/uimsgwin.c,
	  src/arch/riscos/video.c, src/arch/sdl/archdep_riscos.c,
	  src/arch/sdl/archdep_unix.c, src/arch/sdl/joy.c,
	  src/arch/sdl/menu_help.c, src/arch/sdl/uifilereq.c,
	  src/arch/sdl/uimenu.c, src/arch/unix/archdep.c: Added some
	  more lib_malloc() cleanups.

	* src/alarm.c, src/arch/amigaos/console.c,
	  src/arch/amigaos/noinlineargs.c, src/autostart-prg.c,
	  src/charset.c, src/clkguard.c, src/cmdline.c, src/color.c,
	  src/event.c, src/fliplist.c, src/ioutil.c, src/lib.c,
	  src/machine.c, src/palette.c, src/rawfile.c, src/resources.c,
	  src/romset.c, src/snapshot.c, src/sound.c, src/traps.c,
	  src/util.c, src/zfile.c: Started on the lib_malloc() cleanup.

	* src/arch/win32/evc/system.c, src/c64/cart/c64cart.c,
	  src/c64/dqbb.c, src/c64/tfe.c, src/c64dtv/c64dtvflash.c,
	  src/diskimage/fsimage.c, src/drive/iec/memiec.c,
	  src/gfxoutputdrv/ffmpegdrv.c, src/monitor/mon_breakpoint.c,
	  src/monitor/mon_util.c, src/monitor/monitor.c,
	  src/printerdrv/output-graphics.c, src/raster/raster.c,
	  src/sounddrv/soundacorn.c, src/sounddrv/soundaix.c,
	  src/tape/t64.c, src/tape/tap.c, src/tape/tape.c,
	  src/vdrive/vdrive-rel.c: Finished the lib_free() guard
	  cleanup.

	* src/arch/unix/gui/vic20ui.c, src/arch/unix/gui/vsidui.c,
	  src/arch/unix/macosx/cocoa/view/viceglview.m,
	  src/arch/unix/x11/fullscreen.c,
	  src/arch/unix/x11/gnome/uiscreenshot.c,
	  src/arch/unix/x11/gnome/uivsidcontrol.c,
	  src/arch/unix/x11/gnome/x11ui.c,
	  src/arch/unix/x11/xaw/uicartridge.c,
	  src/arch/unix/x11/xaw/uiedisk.c,
	  src/arch/unix/x11/xaw/uiscreenshot.c,
	  src/arch/unix/x11/xaw/uisnapshot.c,
	  src/arch/unix/x11/xaw/uivsidcontrol.c,
	  src/arch/unix/x11/xaw/widgets/DirMgr.c,
	  src/arch/unix/x11/xaw/x11ui.c, src/arch/win32/console.c,
	  src/arch/win32/intl.c, src/arch/win32/system.c,
	  src/arch/win32/ui-resources.c, src/arch/win32/ui.c,
	  src/arch/win32/uilib.c, src/arch/win32/uimon.c,
	  src/arch/win32/video.c: Cleaned up some more lib_free()
	  guards.

	* src/arch/msdos/tuimenu.c, src/arch/msdos/uiattach.c,
	  src/arch/os2/fullscr.c, src/arch/riscos/spritedrv.c,
	  src/arch/riscos/ui.c, src/arch/riscos/video.c,
	  src/arch/sdl/archdep_beos.c, src/arch/sdl/archdep_cegcc.c,
	  src/arch/sdl/archdep_win32.c, src/arch/sdl/fullscreen.c,
	  src/arch/sdl/uifilereq.c, src/arch/unix/gui/uiattach.c,
	  src/arch/unix/gui/uic64cart.c, src/arch/unix/gui/uic64dtv.c,
	  src/arch/unix/gui/uicommands.c,
	  src/arch/unix/gui/uifliplist.c,
	  src/arch/unix/gui/uikeyboard.c, src/arch/unix/gui/uipalette.c,
	  src/arch/unix/gui/uiprinter.c, src/arch/unix/gui/uiromset.c,
	  src/arch/unix/gui/uirs232.c, src/arch/unix/gui/uisettings.c:
	  Cleaned up some more lib_free() guards.

	* src/arch/amigaos/joyai.c, src/arch/amigaos/ui.c,
	  src/arch/amigaos/uiapi.c, src/arch/amigaos/uilib.c,
	  src/arch/amigaos/video.c, src/arch/beos/archdep.c,
	  src/arch/beos/vicewindow.cc, src/arch/msdos/menudefs.c,
	  src/arch/msdos/tuifs.c, src/autostart-prg.c, src/autostart.c,
	  src/c1541.c, src/cmdline.c, src/event.c, src/fliplist.c,
	  src/initcmdline.c, src/machine-bus.c, src/palette.c,
	  src/petcat.c, src/snapshot.c, src/sysfile.c, src/translate.c:
	  Cleaned up some lib_free() guards.

2009-08-06  Spiro Trikaliotis  <spiro.trikaliotis@gmx.de>

	* Version 2.1.16

2009-08-06  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/win32/make-bindist.sh: Command "rm `find $WINVICE
	  -name "Makefile*"`" is forced (-f) now, so that WinVICE can be
	  built automatically without manual user intervention.

2009-08-06  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/monitor/mon_lex.l: Enable case insensitive commands and
	  operands on monitor, some tab cleanup

	* src/vicii/vicii.c: On VICII reset, instead of zeroing the
	  color registers, mask out the high nibble; fixes bug shown by
	  EasyFlash cart init

	* src/c64/c64mem.c: Don't enable all Expert cartridge hacks for
	  EasyFlash

2009-08-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/de.po, src/arch/amigaos/intl.c, src/arch/win32/res.rc,
	  src/arch/win32/resc128.rc, src/arch/win32/ressidcart.rc,
	  src/arch/win32/resvic20.rc, src/translate.c: Updated the
	  german and swedish translations.

	* src/c64/cart/c64cartmem.c, src/c64/cart/easyflash.c,
	  src/core/flash040core.c, src/flash040.h,
	  src/vic20/cart/finalexpansion.c: Change the way the flash040
	  core works to where the calling routine allocates and passes a
	  pointer to the data array to be used, this fixes the eastflash
	  ultimax graphics issues.

2009-08-05  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/vic20/cart/megacart.c: Corrected an error with Mega-Cart
	  NvRAM mapping. 0x0800-0x0fff was incorrectly mapped to the
	  same contents as 0x9800-0x9fff.

2009-08-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/arch.dsp, src/arch/win32/uieasyflash.c: Added
	  src/c64/cart include dir to arch.dsp and changed the
	  'cart/easyflash.h' include in src/arch/win32/uieasyflash.c to
	  an 'easyflash.h' include.

	* src/arch/sdl/win32-watcom/arch.tgt,
	  src/arch/sdl/win32-watcom/c128.tgt,
	  src/arch/sdl/win32-watcom/c64.tgt,
	  src/arch/sdl/win32-watcom/c64cart.tgt,
	  src/arch/sdl/win32-watcom/core.tgt,
	  src/arch/sdl/win32-watcom/vic20cart.tgt,
	  src/arch/sdl/win32-watcom/vice.wpj: Updated the sdl win32
	  watcom project files.

2009-08-05  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/lib.c: Changed free() to lib_free().

	* src/video/render1x1pal.c: Remove warnings by adding
	  intermediate variables.

	* src/sid/fastsid.c: Changed return type of
	  fastsid_calculate_single_sample() from SDWORD to SWORD, as all
	  uses of it only require an SWORD and generate warning without
	  a cast.

	* src/arch/win32/uieasyflash.c: Add missing includes.

	* src/vdrive/vdrive-dir.c: Fix warning for comparison of signed
	  and unsigned integers.

2009-08-05  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/vic20/vic20mem.c: Corrected read of unconnected address
	  space at 0x910x.

	* doc/html/plain/NEWS: Added a missing line about cycle exact
	  xvic in the last commit.

	* doc/html/plain/NEWS: Added features coming from the
	  v2.1.15-xvic and v2.1.15-fe-easyflash branches.

2009-08-05  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/vic20/cart/finalexpansion.c: Handle unconnected bus
	  properly

2009-08-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win64-msvc/arch.vcproj,
	  src/arch/sdl/win64-msvc/c128.vcproj,
	  src/arch/sdl/win64-msvc/c64.vcproj,
	  src/arch/sdl/win64-msvc/c64cart.vcproj,
	  src/arch/sdl/win64-msvc/core.vcproj,
	  src/arch/sdl/win64-msvc/vic20.vcproj: Updated the sdl win64
	  msvc project files.

	* src/arch/sdl/menu_help.c, src/arch/sdl/win32-msvc/arch.dsp,
	  src/arch/sdl/win32-msvc/c128.dsp,
	  src/arch/sdl/win32-msvc/c64.dsp,
	  src/arch/sdl/win32-msvc/c64cart.dsp,
	  src/arch/sdl/win32-msvc/core.dsp,
	  src/arch/sdl/win32-msvc/vic20cart.dsp: Updated the sdl win32
	  msvc project files.

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/watcom/c128.tgt,
	  src/arch/os2/watcom/c64.tgt, src/arch/os2/watcom/c64cart.tgt,
	  src/arch/os2/watcom/core.tgt, src/arch/os2/watcom/vic20.tgt,
	  src/arch/os2/watcom/vice.wpj,
	  src/arch/os2/watcom/x128-specific.tgt,
	  src/arch/os2/watcom/x64-specific.tgt: Updated the os/2 watcom
	  project files.

	* src/arch/os2/vac++/incl/c64cart.icc,
	  src/arch/os2/vac++/incl/core.icc,
	  src/arch/os2/vac++/incl/vic20cart.icc,
	  src/arch/os2/vac++/x128/X128.ICC,
	  src/arch/os2/vac++/x64/X64.ICC: Updated the os/2 vac++ project
	  files.

	* src/arch/win32/watcom/arch.tgt,
	  src/arch/win32/watcom/c128.tgt, src/arch/win32/watcom/c64.tgt,
	  src/arch/win32/watcom/c64cart.tgt,
	  src/arch/win32/watcom/core.tgt,
	  src/arch/win32/watcom/vic20.tgt,
	  src/arch/win32/watcom/vice.wpj: Updated the win32 watcom
	  project files.

	* src/arch/win64/arch.vcproj, src/arch/win64/c128.vcproj,
	  src/arch/win64/c64.vcproj, src/arch/win64/c64cart.vcproj,
	  src/arch/win64/core.vcproj, src/arch/win64/vic20.vcproj,
	  src/arch/win64/x128.vcproj, src/arch/win64/x64.vcproj: Updated
	  the win64 project files.

	* src/arch/win32/arch.dsp, src/arch/win32/c128.dsp,
	  src/arch/win32/c64.dsp, src/arch/win32/c64cart.dsp,
	  src/arch/win32/core.dsp, src/arch/win32/vic20cart.dsp,
	  src/arch/win32/x128.dsp, src/arch/win32/x64.dsp: Updated the
	  win32 project files.

	* src/Makefile.am, src/arch/amigaos/Makefile.am,
	  src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	  src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	  src/arch/amigaos/intl.c, src/arch/amigaos/intl.txt,
	  src/arch/amigaos/mui/uieasyflash.c,
	  src/arch/amigaos/mui/uieasyflash.h, src/arch/amigaos/uicart.c,
	  src/arch/amigaos/uicart.h, src/arch/amigaos/uires.h,
	  src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h,
	  src/arch/beos/Makefile.am, src/arch/beos/c128ui.cc,
	  src/arch/beos/c64ui.cc, src/arch/beos/constants.h,
	  src/arch/beos/ui_file.cc, src/arch/beos/ui_file.h,
	  src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc,
	  src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	  src/arch/msdos/c64ui.c, src/arch/msdos/uieasyflash.c,
	  src/arch/msdos/uieasyflash.h,
	  src/arch/msdos/uisoundexpander.c, src/arch/msdos/vic20ui.c,
	  src/arch/os2/dialogs/menubar.c,
	  src/arch/os2/dialogs/menubar.h,
	  src/arch/os2/dialogs/menubar.rc, src/arch/sdl/Makefile.am,
	  src/arch/sdl/menu_c128cart.c, src/arch/sdl/menu_c64cart.c,
	  src/arch/sdl/menu_c64cart_common.c,
	  src/arch/sdl/menu_c64cart_common.h,
	  src/arch/sdl/menu_vic20cart.c, src/arch/unix/gui/Makefile.am,
	  src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64ui.c,
	  src/arch/unix/gui/uieasyflash.c,
	  src/arch/unix/gui/uieasyflash.h, src/arch/unix/gui/vic20ui.c,
	  src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	  src/arch/win32/c64ui.c, src/arch/win32/intl.c,
	  src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	  src/arch/win32/resc64.rc, src/arch/win32/resdialogs.txt,
	  src/arch/win32/reseasyflash.rc, src/arch/win32/resmenu.txt,
	  src/arch/win32/resstrings.txt, src/arch/win32/resvic20.rc,
	  src/arch/win32/uieasyflash.c, src/arch/win32/uieasyflash.h,
	  src/arch/win32/vic20ui.c, src/autostart.c,
	  src/c128/Makefile.am, src/c128/c128.c, src/c64/Makefile.am,
	  src/c64/c64.c, src/c64/c64io.c, src/c64/c64io.h,
	  src/c64/c64mem.c, src/c64/cart/Makefile.am,
	  src/c64/cart/c64cart.c, src/c64/cart/c64cartmem.c,
	  src/c64/cart/crt.c, src/c64/cart/easyflash.c,
	  src/c64/cart/easyflash.h, src/c64/sfx_soundexpander.c,
	  src/cartridge.h, src/core/Makefile.am,
	  src/core/flash040core.c, src/flash040.h, src/lightpen.c,
	  src/translate.c, src/translate.txt,
	  src/vic20/cart/Makefile.am, src/vic20/cart/finalexpansion.c,
	  src/vic20/cart/finalexpansion.h, src/vic20/cart/vic20cart.c,
	  src/vic20/cart/vic20cartmem.c: Final expansion/EasyFlash additions. 

2009-08-04  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* data/DRIVES/dos1541: Replaced 1541 ROM which consisted of
	  325302-01 + 901229-02 ROMS (which are *really* ancient) with
	  1541 ROM which consists of 325302-01 + 901229-05. This fixes
	  #2824736. The relevant patch is at $FF20, and the JMP to it at
	  $E9DC.

2009-08-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/petcat.c: Added 'pi' fix to petcat as provided by Ingo
	  Korb.

2009-08-04  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/vic20/cart/megacart.c, src/vic20/cart/vic20cartmem.c,
	  src/vic20/vic20mem.c: Return last read (by CPU) value on
	  unconnected I/O 2/3 areas

2009-08-03  Peter Krefting <peter@softwolves.pp.se>

	* po/sv.po: Update Swedish translation to 2.1.15 (2783t0f0u).

2009-08-03  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/vdrive/vdrive-dir.c: Fix directory sector interleave in
	  vdrive
	  
	  This patch simplifies the directory sector allocation in
	  vdrive and changes the interleave of the allocated sectors
	  from 1 to the correct value for the disk image type.

2009-08-02  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2009-08-02  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/debug.h, src/drive/iec/via1d1541.c, src/iecbus/iecbus.c:
	  Fixed and extended debugging output for 1541 IEC accesses.

	* src/vic20/vic-cycle.c: Changed constant 0x7f to 0x7fu in order
	  to prevent integer promotion, resulting in a warning.

2009-08-01  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/6510dtvcore.c, src/vic20/vic.h: Use unsigned type for
	  VIC-I counters, fix MSVC warnings

2009-08-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/autostart-prg.c, src/vdc/vdc.c: Fixed some warnings.

	* src/6510dtvcore.c, src/Makefile.am,
	  src/arch/sdl/menu_midi.c, src/arch/sdl/menu_midi.h,
	  src/arch/sdl/menu_network.c, src/arch/sdl/menu_network.h,
	  src/arch/sdl/menu_tfe.c, src/arch/sdl/menu_tfe.h,
	  src/arch/sdl/uipause.c, src/arch/sdl/xvic_ui.c,
	  src/arch/win32/rs232dev.c, src/arch/win32/rs232net.c,
	  src/arch/win32/vic20.dsp, src/arch/win32/xvic.dsp,
	  src/core/viacore.c, src/mainviccpu.c, src/mainviccpu.h,
	  src/resid-dtv, src/via.h, src/vic20/Makefile.am,
	  src/vic20/cart/megacart.c, src/vic20/cart/vic20cartmem.c,
	  src/vic20/vic-cycle.c, src/vic20/vic-cycle.h,
	  src/vic20/vic-draw.c, src/vic20/vic-mem.c,
	  src/vic20/vic-snapshot.c, src/vic20/vic.c, src/vic20/vic.h,
	  src/vic20/vic20cpu.c, src/vic20/vic20ieeevia1.c,
	  src/vic20/vic20ieeevia2.c, src/vic20/vic20mem.c,
	  src/vic20/vic20mem.h, src/vic20/vic20memrom.c,
	  src/vic20/vic20rom.c, src/vic20/vic20via1.c,
	  src/vic20/vic20via2.c: VIC-I and CPU for xvic largely rewritten.

2009-07-26  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/debug.h, src/drive/iec/cia1581d.c,
	  src/drive/iec/via1d1541.c, src/iecbus.h, src/iecbus/iecbus.c:
	  Add debugging facilities for the IEC bus.

	* src/drive/drivecpu.c, src/drive/drivecpu.h: Remove unused
	  functions drive_read() and drive_store().

2009-07-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/watcom/vic20.tgt,
	  src/arch/win32/watcom/vic20cart-generic.c,
	  src/arch/win32/watcom/vice.wpj: Updated the win32 watcom
	  project files.

2009-07-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/watcom/c128.tgt,
	  src/arch/os2/watcom/mainsrc.tgt,
	  src/arch/os2/watcom/vic20.tgt,
	  src/arch/os2/watcom/vic20cart-generic.c,
	  src/arch/os2/watcom/vice.wpj: Updated the os/2 watcom project
	  files.

2009-07-23  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/initcmdline.c: Reworked replace_hexcodes(). This closes
	  #2823929.

	* src/6510core.c, src/debug.c, src/debug.h: Trace output now
	  outputs the drive number; unified CPU and drive outputs, thus
	  that the opcodes are underneath each other, and the registers
	  are output in the same way; operands with ,x or ,y now do not
	  break the output.

2009-07-23  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/win32-watcom/arch.tgt,
	  src/arch/sdl/win32-watcom/base.tgt,
	  src/arch/sdl/win32-watcom/c128.tgt,
	  src/arch/sdl/win32-watcom/c1541.tgt,
	  src/arch/sdl/win32-watcom/c64.tgt,
	  src/arch/sdl/win32-watcom/c64cart.tgt,
	  src/arch/sdl/win32-watcom/c64commonc128.tgt,
	  src/arch/sdl/win32-watcom/c64commonc128c64dtv.tgt,
	  src/arch/sdl/win32-watcom/c64commonc64dtv.tgt,
	  src/arch/sdl/win32-watcom/c64dtv.tgt,
	  src/arch/sdl/win32-watcom/c64exp.tgt,
	  src/arch/sdl/win32-watcom/cartconv.tgt,
	  src/arch/sdl/win32-watcom/cbm2.tgt,
	  src/arch/sdl/win32-watcom/core.tgt,
	  src/arch/sdl/win32-watcom/crtc.tgt,
	  src/arch/sdl/win32-watcom/diskimage.tgt,
	  src/arch/sdl/win32-watcom/drive.tgt,
	  src/arch/sdl/win32-watcom/fileio.tgt,
	  src/arch/sdl/win32-watcom/fsdevice.tgt,
	  src/arch/sdl/win32-watcom/gentr.tgt,
	  src/arch/sdl/win32-watcom/gfxoutputdrv.tgt,
	  src/arch/sdl/win32-watcom/iec.tgt,
	  src/arch/sdl/win32-watcom/iec128dcr.tgt,
	  src/arch/sdl/win32-watcom/iecbus.tgt,
	  src/arch/sdl/win32-watcom/iecieee.tgt,
	  src/arch/sdl/win32-watcom/ieee.tgt,
	  src/arch/sdl/win32-watcom/imagecontents.tgt,
	  src/arch/sdl/win32-watcom/maincpu.tgt,
	  src/arch/sdl/win32-watcom/monitor.tgt,
	  src/arch/sdl/win32-watcom/parallel.tgt,
	  src/arch/sdl/win32-watcom/pet.tgt,
	  src/arch/sdl/win32-watcom/petcat.tgt,
	  src/arch/sdl/win32-watcom/plus4.tgt,
	  src/arch/sdl/win32-watcom/plus4exp.tgt,
	  src/arch/sdl/win32-watcom/printerdrv.tgt,
	  src/arch/sdl/win32-watcom/raster.tgt,
	  src/arch/sdl/win32-watcom/rs232drv.tgt,
	  src/arch/sdl/win32-watcom/serial.tgt,
	  src/arch/sdl/win32-watcom/sid.tgt,
	  src/arch/sdl/win32-watcom/sounddrv.tgt,
	  src/arch/sdl/win32-watcom/tape.tgt,
	  src/arch/sdl/win32-watcom/tcbm.tgt,
	  src/arch/sdl/win32-watcom/vdc.tgt,
	  src/arch/sdl/win32-watcom/vdrive.tgt,
	  src/arch/sdl/win32-watcom/vic20.tgt,
	  src/arch/sdl/win32-watcom/vic20cart.tgt,
	  src/arch/sdl/win32-watcom/vice.wpj,
	  src/arch/sdl/win32-watcom/vicii.tgt,
	  src/arch/sdl/win32-watcom/viciicommon.tgt,
	  src/arch/sdl/win32-watcom/viciidtv.tgt,
	  src/arch/sdl/win32-watcom/video.tgt,
	  src/arch/sdl/win32-watcom/x128.tgt,
	  src/arch/sdl/win32-watcom/x64.tgt,
	  src/arch/sdl/win32-watcom/x64dtv.tgt,
	  src/arch/sdl/win32-watcom/xcbm2.tgt,
	  src/arch/sdl/win32-watcom/xpet.tgt,
	  src/arch/sdl/win32-watcom/xplus4.tgt,
	  src/arch/sdl/win32-watcom/xvic.tgt: svn property fixes

2009-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/Makefile.am,
	  src/arch/os2/vac++/incl/vic20.icc,
	  src/arch/os2/vac++/incl/vic20cart.icc,
	  src/arch/os2/vac++/xvic/Xvic.ICC: Updated the vac++ project
	  files.

2009-07-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win64-msvc/vic20.vcproj,
	  src/arch/win64/vic20.vcproj: Added the vic20 cart files to the
	  win64 and sdl win64 msvc project files.

2009-07-19  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/dialog/viceresourcewindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/viceresourcewindowcontroller.m:
	  coca: hide settings windows on entering the monitor, reshow
	  them on leaving

	* src/arch/unix/macosx/cocoa/viceapplication.h,
	  src/arch/unix/macosx/cocoa/viceapplication.m,
	  src/arch/unix/macosx/cocoa/vicenotifications.h,
	  src/arch/unix/macosx/cocoa/view/controlwindow.h,
	  src/arch/unix/macosx/cocoa/view/controlwindow.m,
	  src/arch/unix/macosx/cocoa/view/driveview.h,
	  src/arch/unix/macosx/cocoa/view/driveview.m,
	  src/arch/unix/macosx/cocoa/view/soundview.h,
	  src/arch/unix/macosx/cocoa/view/soundview.m,
	  src/arch/unix/macosx/cocoa/view/statusview.m,
	  src/arch/unix/macosx/cocoa/view/tapeview.h,
	  src/arch/unix/macosx/cocoa/view/tapeview.m: cocoa: correctly
	  disable menu entries and control window if monitor is enabled

	* src/arch/unix/macosx/cocoa/console.m,
	  src/arch/unix/macosx/cocoa/uimon.m,
	  src/arch/unix/macosx/cocoa/viceapplication.h,
	  src/arch/unix/macosx/cocoa/viceapplication.m,
	  src/arch/unix/macosx/cocoa/viceapplicationprotocol.h,
	  src/arch/unix/macosx/cocoa/vicemachine.h,
	  src/arch/unix/macosx/cocoa/vicemachine.m,
	  src/arch/unix/macosx/cocoa/vicemachineprotocol.h,
	  src/arch/unix/macosx/cocoa/view/consolewindow.h,
	  src/arch/unix/macosx/cocoa/view/consolewindow.m: cocoa:
	  console/monitor input is now done asynchronously in the UI.
	  this removes the modal window for the monitor while entering a
	  line.

2009-07-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_help.c: Fixed sdl ui help related issues.

2009-07-18  Antti S. Lankila <alankila@bel.fi>

	* src/arch/unix/readline/editline.h: FTBFS @ gcc 4.4: Fix test
	  to check for HAVE_STDLIB_H.

2009-07-18  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/unix/joy.c: Fix warning on *nix joystick cmdline init

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64ui.c,
	  src/c64/c64cia2.c, src/cbm2/cbm2cia1.c, src/vic20/vic20mem.c:
	  Remove unused callbacks/variables, revert obsolete WATCOM
	  ifdef, add default case to extra joystick switches

2009-07-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	  src/arch/sdl/win32-watcom/rs232drv.tgt,
	  src/arch/sdl/win32-watcom/rs232dtv.tgt,
	  src/arch/sdl/win32-watcom/vice.wpj,
	  src/arch/sdl/win32-watcom/x128.tgt,
	  src/arch/sdl/win32-watcom/x64.tgt,
	  src/arch/sdl/win32-watcom/x64dtv.tgt,
	  src/arch/sdl/win32-watcom/xcbm2.tgt,
	  src/arch/sdl/win32-watcom/xpet.tgt,
	  src/arch/sdl/win32-watcom/xplus4.tgt,
	  src/arch/sdl/win32-watcom/xvic.tgt: Fixed the misnamed
	  rs232drv.tgt issue for the win32 sdl watcom project files.

2009-07-17  Spiro Trikaliotis  <spiro.trikaliotis@gmx.de>

	* Version 2.1.15

2009-07-17  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/sdl/win32-msvc/config.h: Use vsnprintf() of MSVC.

	* src/arch/sdl/win32-watcom/Makefile.am: Removed rs232drv.tgt
	  which is not available.

2009-07-17  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/video.c: Added casts to keep MSVC happy

2009-07-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc/Makefile.am,
	  src/arch/sdl/win32-msvc/vic20.dsp,
	  src/arch/sdl/win32-msvc/vic20cart.dsp,
	  src/arch/sdl/win32-msvc/vice.dsw: Updated the sdl win32 msvc
	  project files.

	* src/arch/sdl/ui.c, src/arch/sdl/win32-msvc/make-bindist.bat,
	  src/arch/sdl/win32-watcom/Makefile.am,
	  src/arch/sdl/win32-watcom/arch.tgt,
	  src/arch/sdl/win32-watcom/base.tgt,
	  src/arch/sdl/win32-watcom/config.h,
	  src/arch/sdl/win32-watcom/gentr.tgt,
	  src/arch/sdl/win32-watcom/make-watcom-bindist.bat,
	  src/arch/sdl/win32-watcom/vic20.tgt,
	  src/arch/sdl/win32-watcom/vic20cart-generic.c,
	  src/arch/sdl/win32-watcom/vic20cart.tgt,
	  src/arch/sdl/win32-watcom/vice.wpj,
	  src/arch/sdl/win32-watcom/xvic.tgt: Fixed and updated the
	  watcom win32 sdl compile.

2009-07-16  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/uistatusbar.c: Fix statusbar location

	* doc/html/plain/NEWS: Updated.

	* src/arch/unix/gui/vic20ui.c: Add CartridgeReset and Attach
	  generic/Mega-Cart items to *nix xvic UI

	* src/arch/sdl/xvic_ui.c: Enlarge xvic SDL UI area, fix
	  positioning to remove offscreen UI problems

	* src/vic20/vic20-resources.c: Add missing include, return 0 on
	  RAM block resource handlers

2009-07-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/Makefile.am, src/arch/sdl/menu_vic20cart.c,
	  src/arch/win32/Makefile.am, src/arch/win32/resmenu.txt,
	  src/arch/win32/resstrings.txt, src/arch/win32/resvic20.rc,
	  src/arch/win32/uicart.c, src/arch/win32/uicart.h,
	  src/arch/win32/vic20.dsp, src/arch/win32/vic20cart.dsp,
	  src/arch/win32/vic20ui.c, src/arch/win32/vice.dsw,
	  src/cartridge.h, src/log.c, src/translate.c,
	  src/translate.txt, src/vic20/Makefile.am, src/vic20/cart,
	  src/vic20/cart/Makefile.am, src/vic20/cart/generic.c,
	  src/vic20/cart/generic.h, src/vic20/cart/megacart.c,
	  src/vic20/cart/megacart.h, src/vic20/cart/vic20cart.c,
	  src/vic20/cart/vic20cart.h, src/vic20/cart/vic20cartmem.c,
	  src/vic20/cart/vic20cartmem.h, src/vic20/vic20-resources.c,
	  src/vic20/vic20-resources.h, src/vic20/vic20.c,
	  src/vic20/vic20cartridge.c, src/vic20/vic20mem.c,
	  src/vic20/vic20mem.h, src/vic20/vic20memsnapshot.c: xvic cart
	  handling rewritten and carts added.

	* src/arch/sdl/win32-watcom/Makefile.am,
	  src/arch/sdl/win32-watcom/c1541.tgt,
	  src/arch/sdl/win32-watcom/cartconv.tgt,
	  src/arch/sdl/win32-watcom/config.h,
	  src/arch/sdl/win32-watcom/petcat.tgt,
	  src/arch/sdl/win32-watcom/vice.wpj,
	  src/arch/sdl/win32-watcom/xplus4.tgt,
	  src/arch/sdl/win32-watcom/xplus4main.c,
	  src/arch/sdl/win32-watcom/xvic.tgt,
	  src/arch/sdl/win32-watcom/xvicmain.c: Added the last win32 sdl
	  watcom project files.

2009-07-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	  src/arch/sdl/win32-watcom/vice.wpj,
	  src/arch/sdl/win32-watcom/x64.tgt,
	  src/arch/sdl/win32-watcom/x64dtv.tgt,
	  src/arch/sdl/win32-watcom/x64dtvmain.c,
	  src/arch/sdl/win32-watcom/x64main.c,
	  src/arch/sdl/win32-watcom/xcbm2.tgt,
	  src/arch/sdl/win32-watcom/xcbm2main.c,
	  src/arch/sdl/win32-watcom/xpet.tgt,
	  src/arch/sdl/win32-watcom/xpetmain.c: Added more win32 sdl
	  watcom project files.

	* src/arch/sdl/ui.c: Added watcom scancode to sdl keysym
	  conversion routine.

	* src/arch/sdl/video.c: Set the default sdl bitdepth for the
	  watcom compile to 32.

2009-07-14  Errol Smith <strobe@kludgesoft.com>

	* src/vdc/vdc.c, src/vdc/vdctypes.h: Re-write handling of
	  vertical positioning and active/idle raster drawing. Fixes
	  minor overdraw on RFOv2 FLI part and eliminates active drawing
	  behind borders (perf).

2009-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_win32.c,
	  src/arch/sdl/win32-watcom/Makefile.am,
	  src/arch/sdl/win32-watcom/c128.tgt,
	  src/arch/sdl/win32-watcom/config.h,
	  src/arch/sdl/win32-watcom/printerdrv.tgt,
	  src/arch/sdl/win32-watcom/raster.tgt,
	  src/arch/sdl/win32-watcom/rs232dtv.tgt,
	  src/arch/sdl/win32-watcom/serial.tgt,
	  src/arch/sdl/win32-watcom/sid.tgt,
	  src/arch/sdl/win32-watcom/sounddrv.tgt,
	  src/arch/sdl/win32-watcom/tape.tgt,
	  src/arch/sdl/win32-watcom/tcbm.tgt,
	  src/arch/sdl/win32-watcom/vdc.tgt,
	  src/arch/sdl/win32-watcom/vdrive.tgt,
	  src/arch/sdl/win32-watcom/vic20.tgt,
	  src/arch/sdl/win32-watcom/vice.wpj,
	  src/arch/sdl/win32-watcom/vicii.tgt,
	  src/arch/sdl/win32-watcom/viciicommon.tgt,
	  src/arch/sdl/win32-watcom/viciidtv.tgt,
	  src/arch/sdl/win32-watcom/video.tgt,
	  src/arch/sdl/win32-watcom/x128.tgt,
	  src/arch/sdl/win32-watcom/x128main.c: Added more win32 sdl
	  watcom project files.

2009-07-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	  src/arch/sdl/win32-watcom/pet.tgt,
	  src/arch/sdl/win32-watcom/plus4.tgt,
	  src/arch/sdl/win32-watcom/plus4exp.tgt,
	  src/arch/sdl/win32-watcom/printerdrv.tgt,
	  src/arch/sdl/win32-watcom/vice.wpj: Added more win32 sdl
	  watcom project files.

	* configure.in: Added the win32-watcom directory to configure.in
	  in order to make the makefiles.

	* src/arch/sdl/win32-watcom/Makefile.am,
	  src/arch/sdl/win32-watcom/config.h,
	  src/arch/sdl/win32-watcom/diskimage.tgt,
	  src/arch/sdl/win32-watcom/drive.tgt,
	  src/arch/sdl/win32-watcom/fileio.tgt,
	  src/arch/sdl/win32-watcom/fsdevice.tgt,
	  src/arch/sdl/win32-watcom/gfxoutputdrv.tgt,
	  src/arch/sdl/win32-watcom/iec.tgt,
	  src/arch/sdl/win32-watcom/iec128dcr.tgt,
	  src/arch/sdl/win32-watcom/iecbus.tgt,
	  src/arch/sdl/win32-watcom/iecieee.tgt,
	  src/arch/sdl/win32-watcom/ieee.tgt,
	  src/arch/sdl/win32-watcom/imagecontents.tgt,
	  src/arch/sdl/win32-watcom/maincpu.tgt,
	  src/arch/sdl/win32-watcom/monitor.tgt,
	  src/arch/sdl/win32-watcom/parallel.tgt,
	  src/arch/sdl/win32-watcom/vice.wpj: Added more win32 sdl
	  watcom project files.

	* src/arch/sdl/win32-watcom/Makefile.am,
	  src/arch/sdl/win32-watcom/c64exp.tgt,
	  src/arch/sdl/win32-watcom/cbm2.tgt,
	  src/arch/sdl/win32-watcom/core.tgt,
	  src/arch/sdl/win32-watcom/crtc.tgt,
	  src/arch/sdl/win32-watcom/vice.wpj: Added more win32 sdl
	  watcom project files.

	* src/arch/sdl/win32-watcom/Makefile.am,
	  src/arch/sdl/win32-watcom/c64dtv.tgt,
	  src/arch/sdl/win32-watcom/vice.wpj: Added more win32 sdl
	  watcom project files.

	* src/arch/sdl/win32-watcom/Makefile.am,
	  src/arch/sdl/win32-watcom/c64.tgt,
	  src/arch/sdl/win32-watcom/c64cart.tgt,
	  src/arch/sdl/win32-watcom/c64commonc128.tgt,
	  src/arch/sdl/win32-watcom/c64commonc128c64dtv.tgt,
	  src/arch/sdl/win32-watcom/c64commonc64dtv.tgt,
	  src/arch/sdl/win32-watcom/vice.wpj: Added more win32 sdl
	  watcom project files.

	* src/arch/sdl/Makefile.am, src/arch/sdl/archdep_win32.c,
	  src/arch/sdl/win32-watcom,
	  src/arch/sdl/win32-watcom/Makefile.am,
	  src/arch/sdl/win32-watcom/arch.tgt,
	  src/arch/sdl/win32-watcom/base.tgt,
	  src/arch/sdl/win32-watcom/c128.tgt,
	  src/arch/sdl/win32-watcom/config.h,
	  src/arch/sdl/win32-watcom/gentr.tgt,
	  src/arch/sdl/win32-watcom/vice.wpj,
	  src/arch/win32/catweaselmkiii.c: Added some watcom win32 sdl
	  project files, more will be added later, should not interfere
	  with any of the already existing ports.

2009-07-12  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/view/logview.m: cocoa: fixed key
	  input in monitor for keys without direct character
	  representation

	* src/arch/unix/macosx/cocoa/ui.m,
	  src/arch/unix/macosx/cocoa/vicemachinenotifier.h,
	  src/arch/unix/macosx/cocoa/vicemachinenotifier.m,
	  src/arch/unix/macosx/cocoa/vicenotifications.h,
	  src/arch/unix/macosx/cocoa/view/Makefile.am,
	  src/arch/unix/macosx/cocoa/view/controlwindow.h,
	  src/arch/unix/macosx/cocoa/view/controlwindow.m,
	  src/arch/unix/macosx/cocoa/view/soundview.h,
	  src/arch/unix/macosx/cocoa/view/soundview.m: cocoa: added
	  slider for sound volume in control window

2009-07-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/c128ui.c,
	  src/arch/amigaos/c128uires.h, src/arch/amigaos/c64ui.c,
	  src/arch/amigaos/c64uires.h, src/arch/amigaos/intl.c,
	  src/arch/amigaos/intl.txt,
	  src/arch/amigaos/mui/uisoundexpander.c,
	  src/arch/amigaos/mui/uisoundexpander.h,
	  src/arch/amigaos/uires.h: Added sfx sound expander chip
	  selection ui elements to the amiga ports.

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	  src/arch/msdos/c64ui.c, src/arch/msdos/uisoundexpander.c,
	  src/arch/msdos/uisoundexpander.h: Added sfx sound expander
	  chip selection ui elements to the msdos port.

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	  src/arch/beos/constants.h, src/arch/os2/dialogs/menubar.c,
	  src/arch/os2/dialogs/menubar.h,
	  src/arch/os2/dialogs/menubar.rc, src/arch/sdl/menu_c128hw.c,
	  src/arch/sdl/menu_c64_common_expansions.c,
	  src/arch/sdl/menu_c64_common_expansions.h,
	  src/arch/sdl/menu_c64hw.c, src/arch/unix/gui/Makefile.am,
	  src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64ui.c,
	  src/arch/unix/gui/uisoundexpander.c,
	  src/arch/unix/gui/uisoundexpander.h,
	  src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	  src/arch/win32/c128ui.c, src/arch/win32/c64ui.c,
	  src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	  src/arch/win32/resc64.rc, src/arch/win32/resdialogs.txt,
	  src/arch/win32/resmenu.txt,
	  src/arch/win32/ressoundexpander.rc,
	  src/arch/win32/resstrings.txt,
	  src/arch/win32/uisoundexpander.c,
	  src/arch/win32/uisoundexpander.h,
	  src/arch/win32/watcom/arch.tgt, src/arch/win32/x128.dsp,
	  src/arch/win32/x64.dsp, src/arch/win64/arch.vcproj,
	  src/arch/win64/x128.vcproj, src/c64/sfx_soundexpander.c: Added
	  ym3812 support to the sfx sound expander emulation, and added
	  beos, os/2, sdl, unix and win32 ui elements, updated the
	  win32/64 msvc project files and updated the win32 watcom
	  project files.

2009-07-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	  src/arch/msdos/c64ui.c, src/arch/msdos/lightpendrv.c,
	  src/arch/msdos/lightpendrv.h, src/arch/msdos/uilightpen.c,
	  src/arch/msdos/uilightpen.h, src/arch/msdos/vic20ui.c,
	  src/arch/msdos/vsync.c: Added lightpen support to the msdos
	  port.

2009-07-07  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/ui.m: cocoa: react on
	  ui_update_menus() for external resource changes, e.g. warp
	  change for autoload

2009-07-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/lightpendrv.c: Added better off-window/screen
	  check to the win32 lightpen driver.

	* src/arch/win32/lightpendrv.c: Replaced the magic '42' with a
	  call to get the height of the statusbar.

	* src/arch/sdl/menu_lightpen.c, src/arch/win32/uilightpen.c,
	  src/lightpen.c, src/lightpen.h: Added datel light pen support.

2009-07-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/lightpendrv.c: Added scaled window support to
	  the win32 lightpen driver.

	* src/arch/win32/video.c: Changed NULL to 0 to return the
	  correct type.

	* src/lightpen.c: Reverted the vdc 'fix' in lightpen.c

	* src/lightpen.c, src/vdc/vdc.c: Fixed to have the vdc lightpen
	  x and y also be updated when vicii window is active and fixed
	  an error.

	* src/arch/sdl/win64-msvc/base.vcproj: Added autostart-prg.c to
	  win64 msvc project files.

2009-07-06  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/sdl/win32-msvc/base.dsp: Add autostart-prg.c to base
	  files, so SDL compiles with MSVC again.

2009-07-06  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/lightpendrv.c, src/c128/c128.c, src/lightpen.c:
	  For x128 use window 0 for VDC and 1 for VICII in lightpen code
	  too

2009-07-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/lightpendrv.c, src/arch/win32/video.c,
	  src/arch/win32/videoarch.h: Added multiple canvas support to
	  the win32 lightpen driver.

2009-07-06  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/lightpen.c, src/lightpen.h: Lightpen type based x/y offset
	  support, some comments added

	* src/vicii/vicii.c, src/vicii/viciitypes.h: Improve lightpen
	  precision for vicii by storing extra bits for x coordinate

2009-07-06  Errol Smith <strobe@kludgesoft.com>

	* src/c128/c128.c, src/vdc/vdc.c, src/vdc/vdc.h: Initial VDC
	  lightpen support.

2009-07-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	  src/arch/win32/c128ui.c, src/arch/win32/c64ui.c,
	  src/arch/win32/lightpendrv.c, src/arch/win32/lightpendrv.h,
	  src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	  src/arch/win32/resc64.rc, src/arch/win32/resdialogs.txt,
	  src/arch/win32/reslightpen.rc, src/arch/win32/resmenu.txt,
	  src/arch/win32/resstrings.txt, src/arch/win32/resvic20.rc,
	  src/arch/win32/uilightpen.c, src/arch/win32/uilightpen.h,
	  src/arch/win32/vic20ui.c, src/arch/win32/vsyncarch.c,
	  src/arch/win32/watcom/arch.tgt,
	  src/arch/win32/watcom/base.tgt,
	  src/arch/win32/watcom/c128.tgt,
	  src/arch/win32/watcom/cbm2.tgt,
	  src/arch/win32/watcom/vice.wpj, src/arch/win32/x128.dsp,
	  src/arch/win32/x64.dsp, src/arch/win32/xvic.dsp,
	  src/arch/win64/arch.vcproj, src/arch/win64/x128.vcproj,
	  src/arch/win64/x64.vcproj, src/arch/win64/xvic.vcproj: Added
	  lightpen support to the win32/64 ports.

2009-07-06  Errol Smith <strobe@kludgesoft.com>

	* src/vdc/vdc-draw.c: draw_idle should actually draw the
	  background colour.

2009-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vicii/vicii.c: Corrected the lightpen x-value for vicii.

2009-07-05  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/win32/c128.dsp, src/arch/win32/c64.dsp,
	  src/arch/win32/c64dtv.dsp, src/arch/win32/cbm2.dsp,
	  src/arch/win32/pet.dsp, src/arch/win32/plus4.dsp,
	  src/arch/win32/vic20.dsp: Added plus4embedded.c,
	  petembedded.c, cbm2embedded.c, c64embedded.c,
	  c64dtvembedded.c, c128embedded.c, vic20embedded.c files for
	  MSVC compilation.

2009-07-05  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/unix/gui/Makefile.am, src/arch/unix/gui/uiattach.c,
	  src/arch/unix/gui/uiautostart.c,
	  src/arch/unix/gui/uiautostart.h,
	  src/arch/unix/gui/uidrivec128.c,
	  src/arch/unix/gui/uidrivec64.c,
	  src/arch/unix/gui/uidrivec64dtv.c,
	  src/arch/unix/gui/uidrivepetcbm2.c,
	  src/arch/unix/gui/uidriveplus4.c,
	  src/arch/unix/gui/uidrivevic20.c: Add new autostart *nix menu
	  items, group autostart items as a submenu below Smart attach

2009-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc, src/arch/sdl/win64-msvc: Added svn
	  ignores.

	* data/CBM-II/ccs64.vpl, data/CBM-II/default.vpl,
	  data/CBM-II/frodo.vpl, data/CBM-II/godot.vpl,
	  data/PLUS4/default.vpl, data/PLUS4/vice.vpl,
	  data/VIC20/default.vpl, src/Makefile.am,
	  src/pet/petembedded.c, src/plus4/plus4embedded.c,
	  src/vic20/vic20embedded.c: Added embedded palette support to
	  xpet, xplus4 and xvic.

	* src/Makefile.am, src/c128/c128embedded.c,
	  src/cbm2/cbm2embedded.c: Added embedded palette file support
	  to xcbm2.

	* src/palette.c: Added previously missing embedded.h include.

2009-07-05  Errol Smith <strobe@kludgesoft.com>

	* src/arch/sdl/lightpendrv.c: Fix double size handling after
	  blacky broke it fixing a warning.

2009-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64dtv/c64dtvembedded.c: Fixed embedded palette files
	  support for x64dtv to always return -1.

	* src/arch/win32/make-bindist.sh: Updated.

	* data/C64/ccs64.vpl, data/C64/default.vpl, data/C64/frodo.vpl,
	  data/C64/godot.vpl, data/C64/vice.vpl, src/Makefile.am,
	  src/c64/c64embedded.c: Added embedded palette files support to
	  x64.

	* data/C128/default.vpl, data/C128/frodo.vpl,
	  data/C128/godot.vpl, data/C128/vice.vpl, src/Makefile.am,
	  src/c128/c128embedded.c, src/c64/c64embedded.c,
	  src/c64dtv/c64dtvembedded.c, src/cbm2/cbm2embedded.c,
	  src/embedded.h, src/palette.c, src/palette2c.sh,
	  src/pet/petembedded.c, src/plus4/plus4embedded.c,
	  src/vic20/vic20embedded.c: Added embedded palette files
	  support to x128.

2009-07-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/arch/os2/vac++/incl/mainsrc.icc,
	  src/arch/os2/watcom/mainsrc.tgt, src/arch/os2/watcom/vice.wpj,
	  src/arch/sdl/Makefile.am, src/arch/sdl/lightpendrv.c,
	  src/arch/sdl/lightpendrv.h, src/arch/sdl/menu_c128hw.c,
	  src/arch/sdl/menu_c64hw.c, src/arch/sdl/menu_lightpen.c,
	  src/arch/sdl/menu_lightpen.h, src/arch/sdl/menu_vic20hw.c,
	  src/arch/sdl/ui.c, src/arch/sdl/video.c,
	  src/arch/sdl/vsyncarch.c, src/arch/sdl/win32-msvc/arch.dsp,
	  src/arch/sdl/win32-msvc/base.dsp,
	  src/arch/sdl/win32-msvc/c64.dsp,
	  src/arch/sdl/win32-msvc/c64c128.dsp,
	  src/arch/sdl/win32-msvc/config.h,
	  src/arch/sdl/win64-msvc/arch.vcproj,
	  src/arch/sdl/win64-msvc/base.vcproj,
	  src/arch/sdl/win64-msvc/c64.vcproj,
	  src/arch/sdl/win64-msvc/c64c128.vcproj,
	  src/arch/sdl/win64-msvc/config.h, src/arch/win32/base.dsp,
	  src/arch/win32/watcom/base.tgt, src/arch/win64/base.vcproj,
	  src/c128/c128.c, src/c64/c64.c, src/lightpen.c,
	  src/lightpen.h, src/sid/sid.c, src/vic20/vic-mem.c,
	  src/vic20/vic.c, src/vic20/vic.h, src/vic20/vic20.c,
	  src/vicii.h, src/vicii/vicii.c: Added lightpen support.

2009-07-04  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.m:
	  cocoa: fix to allow compilation without joystick support

2009-07-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/c128/c128embedded.c, src/c64/c64embedded.c,
	  src/c64dtv/c64dtvembedded.c, src/cbm2/cbm2embedded.c,
	  src/embedded.c, src/embedded.h, src/pet/petembedded.c,
	  src/plus4/plus4embedded.c, src/sysfile.c,
	  src/vic20/vic20embedded.c: Added text explaining what the new
	  'embedded data files' feature is to be used for.

	* src/c128/c128.c, src/c64/c64.c: Fixed the previously missing
	  SFXSoundExpander resource/cmdline-init for x128.

	* src/c128/Makefile.am, src/c128/c128embedded.c,
	  src/c64/Makefile.am, src/c64/c64embedded.c,
	  src/c64dtv/Makefile.am, src/c64dtv/c64dtvembedded.c,
	  src/cbm2/Makefile.am, src/cbm2/cbm2embedded.c, src/embedded.c,
	  src/embedded.h, src/pet/Makefile.am, src/pet/petembedded.c,
	  src/plus4/Makefile.am, src/plus4/plus4embedded.c,
	  src/vic20/Makefile.am, src/vic20/vic20embedded.c: split the
	  embedded data file support into common (src/embedded.c) and
	  machine specific (src/<machine>/<machine>embedded.c).

	* src/Makefile.am, src/embedded.c: Added embedded data file
	  support to xcbm2.

	* src/Makefile.am, src/c128/c128rom.c,
	  src/drive/iec128dcr/iec128dcrrom.c, src/embedded.c: Added
	  embedded data file support to x128.

	* src/Makefile.am, src/embedded.c, src/vic20/vic20memrom.c:
	  Added embedded data file support to xvic.

	* src/Makefile.am, src/drive/tcbm/tcbmrom.c, src/embedded.c,
	  src/plus4/plus4mem.c, src/plus4/plus4memrom.c: Added embedded
	  data file support to xplus4.

	* src/Makefile.am, src/embedded.c: Added alternate models
	  embedded data file support to xpet.

2009-07-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/embedded.c, src/sysfile.c: Added embedded
	  data file support to xpet.

	* src/c64dtv/c64dtvmem.c, src/c64dtv/c64dtvmemrom.c,
	  src/embedded.c: Added embedded data files support to x64dtv.

	* src/Makefile.am, src/drive/iec/iecrom.c,
	  src/drive/ieee/ieeerom.c, src/embedded.c, src/embedded.h,
	  src/printerdrv/drv-mps803.c, src/printerdrv/drv-nl10.c,
	  src/sysfile.c: Added more embedded data files support.

	* configure.in, src/Makefile.am, src/bin2c.c, src/bin2c.sh,
	  src/c64/c64mem.c, src/c64/c64memrom.c, src/embedded.c,
	  src/embedded.h, src/od2c.sh, src/sysfile.c: Added embedding of
	  system files for x64, added --enable-embedded configure
	  option, note that this option and the embedding is only to be
	  used for use on platforms that don't support loading of extra
	  files, or have not yet supported filesystems, or for testing
	  purposes for new platforms.

2009-06-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h, src/arch/beos/joy.h,
	  src/arch/beos/plus4ui.cc, src/arch/beos/ui.cc,
	  src/arch/beos/ui_joystick.cc, src/arch/beos/vic20ui.cc,
	  src/arch/beos/vicemenu.cc: Updated the beos ui for the
	  userport joystick adapters.

	* src/c64/fmopl.c: Added 'static' keyword to the inline
	  functions.

	* data/C64/win_sym_us.vkm: Added x64 win32 symbolic keymap file,

	* configure.in, src/arch/sdl/Makefile.am,
	  src/arch/sdl/win32-msvc/Makefile.am,
	  src/arch/sdl/win64-msvc/Makefile.am: sdl makefile cleanup.

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	  src/arch/unix/gui/c64ui.c, src/arch/unix/gui/cbm2ui.c,
	  src/arch/unix/gui/petui.c, src/arch/unix/gui/plus4ui.c,
	  src/arch/unix/gui/uijoystick2.c,
	  src/arch/unix/gui/uijoystick2.h, src/arch/unix/gui/vic20ui.c:
	  Updated the *nix ui for the userport joystick adapters.

	* src/arch/msdos/uijoystick.c: Added swapping of the userport
	  adapter joystick ports to the msdos ui.

	* src/arch/msdos/uisidcart.c, src/arch/msdos/vic20ui.c: Removed
	  obsolete msdos ui elements.

	* src/arch/msdos/menudefs.c, src/arch/msdos/uijoystick.c,
	  src/arch/msdos/uijoystick.h: Updated the msdos ui for the
	  userport joystick adapters.

2009-06-29  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/raster/raster-changes.h: Increase RASTER_CHANGES_MAX from
	  512 to 1024 since a DTV program could break the old limit

2009-06-29  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/vic20/vic20mem.c: Removed commented out code. Adapted to
	  conform to braces rules.

2009-06-29  Antti S. Lankila <alankila@bel.fi>

	* src/resid-fp/sid.cc: Revert debuggive sid.cc change.

	* src/resid-fp/filter.cc, src/resid-fp/filter.h,
	  src/resid-fp/sid.cc, src/resid-fp/wave.cc,
	  src/resid-fp/wave.h: Fix problem that plagued digis on Jump
	  Jet, Last V8. Update distortion code with lp/bp/hp
	  nonlinearity component corresponding to hypothetised imperfect
	  amps within SID.

2009-06-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	  src/arch/amigaos/c64dtvui.c, src/arch/amigaos/c64dtvuires.h,
	  src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	  src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm2uires.h,
	  src/arch/amigaos/intl.c, src/arch/amigaos/intl.txt,
	  src/arch/amigaos/mui/uijoystick.c,
	  src/arch/amigaos/mui/uijoystick.h,
	  src/arch/amigaos/mui/uijoystickll.c,
	  src/arch/amigaos/mui/uijoystickll.h,
	  src/arch/amigaos/mui/uisid.c,
	  src/arch/amigaos/mui/uisidcart.c, src/arch/amigaos/petui.c,
	  src/arch/amigaos/petuires.h, src/arch/amigaos/plus4ui.c,
	  src/arch/amigaos/ui.c, src/arch/amigaos/uires.h,
	  src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h:
	  Updated the amiga ui for the userport joystick adapters.

	* src/arch/win32/resstrings.txt, src/arch/win32/resvic20.rc,
	  src/arch/win32/vic20ui.c: Removed obsolete left over vic20
	  win32 oem userport joystick ui elements.

2009-06-29  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_drive.c: Added new autostart items to SDL UI

2009-06-29  Christian Vogelgsang <chris@vogelgsang.org>

	* src/sounddrv/soundcoreaudio.c: core audio: fixed sound resume

2009-06-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resmenu.txt, src/arch/win32/resvic20.rc,
	  src/arch/win32/vic20ui.c: Removed obsolete vic20 win32 oem joy
	  ui toggle.

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	  src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	  src/arch/win32/petui.c, src/arch/win32/res.rc,
	  src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	  src/arch/win32/resc64dtv.rc, src/arch/win32/resmenu.txt,
	  src/arch/win32/respet.rc, src/arch/win32/resstrings.txt,
	  src/arch/win32/resvic20.rc, src/arch/win32/ui.c,
	  src/arch/win32/uijoystick.c, src/arch/win32/uijoystick.h,
	  src/arch/win32/vic20ui.c: Fixed the win32 swap joystick ui
	  items and added win32 swap userport joystick ui items.

	* src/arch/win32/resdialogs.txt, src/arch/win32/ressidcart.rc,
	  src/arch/win32/uisidcart.c: Removed obsolete sidcart joystick
	  item from the win32 sidcart dialog.

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	  src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	  src/arch/win32/intl.c, src/arch/win32/petui.c,
	  src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	  src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	  src/arch/win32/resc64dtv.rc, src/arch/win32/resdialogs.txt,
	  src/arch/win32/resmenu.txt, src/arch/win32/respet.rc,
	  src/arch/win32/resplus4.rc, src/arch/win32/resstrings.txt,
	  src/arch/win32/resvic20.rc, src/arch/win32/ui.c,
	  src/arch/win32/uijoystick.c, src/arch/win32/uijoystick.h,
	  src/arch/win32/vic20ui.c: Fixed the win32 ui for native
	  joysticks and added win32 ui elements for userport and plus4
	  sidcart joysticks.

2009-06-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uijoystick.c: Restricted the joystick settings
	  dialog to 1 joystick for vic20.

2009-06-28  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/dialog/iecdrivesettingswindowcontroller.m:
	  cocoa: fixed mounting of virtual fs directory

	* src/arch/unix/macosx/Resources/English.lproj/x128-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv-ResourceTree.plist:
	  cocoa: adjusted extra joy type resource values

	* src/video/render1x1pal.c, src/video/render2x2pal.c,
	  src/video/video-color.h: fixed PAL emulation by re-enabling
	  sharing of gamma tables

2009-06-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joystick.h: Changed the order of the extra joystick
	  defines in joystick.h so that the dxs/hit is at the bottom of
	  the list.

2009-06-28  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/win32/joy.c: Add default switch case which results in
	  a failing assert().

2009-06-28  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/JoystickSettings.nib/classes.nib,
	  src/arch/unix/macosx/Resources/English.lproj/JoystickSettings.nib/info.nib,
	  src/arch/unix/macosx/Resources/English.lproj/JoystickSettings.nib/keyedobjects.nib,
	  src/arch/unix/macosx/Resources/English.lproj/x128-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv-ResourceTree.plist,
	  src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.h,
	  src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.m,
	  src/arch/unix/macosx/joy.c, src/arch/unix/macosx/joy.h: cocoa:
	  added UI support for extra/userport joysticks

	* src/arch/sdl/archdep_amiga.c, src/arch/sdl/archdep_beos.c,
	  src/arch/sdl/archdep_cegcc.c, src/arch/sdl/archdep_riscos.c,
	  src/arch/sdl/archdep_unix.c, src/arch/sdl/archdep_win32.c,
	  src/arch/sdl/archdep_xbox.c: added missing SDL
	  archdep_default_autostart_disk_image_file_name

	* src/arch/unix/macosx/joy.c: added missing header

	* src/arch/unix/macosx/Resources/English.lproj/x128-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64-ResourceTree.plist,
	  src/arch/unix/macosx/Resources/English.lproj/x64dtv-ResourceTree.plist:
	  cocoa: added autostart prg to resource inspector

2009-06-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.c, src/arch/amigaos/intl.txt,
	  src/arch/amigaos/joy.c, src/arch/amigaos/joyll.c,
	  src/arch/amigaos/mui/uisid.c, src/arch/beos/joy.cc,
	  src/arch/beos/ui_sid.cc, src/arch/beos/ui_video.cc,
	  src/arch/beos/vicemenu.cc, src/arch/msdos/joy.c,
	  src/arch/msdos/vsync.c, src/arch/os2/joy.c,
	  src/arch/riscos/joy.c, src/arch/riscos/ui.c,
	  src/arch/sdl/joy.c, src/arch/sdl/menu_drive.c,
	  src/arch/unix/joy.c, src/arch/unix/joy_usb.c,
	  src/arch/unix/macosx/joy.c, src/arch/win32/joy.c,
	  src/arch/win32/res.rc, src/arch/win32/resstrings.txt,
	  src/arch/win32/ui.c, src/arch/win32/uihelp.c,
	  src/arch/win32/uisid.c, src/cbm2/cbm2-resources.c,
	  src/cbm2/cbm2.c, src/machine.h, src/main.c: Added proper
	  cbm510/cbm610 early startup seperation so that elements for
	  the machines can be seperated at any time (cmdline, resources,
	  ui) and added 4 joystick support to the amiga, beos, msdos,
	  os/2, osx, *nix amd win32 ports with proper command-line
	  options and resources, no ui elements for any of the ports
	  (besides sdl) yet.

2009-06-27  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/amigaos/archdep.c, src/arch/beos/archdep.c,
	  src/arch/msdos/archdep.c, src/arch/os2/archdep.c,
	  src/arch/riscos/archdep.c, src/arch/unix/archdep.c,
	  src/arch/win32/archdep.c, src/archapi.h, src/autostart.c:
	  Renamed archdep_default_autstart_disk_image_file_name() to
	  archdep_default_autostart_disk_image_file_name(), fixing the
	  typo.

	* src/Makefile.am, src/arch/amigaos/archdep.c,
	  src/arch/beos/archdep.c, src/arch/msdos/archdep.c,
	  src/arch/os2/archdep.c, src/arch/riscos/archdep.c,
	  src/arch/sdl/menu_midi.c, src/arch/sdl/menu_midi.h,
	  src/arch/sdl/menu_network.c, src/arch/sdl/menu_network.h,
	  src/arch/sdl/menu_tfe.c, src/arch/sdl/menu_tfe.h,
	  src/arch/sdl/uipause.c, src/arch/unix/archdep.c,
	  src/arch/win32/archdep.c, src/arch/win32/base.dsp,
	  src/arch/win32/rs232dev.c, src/arch/win32/rs232net.c,
	  src/archapi.h, src/autostart-prg.c, src/autostart-prg.h,
	  src/autostart.c, src/autostart.h, src/fileio.h,
	  src/fileio/cbmfile.c, src/fileio/cbmfile.h,
	  src/fileio/fileio.c, src/fileio/p00.c, src/fileio/p00.h,
	  src/machine.c, src/rawfile.c, src/rawfile.h, src/resid-dtv:
	  svn commit tags/v2.1/v2.1.13/vice
	  tags/chris/v2.1.13-autostart-prg/vice .
	  
	  src/autostart-prg.c, autostart_prg_perform_injection():
	  Changed C99 definition of end to C89 style definition at the
	  beginning of the block.
	  
	  src/arch/*/archdep.c:
	  archdep_default_autstart_disk_image_file_name() had a
	  semicolon at the end, preventing compilation. Fixed.
	  
	  src/arch/win32/base.dsp: Added autostart-prg.c.

2009-06-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64dtvhw.c,
	  src/arch/sdl/menu_c64hw.c, src/arch/sdl/menu_joystick.c,
	  src/arch/sdl/menu_joystick.h, src/c64dtv/c64dtvcia2.c: Added
	  userport joystick system support to x64dtv.

2009-06-27  Christian Vogelgsang <chris@vogelgsang.org>

	* build/macosx/build-pcaplibnet.sh: macosx: patch libnet to
	  allow non-root admin users

	* build/macosx/build-vice-dist.sh,
	  build/macosx/build-vice-release.sh: mac build: added support
	  for debug snapshots

	* src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.m:
	  fixed crash in cocoa joystick dialog

2009-06-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_joystick.c,
	  src/arch/sdl/menu_joystick.h, src/arch/sdl/menu_pethw.c,
	  src/cbm2/cbm2cia1.c, src/joystick.c: Added userport joystick
	  system support to xcbm2.

	* src/arch/sdl/menu_joystick.c, src/arch/sdl/menu_joystick.h,
	  src/arch/sdl/menu_pethw.c, src/joystick.c, src/pet/petvia.c:
	  Added userport joystick system support to xpet.

2009-06-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_joystick.c, src/joystick.c,
	  src/vic20/vic20-resources.c, src/vic20/vic20-resources.h,
	  src/vic20/vic20via2.c: Added userport joystick system support
	  to xvic.

2009-06-26  Errol Smith <strobe@kludgesoft.com>

	* src/vdc/vdc-draw.c: When the cache is disabled, actually draw
	  the text & cursor correctly...

2009-06-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_joystick.c, src/c64/c64cia2.c,
	  src/joystick.c, src/joystick.h: More userport joystick related
	  updates.

	* src/arch/sdl/menu_joystick.c, src/c64/c64cia2.c,
	  src/joystick.h: Added vic20 OEM type userport joystick support
	  to x64/x128 and added ui element to the sdl ui.

	* src/arch/sdl/menu_joystick.c, src/c64/c64cia2.c,
	  src/joystick.h: Added PET type userport joystick support to
	  x64/x128 and added ui element to the sdl ui.

2009-06-25  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/nl.po,
	  po/pl.po, po/sv.po, po/tr.po: Updated.

	* configure.in: Test for stdlib.h and define HAVE_STDLIB (needed
	  by editline.h of readline).

	* src/Makefile.am, src/arch/beos/console.c,
	  src/arch/unix/Makefile.am, src/arch/unix/console.c,
	  src/c1541.c, src/monitor/Makefile.am, src/monitor/monitor.c:
	  Use editline.h again if HAVE_READLINE is defined. For this,
	  added the include directory for src/arch/unix/readline, where
	  necessary. Still ugly in some places, as generic code includes
	  arch-specific code, but this will be fixed later.

	* src/c128/Makefile.am: Added src/raster as include directory.

	* src/arch/beos/console.c, src/arch/unix/console.c, src/c1541.c,
	  src/monitor/monitor.c: Reverted readline extern declarations
	  for now, as the replacement did not work as expected.
	  (postponing the solution until I have more time.)

	* src/arch/beos/console.c, src/arch/unix/console.c,
	  src/arch/win32/Makefile.am, src/arch/win32/joy.c,
	  src/arch/win32/kbd.c, src/arch/win32/ui.c,
	  src/arch/win32/ui.h, src/arch/win32/uijoystick.c,
	  src/arch/win32/uivideo.c, src/arch/win32/video-ddraw.c,
	  src/arch/win32/winjoy.h, src/arch/win32/winkbd.h,
	  src/arch/win32/winmain.c, src/c128/c128cpu.c, src/c1541.c,
	  src/c64dtv/c64dtvcpu.c, src/c64dtv/c64dtvcpu.h,
	  src/c64dtv/c64dtvmem.c, src/cbm2/cbm2.h, src/cbm2/cbm2cpu.c,
	  src/monitor/mon_breakpoint.c, src/monitor/mon_breakpoint.h,
	  src/monitor/mon_register6502dtv.c, src/monitor/monitor.c,
	  src/plus4/plus4cpu.c, src/vicii/vicii-mem.c,
	  src/vicii/viciidtv-draw.c, src/video/render1x1pal.c,
	  src/video/render2x2pal.c, src/video/video-canvas.h,
	  src/video/video-resources-pal.c: Moved stray "extern"
	  declarations from .c files into .h files and include the
	  necessary .h files, if needed.

2009-06-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64cartmem.h, src/c64/cart/expert.c,
	  src/c64/sfx_soundexpander.c, src/sounddrv/soundmovie.c: some
	  more 'extern' cleanups.

	* src/arch/win32/Makefile.am, src/arch/win32/fullscrn-ddraw.c,
	  src/arch/win32/hardsid.c, src/arch/win32/ui.c,
	  src/arch/win32/video-ddraw.h: some win32 arch dir 'extern'
	  cleanups.

	* src/arch/sdl/ui.c: Removed obsolete 'extern'.

	* src/arch/msdos/statusbar.h, src/arch/msdos/ui.c,
	  src/arch/msdos/uiscreenshot.c, src/arch/msdos/uisidcart.c,
	  src/arch/msdos/uisound.c, src/arch/msdos/videoarch.h,
	  src/arch/msdos/vsync.c: msdos arch dir 'extern' cleanup and
	  msdos fixes.

	* src/arch/amigaos/mui/mui.h, src/arch/amigaos/ui.c,
	  src/arch/amigaos/ui.h, src/arch/amigaos/vsyncapi.c: amigaos
	  arch dir 'extern' cleanup.

	* src/arch/amigaos/Makefile.am,
	  src/arch/amigaos/catweaselmkiii.c,
	  src/arch/amigaos/expansionbase.h, src/arch/amigaos/hardsid.c,
	  src/arch/amigaos/mui/uisidcart.c: Added some amiga os4
	  catweasel and hardsid fixes.

2009-06-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/c128.tgt,
	  src/arch/win32/watcom/c64cart.tgt,
	  src/arch/win32/watcom/drive.tgt,
	  src/arch/win32/watcom/pet.tgt, src/arch/win32/watcom/vice.wpj,
	  src/arch/win32/watcom/vicii.tgt,
	  src/arch/win32/watcom/viciicommon.tgt,
	  src/arch/win32/watcom/viciidtv.tgt, src/c128/c128cpu.c,
	  src/c128/c128mem.h, src/c128/z80mem.h, src/c64/c64mem.h,
	  src/cbm2/cbm2cpu.c, src/cbm2/cbm2mem.c,
	  src/cbm2/cbm2memsnapshot.c, src/drive/drivemem.c,
	  src/monitor/monitor.c, src/pet/petmem.c,
	  src/pet/petmemsnapshot.c, src/plus4/plus4mem.c,
	  src/plus4/plus4memcsory256k.c, src/plus4/plus4memhannes256k.c,
	  src/plus4/ted-badline.c, src/plus4/ted-mem.c, src/plus4/ted.c,
	  src/vic20/vic-snapshot.c, src/vic20/vic.c,
	  src/vic20/vic20mem.c, src/vic20/vic20memsnapshot.c,
	  src/vicii/vicii-fetch.c, src/vicii/vicii-snapshot.c,
	  src/vicii/vicii.c, src/vicii/viciidtv-snapshot.c: Fixed some
	  watcom header inclusion ordering and removed the #include
	  ../mem.h construction.

	* src/arch/sdl/menu_joystick.c, src/c128/c128cia1.c,
	  src/c64/c64cia1.c, src/c64/c64cia2.c, src/c64dtv/c64dtvcia2.c,
	  src/joystick.c, src/joystick.h: Added hit userport joystick
	  adapter support to x64/x128.

2009-06-24  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/vicemachine.h,
	  src/arch/unix/macosx/cocoa/vicemachine.m: cocoa: emulation is
	  now paused when system goes to sleep

2009-06-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_joystick.c: Changed some of the joystick
	  naming.

2009-06-24  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/autostart.c: Added missing brace

2009-06-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/joy.c: Renamed command line options for joydev3/4
	  to extrajoydev1/2.

	* src/arch/amigaos/intl.c, src/arch/win32/resc128.rc,
	  src/autostart.c, src/translate.c, src/translate.txt: Updated
	  translations.

2009-06-23  Errol Smith <strobe@kludgesoft.com>

	* src/vdc/vdc-mem.c, src/vdc/vdc.c, src/vdc/vdctypes.h: Change
	  the way the memory pointers are updated, improve cache
	  handling when registers 25/27 change and fix the screen height
	  default. Fixes multiple timing issues. RFO tech-tech now 100%!
	  All major RFO bugs now fixed - phew!

	* src/vdc/vdc-mem.c, src/vdc/vdc.c, src/vdc/vdctypes.h: Some
	  preliminary work for future light pen/light gun support.

2009-06-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uisid.c, src/arch/beos/ui_sid.cc,
	  src/arch/sdl/menu_sid.c, src/arch/unix/gui/c128ui.c,
	  src/arch/win32/uijoystick.c, src/arch/win32/uisid.c,
	  src/c128/c128mem.c, src/c64/c64sound.c: Added as stereo sid
	  range for x128.

2009-06-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/sfx_soundexpander.c,
	  src/imagecontents/imagecontents.c: Some more warning fixes.

2009-06-21  Spiro Trikaliotis  <spiro.trikaliotis@gmx.de>

	* Version 2.1.14

2009-06-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/fmopl.c: Warning fixes.

2009-06-21  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/c64/fmopl.c: Fixed 2 out of more than 150 warnings.

2009-06-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	  src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	  src/arch/amigaos/intl.c, src/arch/amigaos/intl.txt,
	  src/arch/amigaos/uires.h, src/arch/beos/c128ui.cc,
	  src/arch/beos/c64ui.cc, src/arch/beos/constants.h,
	  src/arch/beos/vicemenu.cc, src/arch/msdos/c128ui.c,
	  src/arch/msdos/c64ui.c, src/arch/os2/dialogs/menubar.c,
	  src/arch/os2/dialogs/menubar.h,
	  src/arch/os2/dialogs/menubar.rc,
	  src/arch/os2/vac++/incl/c64.icc,
	  src/arch/os2/vac++/x128/X128.ICC,
	  src/arch/os2/watcom/c128c64.tgt, src/arch/sdl/menu_c128hw.c,
	  src/arch/sdl/menu_c64hw.c, src/arch/unix/gui/c128ui.c,
	  src/arch/unix/gui/c64ui.c, src/arch/win32/c128ui.c,
	  src/arch/win32/c64.dsp, src/arch/win32/c64c128.dsp,
	  src/arch/win32/c64ui.c, src/arch/win32/res.rc,
	  src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	  src/arch/win32/resmenu.txt, src/arch/win32/resstrings.txt,
	  src/arch/win32/watcom/c64commonc128.tgt,
	  src/arch/win32/watcom/vice.wpj, src/arch/win64/c64.vcproj,
	  src/arch/win64/c64c128.vcproj, src/c64/Makefile.am,
	  src/c64/c64.c, src/c64/c64io.c, src/c64/c64io.h,
	  src/c64/c64sound.c, src/c64/fmopl.c, src/c64/fmopl.h,
	  src/c64/sfx_soundexpander.c, src/c64/sfx_soundexpander.h,
	  src/translate.c, src/translate.txt: Added c128/c64 sound
	  expander support, added ui elements for the amiga, beos,
	  msdos, os/2, sdl, *nix, win32 ports, updated the win32/64 msvc
	  project files, updated the win32 watcom project files, updated
	  the os/2 vac and watcom project files.

	* src/arch/amigaos/intl.c, src/arch/amigaos/intl.txt,
	  src/arch/amigaos/uires.h, src/arch/amigaos/vic20ui.c,
	  src/arch/amigaos/vic20uires.h, src/arch/beos/constants.h,
	  src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc,
	  src/arch/msdos/vic20ui.c, src/arch/os2/dialogs/menubar.c,
	  src/arch/os2/dialogs/menubar.h,
	  src/arch/os2/dialogs/menubar.rc, src/arch/sdl/menu_joystick.c,
	  src/arch/sdl/menu_joystick.h, src/arch/sdl/menu_vic20hw.c,
	  src/arch/unix/gui/vic20ui.c, src/arch/win32/resmenu.txt,
	  src/arch/win32/resstrings.txt, src/arch/win32/resvic20.rc,
	  src/arch/win32/vic20ui.c, src/translate.c, src/translate.txt,
	  src/vic20/vic20-cmdline-options.c,
	  src/vic20/vic20-resources.c, src/vic20/vic20-resources.h,
	  src/vic20/vic20via2.c: Added OEM userport joystick support to
	  xvic, added ui elements for the amiga, beos, msdos, os/2, *nix
	  and win32 ports.

2009-06-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/c64commonc128.tgt,
	  src/arch/win32/watcom/config.h,
	  src/arch/win32/watcom/plus4.tgt,
	  src/arch/win32/watcom/vice.wpj: Updated the win32 watcom
	  project files to make it compile again.

2009-06-19  Spiro Trikaliotis <spiro.trikaliotis@gmx.de>

	* src/arch/win32/uimon.c: Fix compilation problem for Watcom
	  compiler.

	* src/arch/win32/uimon.c: Replace (asynchronous) GetCursorPos()
	  with (synchronous) GetMessagePos() (encapsulated in new
	  function GetCursorPosAtMessageTime()).

2009-06-19  Errol Smith <strobe@kludgesoft.com>

	* src/vdc/vdc-draw.c, src/vdc/vdc-mem.c, src/vdc/vdc.c,
	  src/vdc/vdctypes.h: Add an attribute memory offset to handle
	  the strange attribute memory pointer behaviour with the 8x1
	  colour cell VDC trick. RFO "FLI" picture now 100%.

	* src/vdc/vdc.c, src/vdc/vdctypes.h: Make the handling of
	  register 6 (visible screen rows) real-time as a comparison
	  reference to an internal counter like the VDC does. (less RFO
	  FLI picture breakage)

2009-06-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	  src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	  src/arch/amigaos/intl.c, src/arch/amigaos/intl.txt,
	  src/arch/amigaos/uires.h, src/arch/beos/c128ui.cc,
	  src/arch/beos/c64ui.cc, src/arch/beos/constants.h,
	  src/arch/beos/vicemenu.cc, src/arch/msdos/c128ui.c,
	  src/arch/msdos/c64ui.c, src/arch/os2/dialogs/menubar.c,
	  src/arch/os2/dialogs/menubar.h,
	  src/arch/os2/dialogs/menubar.rc,
	  src/arch/os2/vac++/incl/c64.icc,
	  src/arch/os2/vac++/x128/X128.ICC,
	  src/arch/os2/watcom/c128c64.tgt, src/arch/os2/watcom/vice.wpj,
	  src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64hw.c,
	  src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64ui.c,
	  src/arch/win32/c128ui.c, src/arch/win32/c64.dsp,
	  src/arch/win32/c64c128.dsp, src/arch/win32/c64ui.c,
	  src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	  src/arch/win32/resc64.rc, src/arch/win32/resmenu.txt,
	  src/arch/win32/resstrings.txt, src/arch/win64/c64.vcproj,
	  src/arch/win64/c64c128.vcproj, src/c128/c128.c,
	  src/c64/Makefile.am, src/c64/c64.c, src/c64/c64io.c,
	  src/c64/c64sound.c, src/c64/sfx_soundsampler.c,
	  src/c64/sfx_soundsampler.h, src/translate.c,
	  src/translate.txt: Added SFX soundsampler (output only)
	  support to x64/x128, added ui elements for the amiga, beos,
	  msdos, os/2, *nix and win32 ports, updated win32/64 msvc
	  project files and updated the os/2 watcom and vac project
	  files.

2009-06-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/incl/monitor.icc,
	  src/arch/os2/watcom/mainsrc.tgt,
	  src/arch/os2/watcom/monitor.tgt,
	  src/arch/os2/watcom/plus4.tgt, src/arch/os2/watcom/vice.wpj,
	  src/arch/os2/watcom/x1541.tgt: Updated the os/2 watcom and vac
	  project files to make vice compile again for os/2.

	* src/arch/os2/types.h: Changed the int_to_void_ptr(x) and
	  uint_to_void_ptr(x) definitions for os/2.

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/kbd.c: Removed
	  obsolete variables/items.

	* src/arch/win32/winlong.h: Fixed the winlong.h defines for
	  watcom.

	* src/arch/os2/vac++/incl/plus4.icc: Added digiblaster.c and
	  sidcartjoy.c to the os/2 vac++ project files.

	* configure.in, src/cartconv.c: Added a check for the strdup
	  macro to configure.in

	* src/arch/amigaos/intl.c, src/arch/amigaos/intl.txt,
	  src/arch/amigaos/mui/uisidcart.c,
	  src/arch/amigaos/mui/uisidcart.h, src/arch/amigaos/plus4ui.c,
	  src/arch/msdos/plus4ui.c, src/arch/msdos/uisidcart.c,
	  src/arch/msdos/uisidcart.h, src/arch/sdl/menu_joystick.c,
	  src/arch/sdl/menu_joystick.h, src/arch/sdl/menu_plus4hw.c,
	  src/arch/sdl/menu_sid.c, src/arch/sdl/win32-msvc/plus4.dsp,
	  src/arch/sdl/win64-msvc/plus4.vcproj,
	  src/arch/unix/gui/plus4ui.c, src/arch/win32/intl.c,
	  src/arch/win32/plus4.dsp, src/arch/win32/resdialogs.txt,
	  src/arch/win32/ressidcart.rc, src/arch/win32/uisidcart.c,
	  src/arch/win64/plus4.vcproj, src/plus4/Makefile.am,
	  src/plus4/digiblaster.c, src/plus4/digiblaster.h,
	  src/plus4/plus4.c, src/plus4/plus4mem.c,
	  src/plus4/sidcartjoy.c, src/plus4/sidcartjoy.h,
	  src/plus4/ted-sound.c, src/translate.c, src/translate.txt:
	  Added plus4 sidcart joystick support, plus4 digiblaster
	  (digital output only) support, added ui elements to the amiga,
	  msdos, sdl, *nix and win32 ports, and adapted the win32/64
	  msvc project files.

2009-06-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_sid.c: Added HardSID to the SID engine
	  selection.

2009-06-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.c, src/arch/amigaos/intl.txt,
	  src/arch/amigaos/mui/uic128settings.c,
	  src/arch/beos/c128ui.cc, src/arch/beos/constants.h,
	  src/arch/beos/vicemenu.cc, src/arch/msdos/c128ui.c,
	  src/arch/os2/dialogs/menubar.c,
	  src/arch/os2/dialogs/menubar.h,
	  src/arch/os2/dialogs/menubar.rc, src/arch/sdl/menu_c128hw.c,
	  src/arch/unix/gui/c128ui.c, src/arch/win32/intl.c,
	  src/arch/win32/resc128.rc, src/arch/win32/resdialogs.txt,
	  src/arch/win32/resstrings.txt, src/arch/win32/uic128.c,
	  src/c128/c128-resources.c, src/c128/c128-resources.h,
	  src/c128/c128mem.h, src/c128/c128mmu.c: Added C128 RAM banks 2
	  & 3 support and added UI elements to the amiga, beos, msdos,
	  os/2, sdl, *nix and win32 ports.

2009-06-15  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_midi.c, src/arch/sdl/menu_tfe.c,
	  src/arch/sdl/uimenu.c, src/arch/sdl/uimenu.h: Disable hotkey
	  mapping in dynamic submenus

2009-06-15  Errol Smith <strobe@kludgesoft.com>

	* src/vdc/vdc.c: Separate Y border position from Y screen
	  position, allowing screen to start above (or below) top
	  border. Fix idle handling (fixes repeated lines from top
	  border down to text). RFO credits upscroller now 100%

2009-06-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/arch/amigaos/catweaselmkiii.c,
	  src/arch/amigaos/hardsid.c, src/arch/sdl/hardsid.c: Added
	  hardsid support to the amiga os3, os4, morphos and amithlon
	  ports.

2009-06-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cartconv.c: Fixed cartconv for when strdup is defined as a
	  macro.

	* configure.in, src/arch/amigaos/catweaselmkiii.c: Added
	  catweasel sid support for amiga os3, morphos and amithlon.

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/archdep.c,
	  src/arch/amigaos/socketimpl.c: Fixed network support for amiga
	  os3.

	* src/arch/sdl/make-bindist_scosol.sh,
	  src/arch/unix/sco_sol/make-bindist.sh: Added arm solaris 11
	  bindist support.

2009-06-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_midi.c, src/arch/sdl/menu_midi.h,
	  src/arch/sdl/menu_tfe.c, src/arch/sdl/menu_tfe.h,
	  src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	  src/arch/sdl/xvic_ui.c: Made some improvements to the midi and
	  tfe win32 sdl ui code.

	* src/arch/sdl/menu_midi.c, src/arch/sdl/menu_midi.h,
	  src/arch/sdl/menu_tfe.c, src/arch/sdl/menu_tfe.h,
	  src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	  src/arch/sdl/xvic_ui.c: Added better tfe nicr selection
	  support to the win32 sdl midi ui.

	* src/arch/sdl/menu_midi.c: Added better midi driver selection
	  support to the win32 sdl midi ui.

